systemd (257.4-1ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - debian/tests/boot-and-services: skip apparmor tests on armhf
    - debian/systemd.postinst:
      + manually call systemd-tmpfiles --create in postinst
      + Do not create /etc/tmpfiles.d/tmp.conf on upgrades
    - debian/control:
      + Add Recommends: networkd-dispatcher systemd-resolved to systemd package
      + Make systemd-cryptsetup Priority: important
      + Give systemd-resolved Priority: important
      + Add Recommends: systemd-hwe-hwdb to udev package
      + Drop Recommends: libnss-myhostname libnss-resolve from systemd-resolved
      + Build-Depends: linux-tools-generic
      + Do not build systemd-boot-efi-{amd64,arm64}-signed-template
    - switch-root: use MS_MOVE for /run when switchig from initrd
    - resolve,wait-online: backport wait-online DNS patches
    - d/rules: disable bpf support on riscv64 for now (LP #2099864)
    - Delta for i386:
      + debian/systemd.install: exclude files that are not built for i386
      + debian/systemd.manpages: do not ship un-built manpages on i386
      + debian/rules,debian/control,debian/tests/control:
        Do not build with tpm libraries on i386
      + debian/rules,debian/control,debian/tests/control:
        Do not build with libqrencode on i386
      + debian/rules: Remove unneeded efi artifacts on i386 to avoid debugedit errors
  * Dropped, included in Debian:
    - initramfs-tools: copy hwdb.bin to initramfs
    - d/rules: fix bpftool path discovery on ubuntu
  * New changes:
    - d/extra/dbus-1: remove SetLocale restriction from dbus policy (LP: #2102028)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Tue, 11 Mar 2025 11:26:05 -0400

systemd (257.4-1) unstable; urgency=medium

  [ Nick Rosbrook ]
  * d/rules: fix bpftool path discovery on ubuntu
  * initramfs-tools: copy hwdb.bin to initramfs. The contents of hwdb.bin
    may influence udev during early boot. E.g., this may change network
    interface naming decisions. Hence, make sure it is available in the
    initrd. This adds about 2MB to the size of the compressed initrd.
  * d/t/tests-in-lxd: skip test on any setup error. When this test fails
    becacuse of snap install, or lxd tools, we prefer to skip because we
    never reached the stage where we are actually testing systemd.

  [ Luca Boccassi ]
  * Set tty device node mode to 0600 (Closes: #1093870)
  * d/rules: ignore more blhc false positives
  * systemd-resolved: recommend libidn2-0. Without it in some cases
    hostname resolution fails (Closes: #1097699)
  * README: add note about out-of-tree patches being forbidden. Prompted
    by #1098221
  * systemd-sysv: add Protected: yes (Closes: #1098260)
  * Update upstream source from tag 'upstream/257.4' Update to upstream
    version '257.4' with Debian dir
    2121ac2e2a87e081b31f819aea969e38b6147ce3

 -- Luca Boccassi <bluca@debian.org>  Thu, 06 Mar 2025 14:52:08 +0000

systemd (257.3-1ubuntu3) plucky; urgency=medium

  * d/control: remove other bpf deps for riscv64

 -- Nick Rosbrook <enr0n@ubuntu.com>  Mon, 24 Feb 2025 10:36:52 -0500

systemd (257.3-1ubuntu2) plucky; urgency=medium

  * d/t/tests-in-lxd: skip test on any setup error
  * d/rules: disable bpf support on riscv64 for now (LP: #2099864)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Mon, 24 Feb 2025 09:23:11 -0500

systemd (257.3-1ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - debian/tests/boot-and-services: skip apparmor tests on armhf
    - debian/systemd.postinst:
      + manually call systemd-tmpfiles --create in postinst
      + Do not create /etc/tmpfiles.d/tmp.conf on upgrades
    - debian/control:
      + Add Recommends: networkd-dispatcher systemd-resolved to systemd package
      + Make systemd-cryptsetup Priority: important
      + Give systemd-resolved Priority: important
      + Add Recommends: systemd-hwe-hwdb to udev package
      + Drop Recommends: libnss-myhostname libnss-resolve from systemd-resolved
      + Build-Depends: linux-tools-generic
      + Do not build systemd-boot-efi-{amd64,arm64}-signed-template
    - switch-root: use MS_MOVE for /run when switchig from initrd
    - resolve,wait-online: backport wait-online DNS patches
    - initramfs-tools: copy hwdb.bin to initramfs
    - d/rules: fix bpftool path discovery on ubuntu
    - Delta for i386:
      + debian/systemd.install: exclude files that are not built for i386
      + debian/systemd.manpages: do not ship un-built manpages on i386
      + debian/rules,debian/control,debian/tests/control:
        Do not build with tpm libraries on i386
      + debian/rules,debian/control,debian/tests/control:
        Do not build with libqrencode on i386
      + debian/rules: Remove unneeded efi artifacts on i386 to avoid debugedit errors

 -- Nick Rosbrook <enr0n@ubuntu.com>  Wed, 19 Feb 2025 09:27:00 -0500

systemd (257.3-1) unstable; urgency=medium

  * d/t/control: do not pull in gdm3 on loong64. Not installable, skip it
    like s390x/riscv/armel
  * systemd-boot: warn if efibootmgr is not installed. As it means the
    boot entry won't be created, since it's a recommends
  * systemd-boot: fix creating bootvar on arm64
  * systemd-boot: check that bootvar really points to sd-boot. Otherwise
    it could be a leftover with another second stage. Check both encoded
    and decoded strings.
  * Drop fallback for missing linux-bpf-dev package
  * ukify: depend on python3-zstandard and recommend python3-lz4 arm64
    kernels are getting zboot+zstd so zstandard will be required for uname
    probing. lz4 might be used externally so just recommend it.
  * Update upstream source from tag 'upstream/257.3' Update to upstream
    version '257.3' with Debian dir
    1531e0bcaea1d2bf600be6d542bae876d1829da9
  * autopkgtest: fix mkosi config section

 -- Luca Boccassi <bluca@debian.org>  Thu, 13 Feb 2025 19:54:00 +0000

systemd (257.2-3ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - debian/tests/boot-and-services: skip apparmor tests on armhf
    - debian/systemd.postinst:
      + manually call systemd-tmpfiles --create in postinst
      + Do not create /etc/tmpfiles.d/tmp.conf on upgrades
    - debian/gbp.conf,debian/extra/wrap_cl.py:
      Use a customization script to add LP commit links to changelog
    - debian/control:
      + Add Recommends: networkd-dispatcher systemd-resolved to systemd package
      + Make systemd-cryptsetup Priority: important
      + Give systemd-resolved Priority: important
      + Add Recommends: systemd-hwe-hwdb to udev package
      + Drop Recommends: libnss-myhostname libnss-resolve from systemd-resolved
      + Build-Depends: linux-tools-generic
      + Do not build systemd-boot-efi-{amd64,arm64}-signed-template
    - switch-root: use MS_MOVE for /run when switchig from initrd
    - Delta for i386:
      + debian/systemd.install: exclude files that are not built for i386
      + debian/systemd.manpages: do not ship un-built manpages on i386
      + debian/rules,debian/control,debian/tests/control:
        Do not build with tpm libraries on i386
      + debian/rules,debian/control,debian/tests/control:
        Do not build with libqrencode on i386
      + debian/rules: Remove unneeded efi artifacts on i386 to avoid debugedit errors
  * New changes:
    - resolve,wait-online: backport wait-online DNS patches
    - initramfs-tools: copy hwdb.bin to initramfs
    - d/rules: fix bpftool path discovery on ubuntu

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 31 Jan 2025 11:39:18 -0500

systemd (257.2-3) unstable; urgency=medium

  * signing template: add override for executable-not-elf-or-script
  * libsystemd-dev/libudev-dev: depend on libcap-dev. These libraries link
    with libcap, so a dependency is needed for static builds
  * systemd-boot: use boot entry argument instead of installing as
    grub.efi on ESP. It turns out Shim can load sd-boot if the boot entry
    is set correctly.
  * systemd-boot: always check that the boot entry is set, even with Shim
    is already installed
  * libudev1: add udeb back to shlibs. Without this, packages building
    udebs against libudev-dev will end up depending on libudev1 instead of
    libudev1-udeb.

 -- Luca Boccassi <bluca@debian.org>  Thu, 23 Jan 2025 15:17:08 +0000

systemd (257.2-2) unstable; urgency=medium

  [ Luca Boccassi ]
  * Enable libseccomp on loong64 and hppa
  * Enable UEFI on loong64
  * Do not install sd-resolved and drop breaks-testbed from fast tests.
  * d/t/control: remove 'flaky' from tests-in-lxd
  * d/t/upstream: take into account autopkgtest pinning
  * signing template: fix Lintian warnings and errors
  * Link systemctl against libsystemd-shared. This was disabled when we
    did not have a libsystemd-shared package, but it's now available so we
    can change this again. This makes the stripped systemctl binary size
    go from 1.6M down to 291K.
  * signing template: always set urgency to 'high' The main package has
    autopkgtest so gets a bonus, make sure the signed package also
    migrates fast by default. It will always be blocked by the main
    package anyway due to the dependency.
  * Drop udeb packages. The udeb packages will be moved to a new systemd-
    udeb repository, to reduce udeb churn and to unblock changes in the
    main packages, such as building udev without static linking libudev
    and libsystemd-shared, which shrinks the size of the binary from 1.6M
    down to 611K

  [ Philipp Kern ]
  * Update README.source in the signing-template. This previously referred
    to fwupd, which is where it was copied from.

 -- Luca Boccassi <bluca@debian.org>  Fri, 17 Jan 2025 09:53:01 +0000

systemd (257.2-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/257.2' (Closes: #1092125)
  * Drop all patches, merged upstream

 -- Luca Boccassi <bluca@debian.org>  Tue, 07 Jan 2025 20:48:25 +0000

systemd (257.1-7ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - debian/tests/boot-and-services: skip apparmor tests on armhf
    - debian/systemd.postinst:
      + manually call systemd-tmpfiles --create in postinst
      + Do not create /etc/tmpfiles.d/tmp.conf on upgrades
    - debian/gbp.conf,debian/extra/wrap_cl.py:
      Use a customization script to add LP commit links to changelog
    - debian/control:
      + Add Recommends: networkd-dispatcher systemd-resolved to systemd package
      + Make systemd-cryptsetup Priority: important
      + Give systemd-resolved Priority: important
      + Add Recommends: systemd-hwe-hwdb to udev package
      + Drop Recommends: libnss-myhostname libnss-resolve from systemd-resolved
      + Build-Depends: linux-tools-generic
      + Do not build systemd-boot-efi-{amd64,arm64}-signed-template
    - switch-root: use MS_MOVE for /run when switchig from initrd
    - Delta for i386:
      + debian/systemd.install: exclude files that are not built for i386
      + debian/systemd.manpages: do not ship un-built manpages on i386
      + debian/rules,debian/control,debian/tests/control:
        Do not build with tpm libraries on i386
      + debian/rules,debian/control,debian/tests/control:
        Do not build with libqrencode on i386
      + debian/rules: Remove unneeded efi artifacts on i386 to avoid debugedit errors
  * Dropped changes, included in Debian:
    - debian/tests/tests-in-lxd: run some autopkgtests in LXD too
    - debian/tests/boot-and-services: drop test_no_failed
    - debian/systemd.postinst: skip daemon-reexec and try-restarts during shutdown
    - debian/systemd-resolved.postinst: copy existing /etc/resolv.conf to
      /run/systemd/resolve/stub-resolv.conf
    - debian/control:
      + Add Breaks: systemd (<< ${binary:Version}) to udev package so that
        systemd is upgraded as well when upgrading udev
      + Make systemd-sysv Depends: on matching version of systemd
  * Dropped changes, no longer needed:
    - debian/tests/boot-and-services: consume stderr in systemctl status call in test_service
  * Dropped changes, included upstream:
    - test: skip TEST-69-SHUTDOWN on ubuntu too (LP #2083704)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Tue, 07 Jan 2025 10:58:51 -0500

systemd (257.1-7) unstable; urgency=medium

  * Add missing d/copyright file to signed template packages
  * d/t/tests-in-lxd: more fixes for debci compatibility

 -- Luca Boccassi <bluca@debian.org>  Sat, 04 Jan 2025 01:55:59 +0000

systemd (257.1-6) unstable; urgency=medium

  * d/t/tests-in-lxd: drop auto-apt-proxy.conf from container
  * Drop build dependency on libxen-dev on armhf, no longer available
    (Closes: #1091545)

 -- Luca Boccassi <bluca@debian.org>  Fri, 03 Jan 2025 11:39:41 +0000

systemd (257.1-5) unstable; urgency=medium

  * d/t/tests-in-lxd: install auto-apt-proxy in the nested container.
  * d/t/upstream: do not use --verbose with 'meson test'
  * d/t/upstream: do not mask machined and instead use mkosi workaround
  * d/t/upstream: switch from btrfs to ext4 and use nspawn again. Kernel
    6.12 broke mounting btrfs volumes from loop devices, switch to ext4 as
    a workaround and use nspawn again, as it's faster

 -- Luca Boccassi <bluca@debian.org>  Thu, 26 Dec 2024 18:59:19 +0000

systemd (257.1-4) unstable; urgency=medium

  * d/t/upstream: decrease parallelism to nproc - 1
  * d/t/upstream: do not use nspawn for tests
  * d/t/upstream: disable homed/userdbd in the test runner
  * d/t/upstream: mask systemd-machined
  * Backport patch to workaround issue in new mdadm

 -- Luca Boccassi <bluca@debian.org>  Sun, 22 Dec 2024 13:57:12 +0000

systemd (257.1-3) unstable; urgency=medium

  * autopkgtest: mark tests-in-lxd as flaky

 -- Luca Boccassi <bluca@debian.org>  Sat, 21 Dec 2024 01:19:14 +0000

systemd (257.1-2) unstable; urgency=medium

  * Various fixes for d/t/tests-in-lxd

 -- Luca Boccassi <bluca@debian.org>  Fri, 20 Dec 2024 15:27:15 +0000

systemd (257.1-1) unstable; urgency=medium

  [ Luca Boccassi ]
  * test: fix flaky boot-and-services test.
  * d/t/upstream: fix mkosi syntax warnings
  * systemd-ukify: recommend python3-cryptography. One of the verbs uses
    it, so add a recommend to pull it in by default (Closes: #1090759)
  * d/watch: restrict to v257.x series
  * Update upstream source from tag 'upstream/257.1' (Closes: #1087616)
  * Drop patches, merged upstream
  * Install systemd-creds bash completion

  [ Nick Rosbrook ]
  * d/t/tests-in-lxd: run some tests under LXD
  * debian/tests/boot-and-services: drop test_no_failed
  * debian/control: add Breaks: systemd (<< ${binary:Version}) for udev.
    This ensures that systemd is also upgraded whenever udev is upgraded.
  * d/control: make systemd-sysv Depends: on matching version of systemd
  * d/systemd-resolved.postinst: copy existing /etc/resolv.conf on new
    installs

  [ Balint Reczey ]
  * debian/systemd.postinst: Skip daemon-reexec and try-restarts during
    shutdown. LP #1803391

 -- Luca Boccassi <bluca@debian.org>  Thu, 19 Dec 2024 21:41:25 +0000

systemd (257-2ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - debian/tests/tests-in-lxd: run some autopkgtests in LXD too
    - debian/tests/boot-and-services:
      + skip apparmor tests on armhf
      + consume stderr in systemctl status call in test_service
      + drop test_no_failed
    - debian/systemd.postinst:
      + skip daemon-reexec and try-restarts during shutdown
      + manually call systemd-tmpfiles --create in postinst
      + Do not create /etc/tmpfiles.d/tmp.conf on upgrades
    - debian/systemd-resolved.postinst: copy existing /etc/resolv.conf to
      /run/systemd/resolve/stub-resolv.conf
    - debian/gbp.conf,debian/extra/wrap_cl.py:
      Use a customization script to add LP commit links to changelog
    - debian/control:
      + Add Recommends: networkd-dispatcher systemd-resolved to systemd package
      + Make systemd-cryptsetup Priority: important
      + Give systemd-resolved Priority: important
      + Add Recommends: systemd-hwe-hwdb to udev package
      + Add Breaks: systemd (<< ${binary:Version}) to udev package so that
        systemd is upgraded as well when upgrading udev
      + Make systemd-sysv Depends: on matching version of systemd
      + Drop Recommends: libnss-myhostname libnss-resolve from systemd-resolved
      + Build-Depends: linux-tools-generic
      + Do not build systemd-boot-efi-{amd64,arm64}-signed-template
    - switch-root: use MS_MOVE for /run when switchig from initrd
    - test: skip TEST-69-SHUTDOWN on ubuntu too (LP #2083704)
    - Delta for i386:
      + debian/systemd.install: exclude files that are not built for i386
      + debian/systemd.manpages: do not ship un-built manpages on i386
      + debian/rules,debian/control,debian/tests/control:
        Do not build with tpm libraries on i386
      + debian/rules,debian/control,debian/tests/control:
        Do not build with libqrencode on i386
      + debian/rules: Remove unneeded efi artifacts on i386 to avoid debugedit errors
    - d/t/control: tests-in-lxd Depends: dnsmasq-base
    - d/t/tests-in-lxd: drop patching workaround

 -- Nick Rosbrook <enr0n@ubuntu.com>  Thu, 12 Dec 2024 10:00:12 -0500

systemd (257-2) unstable; urgency=medium

  [ Aurelien Jarno ]
  * udev: install dmi_memory_id and its rules on riscv64.

  [ Luca Boccassi ]
  * Backport patches to fix test failures

 -- Luca Boccassi <bluca@debian.org>  Wed, 11 Dec 2024 18:31:08 +0000

systemd (257-1ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - debian/tests/tests-in-lxd: run some autopkgtests in LXD too
    - debian/tests/boot-and-services:
      + skip apparmor tests on armhf
      + consume stderr in systemctl status call in test_service
      + drop test_no_failed
    - debian/systemd.postinst:
      + skip daemon-reexec and try-restarts during shutdown
      + manually call systemd-tmpfiles --create in postinst
      + Do not create /etc/tmpfiles.d/tmp.conf on upgrades
    - debian/systemd-resolved.postinst: copy existing /etc/resolv.conf to
      /run/systemd/resolve/stub-resolv.conf
    - debian/gbp.conf,debian/extra/wrap_cl.py:
      Use a customization script to add LP commit links to changelog
    - debian/control:
      + Add Recommends: networkd-dispatcher systemd-resolved to systemd package
      + Make systemd-cryptsetup Priority: important
      + Give systemd-resolved Priority: important
      + Add Recommends: systemd-hwe-hwdb to udev package
      + Add Breaks: systemd (<< ${binary:Version}) to udev package so that
        systemd is upgraded as well when upgrading udev
      + Make systemd-sysv Depends: on matching version of systemd
      + Drop Recommends: libnss-myhostname libnss-resolve from systemd-resolved
      + Build-Depends: linux-tools-generic
      + Do not build systemd-boot-efi-{amd64,arm64}-signed-template
    - switch-root: use MS_MOVE for /run when switchig from initrd
    - test: skip TEST-69-SHUTDOWN on ubuntu too (LP #2083704)
    - Delta for i386:
      + debian/systemd.install: exclude files that are not built for i386
      + debian/systemd.manpages: do not ship un-built manpages on i386
      + debian/rules,debian/control,debian/tests/control:
        Do not build with tpm libraries on i386
      + debian/rules,debian/control,debian/tests/control:
        Do not build with libqrencode on i386
      + debian/rules: Remove unneeded efi artifacts on i386 to avoid debugedit errors
    - d/t/control: tests-in-lxd Depends: dnsmasq-base
    - d/t/tests-in-lxd: drop patching workaround
  * New changes:
    - test: set nsec3-salt-length=8 in knot.conf

 -- Nick Rosbrook <enr0n@ubuntu.com>  Wed, 11 Dec 2024 11:45:03 -0500

systemd (257-1) unstable; urgency=medium

  * Update to new upstream version v257. For a full list of changes:
    https://github.com/systemd/systemd/releases/tag/v257-rc1
  * Update symbols file for v257

 -- Luca Boccassi <bluca@debian.org>  Tue, 10 Dec 2024 19:57:21 +0000

systemd (257~rc3-1ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2091175). Remaining changes:
    - debian/tests/tests-in-lxd: run some autopkgtests in LXD too
    - debian/tests/boot-and-services:
      + skip apparmor tests on armhf
      + consume stderr in systemctl status call in test_service
      + drop test_no_failed
    - debian/systemd.postinst:
      + skip daemon-reexec and try-restarts during shutdown
      + manually call systemd-tmpfiles --create in postinst
      + Do not create /etc/tmpfiles.d/tmp.conf on upgrades
    - debian/systemd-resolved.postinst: copy existing /etc/resolv.conf to
      /run/systemd/resolve/stub-resolv.conf
    - debian/gbp.conf,debian/extra/wrap_cl.py:
      Use a customization script to add LP commit links to changelog
    - debian/control:
      + Add Recommends: networkd-dispatcher systemd-resolved to systemd package
      + Make systemd-cryptsetup Priority: important
      + Give systemd-resolved Priority: important
      + Add Recommends: systemd-hwe-hwdb to udev package
      + Add Breaks: systemd (<< ${binary:Version}) to udev package so that
        systemd is upgraded as well when upgrading udev
      + Make systemd-sysv Depends: on matching version of systemd
      + Drop Recommends: libnss-myhostname libnss-resolve from systemd-resolved
      + Build-Depends: linux-tools-generic
      + Do not build systemd-boot-efi-{amd64,arm64}-signed-template
    - switch-root: use MS_MOVE for /run when switchig from initrd
    - test: skip TEST-69-SHUTDOWN on ubuntu too (LP #2083704)
    - Delta for i386:
      + debian/systemd.install: exclude files that are not built for i386
      + debian/systemd.manpages: do not ship un-built manpages on i386
      + debian/rules,debian/control,debian/tests/control:
        Do not build with tpm libraries on i386
      + debian/rules,debian/control,debian/tests/control:
        Do not build with libqrencode on i386
      + debian/rules: Remove unneeded efi artifacts on i386 to avoid debugedit errors
  * Dropped changes, included in Debian:
    - Filter out zdev rules in the initramfs hook (LP #2044104)
    - d/t/upstream: honor /etc/apt configured by autopkgtest
    - debian/tests/control: only install systemd-boot-efi for supported arches
    - debian/systemd.links: mask systemd-gpt-auto-generator by default
      (Ubuntu only)
  * Dropped changes, not needed
    - debian/tests/upstream: export QEMU_MEM="1024M" for all tests
  * New changes:
    - d/t/control: tests-in-lxd Depends: dnsmasq-base
    - d/t/tests-in-lxd: drop patching workaround

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 06 Dec 2024 10:30:12 -0500

systemd (257~rc3-1) unstable; urgency=medium

  [ Luca Boccassi ]
  * systemd-ukify: recommend systemd-boot-efi for the stub (Closes:
    #1087808)
  * Increase minimum sections in stub PE header on arm64/armhf/riscv64 to
    500. Allows riscv64 to include all current DTBs with some room to grow
    (Closes: #1087817)
  * Bump version in tzdata dependency due to p-u upload
  * Update to new upstream version v257~rc3. For a full list of changes:
    https://github.com/systemd/systemd/releases/tag/v257-rc3
  * Drop patches, merged upstream
  * Update symbols for 257~rc3

  [ Ben Hutchings ]
  * sysctl: Add file trigger on /usr/lib/sysctl.d to restart systemd-
    sysctl. (Closes: #1085160)

 -- Luca Boccassi <bluca@debian.org>  Wed, 27 Nov 2024 21:21:02 +0000

systemd (257~rc2-3) unstable; urgency=low

  * Backport patch to remove faulty unit test assertion

 -- Luca Boccassi <bluca@debian.org>  Sat, 16 Nov 2024 10:13:56 +0000

systemd (257~rc2-2) unstable; urgency=low

  * Backport patch to fix FTBFS due to failing unit test

 -- Luca Boccassi <bluca@debian.org>  Sat, 16 Nov 2024 00:36:08 +0000

systemd (257~rc2-1) unstable; urgency=low

  * d/t/control: add more packages to dummy hint-testsuite-triggers. A
    regression was introduced by nvme-cli in testing because the testsuite
    doesn't depend on it anymore directly, as mkosi builds it in the
    image. Add back all the tools/libraries that are only part of the
    mkosi guest image, so that autopkgtest triggers when they get updated,
    and regressions can be flagged before they migrate to testing.
  * Update upstream source from tag 'upstream/257_rc2'
  * Drop all patches, merged upstream
  * Install new systemd-keyutil binary in the systemd-repart package
  * systemd-ukify: downgrade dependency on systemd, not mandatory. It is
    necessary for the systemd-measure binary, but its usage is optional
    behind a specific argument, so the dependency can be downgraded
    (Closes: #1087322)
  * systemd-ukify: recommend systemd-repart. Needed for the systemd-sbsign
    and systemd-keyutil binaries
  * d/rules: adjust blhc override to account for source files being moved
  * Update lintian override to ignore false positive typos

 -- Luca Boccassi <bluca@debian.org>  Fri, 15 Nov 2024 19:49:02 +0000

systemd (257~rc1-4) unstable; urgency=medium

  * Backport patch to fix TEST-07-PID1 integration test

 -- Luca Boccassi <bluca@debian.org>  Fri, 08 Nov 2024 01:09:19 +0000

systemd (257~rc1-3) unstable; urgency=low

  * Backport another patch to fix test failure on buildd

 -- Luca Boccassi <bluca@debian.org>  Thu, 07 Nov 2024 11:13:25 +0000

systemd (257~rc1-2) unstable; urgency=low

  * Backport patch to fix unit test failure on buildd

 -- Luca Boccassi <bluca@debian.org>  Thu, 07 Nov 2024 09:35:17 +0000

systemd (257~rc1-1) unstable; urgency=low

  * gbp.conf: switch upstream branch to full upstream history
  * Update to new upstream version v257~rc1. For a full list of changes:
    https://github.com/systemd/systemd/releases/tag/v257-rc1
  * Drop all patches, merged upstream
  * Install new files
  * List new libsystemd0 symbols
  * Ignore Lintian warning dh-exec-script-without-dh-exec-features
  * d/copyright: remove pattern for directory that is no longer present

 -- Luca Boccassi <bluca@debian.org>  Wed, 06 Nov 2024 23:58:55 +0000

systemd (256.7-3) unstable; urgency=medium

  [ Luca Boccassi ]
  * Backport patch to fix test failures with tzdata 2024b-1
  * systemd-boot: provide provisional integration with shim. Not yet
    used, will be active once the signed packages are available.
    https://wiki.debian.org/SecureBoot#Secure_Boot_setup_with_systemd-boot

  [ Kirill Rekhov ]
  * d/systemd.postrm: delete more internal state directories on purge

 -- Luca Boccassi <bluca@debian.org>  Fri, 01 Nov 2024 18:13:09 +0000

systemd (256.7-2) unstable; urgency=medium

  [ Nick Rosbrook ]
  * d/systemd.postinst: do not restart systemd-binfmt.service if masked
    (LP: #2077869)

  [ Luca Boccassi ]
  * systemd-boot: depend on systemd for kernel-install (Closes: #1085012)
  * Disable utmp support, not y2038 safe. utmp support in tmux has been
    disabled, so autopkgtest should no longer break
  * Backport fixes for upstream autopkgtest suite

  [ Benjamin Drung ]
  * initramfs-tools: support missing /etc/udev/udev.conf. Installing
    initramfs-tools fails in case `/etc/udev/udev.conf` is removed
    (LP: #2084592)

 -- Luca Boccassi <bluca@debian.org>  Fri, 18 Oct 2024 15:47:12 +0100

systemd (256.7-1) unstable; urgency=medium

  * autopkgtest: skip gdm3 on armel for smoke tests. Gnome is no longer
    built for armel. (Closes: #1082516)
  * New upstream version 256.7
  * Mark dependencies on clang and bpftool as :native (Closes: #1083064)
  * Revert "autopkgtest: skip TEST-64-UDEV-STORAGE due to qemu crash". The
    qemu crash is now detected in the upstream integration test script.

 -- Luca Boccassi <bluca@debian.org>  Tue, 08 Oct 2024 18:37:53 +0100

systemd (256.6-1) unstable; urgency=medium

  [ Helmut Grohne ]
  * salsa-ci: test the stage1 build profile

  [ Simon Chopin ]
  * Filter out zdev rules in the initramfs hook (LP: #2044104). s390-tools
    has its own initramfs customization logic that deals with those files.

  [ Luca Boccassi ]
  * Re-enable utmp support, tmux's autopkgtests require it. This will
    break as logind writing into utmp will wrap around, so Trixie won't be
    y2038 ready after all
  * New upstream version 256.6
  * Note systemd-cryptsetup package split in NEWS (Closes: #1079644)

 -- Luca Boccassi <bluca@debian.org>  Tue, 10 Sep 2024 18:28:21 +0200

systemd (256.5-2ubuntu4) plucky; urgency=medium

  * Make sure systemd-cryptsetup is pulled in by systemd on install/upgrade
    (LP: #2084251)
    - d/control: make systemd-cryptsetup Priority: important
    - d/control: make systemd Recommends: systemd-cryptsetup again
  * debian/gbp.conf: update for plucky

 -- Nick Rosbrook <enr0n@ubuntu.com>  Wed, 16 Oct 2024 16:30:52 -0400

systemd (256.5-2ubuntu3) oracular; urgency=medium

  * d/control: demote systemd-cryptsetup from Recommends: to Suggests: of systemd
  * test: skip TEST-69-SHUTDOWN on ubuntu too (LP: #2083704)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 04 Oct 2024 11:37:37 -0400

systemd (256.5-2ubuntu2) oracular; urgency=medium

  * initramfs-tools: ensure rules file exists before invoking chzdev (LP: #2079993)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Mon, 09 Sep 2024 09:42:11 -0400

systemd (256.5-2ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - debian/tests/tests-in-lxd: run some autopkgtests in LXD too
    - debian/tests/boot-and-services:
      + skip apparmor tests on armhf
      + consume stderr in systemctl status call in test_service
      + drop test_no_failed
    - debian/systemd.postinst:
      + skip daemon-reexec and try-restarts during shutdown
      + manually call systemd-tmpfiles --create in postinst
    - debian/systemd-resolved.postinst: copy existing /etc/resolv.conf to
      /run/systemd/resolve/stub-resolv.conf
    - debian/rules:
      + Remove unneeded efi artifacts on i386 to avoid debugedit errors
    - debian/rules,debian/control,debian/tests/control:
      + Do not build with tpm libraries on i386
      + Do not build with libqrencode on i386
    - debian/gbp.conf,debian/extra/wrap_cl.py:
      Use a customization script to add LP commit links to changelog
    - debian/control:
      + Add Recommends: networkd-dispatcher systemd-resolved to systemd package
      + Give systemd-resolved Priority: important
      + Add Recommends: systemd-hwe-hwdb to udev package
      + Add Breaks: systemd (<< ${binary:Version}) to udev package so that
        systemd is upgraded as well when upgrading udev
      + Make systemd-sysv Depends: on matching version of systemd
      + Drop Recommends: libnss-myhostname libnss-resolve from systemd-resolved
      + Build-Depends: linux-tools-generic
    - debian/tests/upstream: export QEMU_MEM="1024M" for all tests
    - debian/systemd.links: mask systemd-gpt-auto-generator by default
    - debian/systemd.install: exclude files that are not built for i386
    - debian/systemd.manpages: do not ship un-built manpages on i386
    - debian/tests/control: only install systemd-boot-efi for supported arches
    - switch-root: use MS_MOVE for /run when switchig from initrd
    - debian/systemd.postinst: do not create /etc/tmpfiles.d/tmp.conf on upgrades.
      We want the upgrades on Ubuntu to be aligned with what a new install
      would look like.
    - d/control: do not build systemd-boot-efi-{amd64,arm64}-signed-template
  * New changes:
    - Keep utmp support for this release, since we are passed Feature Freeze
      in Ubuntu.
    - Filter out zdev rules in the initramfs hook (LP: #2044104)
    - d/t/upstream: honor /etc/apt configured by autopkgtest

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 06 Sep 2024 09:21:01 -0400

systemd (256.5-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix stage1 build (Closes: #1078821)

  [ Luca Boccassi ]
  * Disable utmp support, replaced by wtmpdb. utmp is not y2038-safe, util-
    linux has now turned it off and relies on logind, so disable utmp
    support in logind too, as it is no longer necessary. wtmpdb replaces
    the functionality.

 -- Luca Boccassi <bluca@debian.org>  Sun, 01 Sep 2024 22:03:06 +0100

systemd (256.5-1) unstable; urgency=medium

  * New upstream version 256.5
  * Drop patch merged upstream
  * autopkgtest: skip TEST-64-UDEV-STORAGE due to qemu crash. This tests
    randomly causes qemu to crash, making it very flaky, skip it
    downstream

 -- Luca Boccassi <bluca@debian.org>  Thu, 15 Aug 2024 22:00:36 +0100

systemd (256.4-3) unstable; urgency=medium

  * Drop redundant pot build. This was added many years ago, when
    apparently the upstream pot generation wasn't run or wasn't working.
    This is not the case anymore, pot files are regenerated upstream and
    checked in on every release, so this manual step just updates the
    timestamp in the existing template and nothing else. Drop it.
  * Use debian/clean instead of override in d/rules
  * Stop shipping empty /etc/init.d directory. We do not have any need for
    it, and will soon stop supporting legacy init files, so stop shipping
    it
  * Use d/not-installed instead of manual removals. We no longer install
    in the main package with a wildcard so we do not need to manually
    delete files, listing them in d/not-installed is sufficient. The only
    exceptions are files picked up by directory/wildcard entries in
    dh_install that have to be deleted.
  * autopkgtest: run upstream test last. It is the most complex and thus
    the most likely to show temporary failures, so move it last so that
    it's easier to read the logs
  * autopkgtest: use hint-testsuite-triggers to ensure other packages
    changes trigger our testsuite
  * Depend on new linux-bpf-dev package where available

 -- Luca Boccassi <bluca@debian.org>  Sun, 11 Aug 2024 11:53:32 +0100

systemd (256.4-2ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - debian/tests/tests-in-lxd: run some autopkgtests in LXD too
    - debian/tests/boot-and-services:
      + skip apparmor tests on armhf
      + consume stderr in systemctl status call in test_service
      + drop test_no_failed
    - debian/systemd.postinst:
      + skip daemon-reexec and try-restarts during shutdown
      + manually call systemd-tmpfiles --create in postinst
    - debian/systemd-resolved.postinst: copy existing /etc/resolv.conf to
      /run/systemd/resolve/stub-resolv.conf
    - debian/rules:
      + Remove unneeded efi artifacts on i386 to avoid debugedit errors
    - debian/rules,debian/control,debian/tests/control:
      + Do not build with tpm libraries on i386
      + Do not build with libqrencode on i386
    - debian/gbp.conf,debian/extra/wrap_cl.py:
      Use a customization script to add LP commit links to changelog
    - debian/control:
      + Add Recommends: networkd-dispatcher systemd-resolved to systemd package
      + Give systemd-resolved Priority: important
      + Add Recommends: systemd-hwe-hwdb to udev package
      + Add Breaks: systemd (<< ${binary:Version}) to udev package so that
        systemd is upgraded as well when upgrading udev
      + Make systemd-sysv Depends: on matching version of systemd
      + Drop Recommends: libnss-myhostname libnss-resolve from systemd-resolved
      + Build-Depends: linux-tools-generic
    - debian/tests/upstream: export QEMU_MEM="1024M" for all tests
    - debian/systemd.links: mask systemd-gpt-auto-generator by default
    - debian/systemd.install: exclude files that are not built for i386
    - debian/systemd.manpages: do not ship un-built manpages on i386
    - debian/tests/control: only install systemd-boot-efi for supported arches
    - switch-root: use MS_MOVE for /run when switchig from initrd
    - debian/systemd.postinst: do not create /etc/tmpfiles.d/tmp.conf on upgrades.
      We want the upgrades on Ubuntu to be aligned with what a new install
      would look like.
    - d/control: do not build systemd-boot-efi-{amd64,arm64}-signed-template

 -- Nick Rosbrook <enr0n@ubuntu.com>  Tue, 30 Jul 2024 10:44:28 -0400

systemd (256.4-2) unstable; urgency=medium

  * autopkgtest: allow localectl in localed tests.

 -- Luca Boccassi <bluca@debian.org>  Thu, 25 Jul 2024 13:18:09 +0100

systemd (256.4-1ubuntu3) oracular; urgency=medium

  * d/systemd.install: remove systemd-time-wait-sync again
    This was mistakenly added back when resolving a merge conflict.
    This binary was moved to systemd-timesyncd in commit 9d74923dd7
    ("Move systemd-time-wait-sync to systemd-timesyncd package").

 -- Nick Rosbrook <enr0n@ubuntu.com>  Mon, 29 Jul 2024 10:00:05 -0400

systemd (256.4-1ubuntu2) oracular; urgency=medium

  * d/systemd.install: do not ship systemd-tpm2-setup on i386

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 26 Jul 2024 15:44:16 -0400

systemd (256.4-1ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - debian/tests/tests-in-lxd: run some autopkgtests in LXD too
    - debian/tests/boot-and-services:
      + skip apparmor tests on armhf
      + consume stderr in systemctl status call in test_service
      + drop test_no_failed
    - debian/systemd.postinst:
      + skip daemon-reexec and try-restarts during shutdown
      + manually call systemd-tmpfiles --create in postinst
    - debian/systemd-resolved.postinst: copy existing /etc/resolv.conf to
      /run/systemd/resolve/stub-resolv.conf
    - debian/rules:
      + Remove unneeded efi artifacts on i386 to avoid debugedit errors
    - debian/rules,debian/control,debian/tests/control:
      + Do not build with tpm libraries on i386
      + Do not build with libqrencode on i386
    - debian/gbp.conf,debian/extra/wrap_cl.py:
      Use a customization script to add LP commit links to changelog
    - debian/control:
      + Add Recommends: networkd-dispatcher systemd-resolved to systemd package
      + Give systemd-resolved Priority: important
      + Add Recommends: systemd-hwe-hwdb to udev package
      + Add Breaks: systemd (<< ${binary:Version}) to udev package so that
        systemd is upgraded as well when upgrading udev
      + Make systemd-sysv Depends: on matching version of systemd
      + Drop Recommends: libnss-myhostname libnss-resolve from systemd-resolved
      + Build-Depends: linux-tools-generic
    - debian/tests/upstream: export QEMU_MEM="1024M" for all tests
    - debian/systemd.links: mask systemd-gpt-auto-generator by default
    - debian/systemd.install: exclude files that are not built for i386
    - debian/systemd.manpages: do not ship un-built manpages on i386
    - debian/tests/control: only install systemd-boot-efi for supported arches
    - switch-root: use MS_MOVE for /run when switchig from initrd
    - debian/systemd.postinst: do not create /etc/tmpfiles.d/tmp.conf on upgrades.
      We want the upgrades on Ubuntu to be aligned with what a new install
      would look like.
  * New changes:
    - d/control: do not build systemd-boot-efi-{amd64,arm64}-signed-template

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 26 Jul 2024 13:36:33 -0400

systemd (256.4-1) unstable; urgency=medium

  [ Nick Rosbrook ]
  * Move systemd-time-wait-sync to systemd-timesyncd package
    (LP: #1938058)
  * d/t/boot-and-services: skip test_tmp_cleanup if tmp.mount is
    overridden
  * d/t/upstream: ensure correct ubuntu codename is used
  * d/t/control: add Depends: lib{systemd,udev}-dev for upstream

  [ Luca Boccassi ]
  * Drop /etc/sysctl.d/99-sysctl.conf symlink procps no longer ships
    /etc/sysctl.conf (Closes: #1076190)
  * autopkgtest: add allow-stderr to timedated test
  * autopkgtest: set Release= in mkosi.local.conf to distinguish testing
    vs unstable
  * Drop out-of-tree localed patch and use D-Bus policy instead. We can
    forbid changing locale/keymap/keyboard via a D-Bus policy instead of
    an out-of-tree patch.
  * New upstream version 256.4 (Closes: #1074789)
  * Install varlinkctl zsh completion file
  * Drop last patch, all merged upstream

 -- Luca Boccassi <bluca@debian.org>  Wed, 24 Jul 2024 14:23:56 +0100

systemd (256.2-1ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - debian/tests/tests-in-lxd: run some autopkgtests in LXD too
    - debian/tests/boot-and-services:
      + skip apparmor tests on armhf
      + consume stderr in systemctl status call in test_service
      + drop test_no_failed
    - debian/systemd.postinst:
      + skip daemon-reexec and try-restarts during shutdown
      + manually call systemd-tmpfiles --create in postinst
    - debian/systemd-resolved.postinst: copy existing /etc/resolv.conf to
      /run/systemd/resolve/stub-resolv.conf
    - debian/rules:
      + Remove unneeded efi artifacts on i386 to avoid debugedit errors
    - debian/rules,debian/control,debian/tests/control:
      + Do not build with tpm libraries on i386
      + Do not build with libqrencode on i386
    - debian/gbp.conf,debian/extra/wrap_cl.py:
      Use a customization script to add LP commit links to changelog
    - debian/control:
      + Add Recommends: networkd-dispatcher systemd-resolved to systemd package
      + Give systemd-resolved Priority: important
      + Add Recommends: systemd-hwe-hwdb to udev package
      + Add Breaks: systemd (<< ${binary:Version}) to udev package so that
        systemd is upgraded as well when upgrading udev
      + Make systemd-sysv Depends: on matching version of systemd
      + Drop Recommends: libnss-myhostname libnss-resolve from systemd-resolved
      + Build-Depends: linux-tools-generic
    - debian/tests/upstream: export QEMU_MEM="1024M" for all tests
    - debian/systemd.links: mask systemd-gpt-auto-generator by default
    - debian/systemd.install: exclude files that are not built for i386
    - debian/systemd.manpages: do not ship un-built manpages on i386
    - debian/tests/control: only install systemd-boot-efi for supported arches
    - switch-root: use MS_MOVE for /run when switchig from initrd
    - debian/systemd.postinst: do not create /etc/tmpfiles.d/tmp.conf on upgrades.
      We want the upgrades on Ubuntu to be aligned with what a new install
      would look like.
  * Dropped changes, no longer needed:
    - Drop Revert-network-if-sys-is-rw-then-udev-should-be-around.patch
    - Drop test-skip-exec-privatenetwork-yes-privatemounts-yes.servi.patch.
      With security.nesting: true, this AppArmor denial is not hit. We can
      drop this now.
    - debian/tests/unit-tests: don't skip test-execute on armhf anymore
  * Dropped changes, not compatible with mkosi-based test suite:
    - debian/tests/upstream{,-1,-2}: split upstream tests into two parts
  * New changes:
    - debian/tests/tests-in-lxd: set security.nesting true for LXD containers
    - d/t/boot-and-services: skip test_tmp_cleanup if tmp.mount is overridden
    - d/t/upstream: ensure correct ubuntu codename is used
    - d/t/control: add Depends: lib{systemd,udev}-dev for upstream

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 19 Jul 2024 11:56:45 -0400

systemd (256.2-1) unstable; urgency=medium

  * d/not-installed: fix shutdown.standalone path
  * autopkgtest: skip qemu tests on arm64
  * Add recommends on linux-sysctl-defaults. This package contains the
    default sysctl settings, and is maintained by the kernel team. This is
    not available in Ubuntu so keep it as a recommends for now, to avoid
    breaking the upstream CI.
    (Closes: #1027773)
  * initramfs-tools: copy network drop-ins too (Closes: #1074564)
  * d/e/checkout-upstream: fix shellcheck warnings
  * d/e/checkout-upstream: do not fail if rebase fails
  * d/e/checkout-upstream: switch packaging branch on upstream stable PRs.
  * New upstream version 256.2 (Closes: #1074789)
  * Install run0 zsh completion file

 -- Luca Boccassi <bluca@debian.org>  Fri, 05 Jul 2024 19:15:59 +0100

systemd (256.1-2) unstable; urgency=medium

  * Bump breaks/replaces to conflicts for DEP17. Breaks/replaces are not
    enough when moving files between packages and between locations as per
    DEP17, so bump to Conflicts. (Closes: #1073922)
  * autopkgtest: add dependency on libcryptsetup-dev in unit-tests suite

 -- Luca Boccassi <bluca@debian.org>  Sun, 23 Jun 2024 13:33:33 +0100

systemd (256.1-1) unstable; urgency=medium

  * Bump versioned breaks against dracut to 102-2 (Closes: #1073290)
  * autopkgtest: switch upstream suite to mkosi-based builds
  * Add conflict against sysv-rc, insserv and startpar in systemd-sysv.
    They are not needed, and having them installed causes problems.
    (Closes: #1072562)
  * New upstream version 256.1
  * Drop section from binary packages where it matches the source package
  * Override Lintian false positives about spare manpages
  * Deduplicate template packages descriptions
  * Add Lintian override for template package false positives
  * Rename EFI architecture variable to avoid dpkg clash. Fixes Lintian
    warning: debian-rules-sets-dpkg-architecture-variable
  * Upload to unstable.

 -- Luca Boccassi <bluca@debian.org>  Tue, 18 Jun 2024 23:19:16 +0100

systemd (256-2) experimental; urgency=medium

  * Add templated packages for UEFI Secure Boot signing of systemd-boot.
  * Add systemd-standalone-shutdown package for exitrds. Allows building
    minimal exitrd images, used to gracefully cleanup complex root
    filesystems storage. Not intended for normal systems.
  * Add systemd-repart package to reduce dependencies sd-repart pulls in
    several libraries that binaries in the main systemd package do not
    need, so split it out to reduce the dependencies of the main package
  * Add systemd-cryptsetup package to reduce dependencies sd-
    cryptsetup/integritysetup/veritysetup pull in several libraries that
    other files in the main systemd package do not need, so split them out
    to reduce the dependencies of the main package
  * Move sd-sysupdate to systemd-container
  * Move importd manpages to systemd-container, where the binaries are.
    Left behind when importd was moved
  * Move systemd-boot/stub manpages to systemd-boot. The EFI packages
    should just have the EFI binaries, no point in duplicating the docs.
    And the stub manpage should also be in the boot package, not the main
    package.

 -- Luca Boccassi <bluca@debian.org>  Wed, 12 Jun 2024 01:30:51 +0100

systemd (256-1ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - debian/tests/upstream{,-1,-2}: split upstream tests into two parts
    - debian/tests/tests-in-lxd: run some autopkgtests in LXD too
    - debian/tests/boot-and-services:
      + skip apparmor tests on armhf
      + consume stderr in systemctl status call in test_service
      + drop test_no_failed
    - debian/systemd.postinst:
      + skip daemon-reexec and try-restarts during shutdown
      + manually call systemd-tmpfiles --create in postinst
    - debian/systemd-resolved.postinst: copy existing /etc/resolv.conf to
      /run/systemd/resolve/stub-resolv.conf
    - debian/rules:
      + Remove unneeded efi artifacts on i386 to avoid debugedit errors
    - debian/rules,debian/control,debian/tests/control:
      + Do not build with tpm libraries on i386
      + Do not build with libqrencode on i386
    - debian/gbp.conf,debian/extra/wrap_cl.py:
      Use a customization script to add LP commit links to changelog
    - debian/control:
      + Add Recommends: networkd-dispatcher systemd-resolved to systemd package
      + Give systemd-resolved Priority: important
      + Add Recommends: systemd-hwe-hwdb to udev package
      + Add Breaks: systemd (<< ${binary:Version}) to udev package so that
        systemd is upgraded as well when upgrading udev
      + Make systemd-sysv Depends: on matching version of systemd
      + Drop Recommends: libnss-myhostname libnss-resolve from systemd-resolved
      + Build-Depends: linux-tools-generic
    - d/p/Revert-network-if-sys-is-rw-then-udev-should-be-around.patch:
      Revert "network: if /sys is rw, then udev should be around" upstream
      commit
    - debian/tests/upstream: export QEMU_MEM="1024M" for all tests
    - debian/systemd.links: mask systemd-gpt-auto-generator by default
    - debian/systemd.install: exclude files that are not built for i386
    - debian/systemd.manpages: do not ship un-built manpages on i386
    - debian/tests/control: only install systemd-boot-efi for supported arches
    - test: skip exec-privatenetwork-yes-privatemounts-yes.service in LXC
    - debian/test/unit-tests: skip test-execute on armhf.
  * Dropped changes, included in Debian:
    - debian/extra: use a drop-in resolved.conf to configure Cache=no-negative
    - debian/extra: use a dropin to configure Nice=-1 on systemd-journald.service.
    - debian/extra/systemd-oomd-defaults/-.slice.d/10-oomd-root-slice-defaults.conf:
      Set ManagedOOMSwap=auto, disabling swap kill by default
    - debian/rules:
      + Set default user path
      + Disable LLMNR by default
    - debian/tests/storage: skip tests if scsi_debug module is not available
  * Dropped changes:
    - debian/patches/tmpfiles.d-tmp.conf-make-cleanup-age-30d-on-Ubuntu.patch:
      We want to stay aligned with Debian and upstream instead of keeping this
      30d cleanup.
    - debian/systemd-resolved.install: drop unnecessary delta
    - d/p/debian/UBUNTU-Don-t-override-Ubuntu-s-default-sysctl-values-LP-1962038.patch:
      We do not actually ship sysctld.d/50-default.conf in Debian or Ubuntu.
      When this patch was written, we did, but that change was lost in a merge
      from Debian. The preferred package to set sysctl defaults is procps
      anyways, so rather than restoring sysctl.d/50-default.conf to make this
      patch relevant, drop the patch.
  * New changes:
    - debian/extra: remove systemd-logind.service.d/nice.conf (LP: #2067927)
    - switch-root: use MS_MOVE for /run when switchig from initrd (LP: #2064096)
    - debian/systemd.postinst: do not create /etc/tmpfiles.d/tmp.conf on upgrades.
      We want the upgrades on Ubuntu to be aligned with what a new install
      would look like.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Thu, 13 Jun 2024 11:46:06 -0400

systemd (256-1) unstable; urgency=medium

  [ Kevin Fleming ]
  * Additional workaround for links to legacy /usr/share/systemd/tmp.mount
    placeholder

  [ Yu Watanabe ]
  * debian/extra/network: use NamePolicy=mac only when ID_NET_NAME_MAC is
    set.

  [ Luca Boccassi ]
  * New upstream version 256. For a full list of changes, see:
    https://github.com/systemd/systemd/releases/tag/v256

 -- Luca Boccassi <bluca@debian.org>  Tue, 11 Jun 2024 22:59:12 +0100

systemd (256~rc4-1) unstable; urgency=high

  [ Luca Boccassi ]
  * Restart managers on libc-upgrade dpkg trigger (Closes: #1072373)
  * LimitCORE: restore default hard limit to infinity. The intention was
    to change the soft limit, but by default it applies to both unless
    specified, so fix it.
  * New upstream version 256~rc4
  * Drop patches merged upstream

  [ Nick Rosbrook ]
  * debian/extra: set ManagedOOMSwap=auto on -.slice. This has the effect
    of disabling swap kill by default, so cgroups will only be monitored
    for memory pressure, and not swap usage.
  * debian/extra: use a drop-in resolved.conf to configure Cache=no-
    negative. Only ship this on Ubuntu.
  * debian/extra: use a dropin to configure Nice=-1 on systemd-
    journald.service. Only ship this on Ubuntu.

  [ Dan Streetman ]
  * debian/tests/storage: without scsi_debug, skip test

 -- Luca Boccassi <bluca@debian.org>  Thu, 06 Jun 2024 20:49:17 +0100

systemd (256~rc3-7) unstable; urgency=medium

  * NEWS: note that any leftover file in /tmp/ will be invisible due to
    the tmpfs and other clarifications (Closes: #1072249)
  * Add pkg.systemd.noukify profile. Will be useful for i386 reduced
    builds
  * d/rules: be more robust against non-existing dirs when deleting files
  * Allow setting GENSYMBOLS_LEVEL from the environment. Needed when
    building with llvm to work around #986746

 -- Luca Boccassi <bluca@debian.org>  Sat, 01 Jun 2024 12:30:39 +0100

systemd (256~rc3-6) unstable; urgency=medium

  * NEWS: clarify tmpfiles.d entry (Closes: #1072155)
  * Override false positive Lintian warning
  * Add workaround for links to legacy /usr/share/systemd/tmp.mount
    placeholder. Some users apparently link to the placeholder in
    /usr/share/ so delete any such links, given we don't ship it anymore
    (Closes: #1072187)

 -- Luca Boccassi <bluca@debian.org>  Thu, 30 May 2024 18:11:19 +0100

systemd (256~rc3-5ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - debian/tests/upstream{,-1,-2}: split upstream tests into two parts
    - debian/tests/tests-in-lxd: run some autopkgtests in LXD too
    - debian/tests/storage: skip tests if scsi_debug module is not available
    - debian/tests/boot-and-services:
      + skip apparmor tests on armhf
      + consume stderr in systemctl status call in test_service
      + drop test_no_failed
    - debian/systemd.postinst:
      + skip daemon-reexec and try-restarts during shutdown
      + manually call systemd-tmpfiles --create in postinst
    - debian/systemd-resolved.postinst: copy existing /etc/resolv.conf to
      /run/systemd/resolve/stub-resolv.conf
    - debian/rules:
      + Set default user path
      + Disable LLMNR by default
      + Remove unneeded efi artifacts on i386 to avoid debugedit errors
    - debian/rules,debian/control,debian/tests/control:
      + Do not build with tpm libraries on i386
      + Do not build with libqrencode on i386
    - debian/gbp.conf,debian/extra/wrap_cl.py:
      Use a customization script to add LP commit links to changelog
    - debian/extra/systemd-oomd-defaults/-.slice.d/10-oomd-root-slice-defaults.conf:
      Set ManagedOOMSwap=auto, disabling swap kill by default
    - debian/control:
      + Add Recommends: networkd-dispatcher systemd-resolved to systemd package
      + Give systemd-resolved Priority: important
      + Add Recommends: systemd-hwe-hwdb to udev package
      + Add Breaks: systemd (<< ${binary:Version}) to udev package so that
        systemd is upgraded as well when upgrading udev
      + Make systemd-sysv Depends: on matching version of systemd
      + Drop Recommends: libnss-myhostname libnss-resolve from systemd-resolved
      + Build-Depends: linux-tools-generic
    - d/p/Revert-network-if-sys-is-rw-then-udev-should-be-around.patch:
      Revert "network: if /sys is rw, then udev should be around" upstream
      commit
    - d/p/debian/UBUNTU-Don-t-override-Ubuntu-s-default-sysctl-values-LP-1962038.patch:
      Don't override Ubuntu's default sysctl values
    - debian/extra: use a dropin to configure Nice=-1 on systemd-journald.service.
    - debian/tests/upstream: export QEMU_MEM="1024M" for all tests
    - debian/systemd.links: mask systemd-gpt-auto-generator by default
    - debian/systemd.install: exclude files that are not built for i386
    - debian/systemd.manpages: do not ship un-built manpages on i386
    - debian/tests/control: only install systemd-boot-efi for supported arches
    - test: skip exec-privatenetwork-yes-privatemounts-yes.service in LXC
  * Dropped changes, no longer needed:
    - Drop debian/UBUNTU-read-only-etc-hacks.patch
    - Drop debian/UBUNTU-test-test-functions-launch-qemu-with-vga-none.patch
    - Drop debian/UBUNTU-Add-AssumedApparmorLabel-unconfined-to-timedate1-dbus.patch
    - Drop lp1861941-dont-generate-disk-byuuid-for-bcache-uuid.patch.
      As stated in the patch description, this is *not* the proper fix for the
      issue. The proper fix was sent to bcache-tools upstream, but that
      upstream is abandoned. However, that patch is now included in Debian
      (shipped starting in 1.0.8-5). Hence, we can finally drop this patch
      from systemd.
    - Drop test-temporarily-skip-credentials-tests-in-LXC.patch
      This is redundant with the current skip in tests-in-lxd, and skipping
      on armhf all together.
    - debian/tests/boot-and-services:
      + skip test_syslog on s390x
      + skip coredump tests on s390x
  * New changes:
    - Keep 30d cleanup for /tmp in Ubuntu
    - debian/extra: use a drop-in resolved.conf to configure Cache=no-negative
      This allows us to drop the current patch.
    - debian/test/unit-tests: skip test-execute on armhf.
      The run-unit-tests.py script supports a --skip flag for wholesale
      skipping like this, so use that instead of a patch.
    - debian/tests/tests-in-lxd: fix apparmor profile path

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 31 May 2024 15:52:20 -0400

systemd (256~rc3-5) unstable; urgency=medium

  * homed: fixup pam-auth-update file via trigger pam-auth-update assumes
    nothing comes after a password module, but this is not true for
    pam_systemd_home, which is a no-op for users not managed by homed.
    Fixup common-password accordingly, using a trigger watching for pam-
    auth-update files being installed.

 -- Luca Boccassi <bluca@debian.org>  Wed, 29 May 2024 01:04:53 +0100

systemd (256~rc3-4) unstable; urgency=medium

  * autopkgtest: take into account compat tmp.conf in tmpfiles.d test.
  * Backport patch to fix TEST-64-UDEV-STORAGE autopkgtest.

 -- Luca Boccassi <bluca@debian.org>  Tue, 28 May 2024 12:11:36 +0100

systemd (256~rc3-3) unstable; urgency=medium

  [ Zbigniew Jędrzejewski-Szmek ]
  * tests/boot-and-services: don't wait for systemd-tmpfiles-clean.service
    to finish. It's a oneshot service, so the 'start' call above is
    effectively synchronous.
  * test/boot-and-services: use pidof instead of ps -C

  [ Chris Hofstaedtler ]
  * autopkgtest: install open-iscsi and tgt for upstream suite

  [ Gioele Barabucci ]
  * d/libnss-mymachines.nss: Install before `resolve` and `dns`. Installing
    `mymachines` before `dns` and `resolve` (whatever comes first) is
    suggested in the manpage. It also avoids leaking information about
    local machines to the DNS resolver. (Closes: #825438, #851314)
  * d/libnss-myhostname.nss: Install after `files`

  [ Luca Boccassi ]
  * Drop /bin/systemd legacy symlink. The systemd binary should not be in
    the default PATH. This symlink was created due to some old
    documentation (long since corrected) suggesting to use
    init=/bin/systemd to test switching to systemd. (Closes: #913061)
  * initramfs: call udevadm settle before control --exit to ensure workers
    have stopped. Otherwise there might be lock files left under /run/
    which will break 'nuke' and cause the boot to fail. (Closes: #1056564)
  * Restore open files limit bump on boot. Broken packages ought to have
    been fixed by now. (Closes: #1029152)
  * Set default core limit to 0 via PAM for users. Otherwise it only
    applies to services.
  * Cleanup /var/tmp/ and /tmp/ on a timer by default. Remove the
    downstream patch and restore the upstream behaviour set by the
    tmpfiles.d which is to cleanup /var/tmp/ once a month and /tmp/ once
    every 10 days. Can be overridden via: touch /etc/tmpfiles.d/tmp.conf
    (Closes: #966621)
  * Make /tmp/ a tmpfs by default. Restore the upstream default and make
    /tmp/ a tmpfs. Can be overridden with: touch
    /etc/systemd/system/tmp.mount or: systemctl mask tmp.mount
  * Drop out-of-tree /run/lock patch and use a mount unit and tmpfiles.d
    instead. Only lvm2 and open-iscsi have mentions of /run/lock and an
    early-boot unit, so it's trivial to add ordering in those units
    instead of maintaining an out-of-tree patch.
  * homed: use standalone pam config file instead of pam-auth-config
    pam_unix.so assumes that if anything comes before it then the password
    has already been queried for sure. This doesn't work for homed, so
    passwd breaks. pam-auth-config has this hard-coded assumption and it
    cannot be disabled. Use an upstream standard pam config file instead.
    (Closes: #1056166)
  * NEWS: note recent changes

 -- Luca Boccassi <bluca@debian.org>  Tue, 28 May 2024 00:07:57 +0100

systemd (256~rc3-2) unstable; urgency=medium

  * autopkgtest: do not install gdm3 on riscv64 tests. gnome-shell hasn't
    built since last year for riscv64 due to #1058687 so the test fails as
    it cannot be installed, skip it like on s390x.

 -- Luca Boccassi <bluca@debian.org>  Thu, 23 May 2024 16:31:42 +0100

systemd (256~rc3-1ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - debian/tests/upstream{,-1,-2}: split upstream tests into two parts
    - debian/tests/tests-in-lxd: run some autopkgtests in LXD too
    - debian/tests/storage: skip tests if scsi_debug module is not available
    - debian/tests/boot-and-services:
      + skip test_syslog on s390x
      + skip coredump tests on s390x
      + skip apparmor tests on armhf
      + consume stderr in systemctl status call in test_service
      + drop test_no_failed
    - debian/systemd.postinst:
      + skip daemon-reexec and try-restarts during shutdown
      + manually call systemd-tmpfiles --create in postinst
    - debian/systemd-resolved.postinst: copy existing /etc/resolv.conf to
      /run/systemd/resolve/stub-resolv.conf
    - debian/rules:
      + Set default user path
      + Disable LLMNR by default
      + Remove unneeded efi artifacts on i386 to avoid debugedit errors
    - debian/rules,debian/control,debian/tests/control:
      + Do not build with tpm libraries on i386
      + Do not build with libqrencode on i386
    - debian/gbp.conf,debian/extra/wrap_cl.py:
      Use a customization script to add LP commit links to changelog
    - debian/extra/systemd-oomd-defaults/-.slice.d/10-oomd-root-slice-defaults.conf:
      Set ManagedOOMSwap=auto, disabling swap kill by default
    - debian/control:
      + Add Recommends: networkd-dispatcher systemd-resolved to systemd package
      + Give systemd-resolved Priority: important
      + Add Recommends: systemd-hwe-hwdb to udev package
      + Add Breaks: systemd (<< ${binary:Version}) to udev package so that
        systemd is upgraded as well when upgrading udev
      + Make systemd-sysv Depends: on matching version of systemd
      + Drop Recommends: libnss-myhostname libnss-resolve from systemd-resolved
      + Build-Depends: linux-tools-generic
    - d/p/debian/UBUNTU-Add-AssumedApparmorLabel-unconfined-to-timedate1-dbus.patch:
      Set AssumedAppArmorLabel=unconfined in timedate1 dbus service file
    - d/p/debian/UBUNTU-test-test-functions-launch-qemu-with-vga-none.patch:
      Launch QEMU with -vga none in test-functions
    - d/p/debian/UBUNTU-resolved-default-no-negative-caching.patch:
      Default to Cache=no-negative in systemd-resolved
    - d/p/Revert-network-if-sys-is-rw-then-udev-should-be-around.patch:
      Revert "network: if /sys is rw, then udev should be around" upstream
      commit
    - d/p/lp1861941-dont-generate-disk-byuuid-for-bcache-uuid.patch:
      skip disk/by-uuid for bcache devices
    - d/p/debian/UBUNTU-Don-t-override-Ubuntu-s-default-sysctl-values-LP-1962038.patch:
      Don't override Ubuntu's default sysctl values
    - debian/patches/debian/UBUNTU-read-only-etc-hacks.patch:
      Workaround Ubuntu core's read-only etc
    - debian/extra: use a dropin to configure Nice=-1 on systemd-journald.service.
    - debian/tests/upstream: export QEMU_MEM="1024M" for all tests
    - debian/systemd.links: mask systemd-gpt-auto-generator by default
    - debian/systemd.install: exclude files that are not built for i386
    - debian/systemd.manpages: do not ship un-built manpages on i386
    - debian/tests/control: only install systemd-boot-efi for supported arches
    - test: temporarily skip credentials tests in LXC.
      This was already skipped in another patch, but now that we know what's
      going on with it, split it out.
    - test: skip test-execute in arhmf LXC containers
    - test: skip exec-privatenetwork-yes-privatemounts-yes.service in LXC
  * Dropped changes, no longer needed:
    - Provide upgrade path (Replaces:) for Jammy's systemd-repart
    - test: deny-list TEST-08-INITRD.
  * New changes:
    - debian/tests/tests-in-lxd: skip until credentials can be used in LXD

 -- Nick Rosbrook <enr0n@ubuntu.com>  Thu, 23 May 2024 10:45:03 -0400

systemd (256~rc3-1) unstable; urgency=medium

  * Bump Breaks on dracut, on request of the maintainer (Closes: #1071278)
  * autopkgtest: reboot before logind test
  * Disable D-Bus introspection XML generation with nodoc profile
  * autopkgtest: install systemd-dev for upstream suite too
  * New upstream version 256~rc3
  * Drop patches merged upstream

 -- Luca Boccassi <bluca@debian.org>  Wed, 22 May 2024 23:24:02 +0100

systemd (256~rc2-3) unstable; urgency=medium

  * Explicitly enable systemd-boot only on supported architectures

 -- Luca Boccassi <bluca@debian.org>  Thu, 16 May 2024 22:51:08 +0100

systemd (256~rc2-2) unstable; urgency=medium

  * Build depend on dh-dlopenlibdeps and dynamically generate dlopen
    dependencies
  * Backport patches to fix journald asserts Compress=yes (Closes:
    #1071201)

 -- Luca Boccassi <bluca@debian.org>  Thu, 16 May 2024 17:40:43 +0100

systemd (256~rc2-1ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - debian/tests/upstream{,-1,-2}: split upstream tests into two parts
    - debian/tests/tests-in-lxd: run some autopkgtests in LXD too
    - debian/tests/storage: skip tests if scsi_debug module is not available
    - debian/tests/boot-and-services:
      + skip test_syslog on s390x
      + skip coredump tests on s390x
      + skip apparmor tests on armhf
      + consume stderr in systemctl status call in test_service
      + drop test_no_failed
    - debian/systemd.postinst:
      + skip daemon-reexec and try-restarts during shutdown
      + manually call systemd-tmpfiles --create in postinst
    - debian/systemd-resolved.postinst: copy existing /etc/resolv.conf to
      /run/systemd/resolve/stub-resolv.conf
    - debian/rules:
      + Set default user path
      + Disable LLMNR by default
      + Remove unneeded efi artifacts on i386 to avoid debugedit errors
    - debian/rules,debian/control,debian/tests/control:
      + Do not build with tpm libraries on i386
      + Do not build with libqrencode on i386
    - debian/gbp.conf,debian/extra/wrap_cl.py:
      Use a customization script to add LP commit links to changelog
    - debian/extra/systemd-oomd-defaults/-.slice.d/10-oomd-root-slice-defaults.conf:
      Set ManagedOOMSwap=auto, disabling swap kill by default
    - debian/control:
      + Add Recommends: networkd-dispatcher systemd-resolved to systemd package
      + Provide upgrade path (Replaces:) for Jammy's systemd-repart
      + Give systemd-resolved Priority: important
      + Add Recommends: systemd-hwe-hwdb to udev package
      + Add Breaks: systemd (<< ${binary:Version}) to udev package so that
        systemd is upgraded as well when upgrading udev
      + Make systemd-sysv Depends: on matching version of systemd
      + Drop Recommends: libnss-myhostname libnss-resolve from systemd-resolved
      + Build-Depends: linux-tools-generic
    - d/p/debian/UBUNTU-Add-AssumedApparmorLabel-unconfined-to-timedate1-dbus.patch:
      Set AssumedAppArmorLabel=unconfined in timedate1 dbus service file
    - d/p/debian/UBUNTU-test-test-functions-launch-qemu-with-vga-none.patch:
      Launch QEMU with -vga none in test-functions
    - d/p/debian/UBUNTU-resolved-default-no-negative-caching.patch:
      Default to Cache=no-negative in systemd-resolved
    - d/p/Revert-network-if-sys-is-rw-then-udev-should-be-around.patch:
      Revert "network: if /sys is rw, then udev should be around" upstream
      commit
    - d/p/lp1861941-dont-generate-disk-byuuid-for-bcache-uuid.patch:
      skip disk/by-uuid for bcache devices
    - d/p/debian/UBUNTU-Don-t-override-Ubuntu-s-default-sysctl-values-LP-1962038.patch:
      Don't override Ubuntu's default sysctl values
    - debian/patches/debian/UBUNTU-read-only-etc-hacks.patch:
      Workaround Ubuntu core's read-only etc
    - d/p/test-drop-etc-default-locale-handling-from-TEST-74-AUX-UT.patch
    - d/p/meson.build-disable-Wformat-overflow-on-gcc-with-O3.patch:
      Disable -Wformat-overflow on gcc with -O3
    - test: ensure SYSVINIT_PATH exists in TEST-26-SYSTEMCTL.
      On Ubuntu, we hit the case where SYSVINIT_PATH falls back to
      /etc/init.d, but nothing guarantees that the path is created for the
      test.
    - test: deny-list TEST-08-INITRD.
      Upstream already disables this: https://github.com/systemd/systemd/pull/28813.
      It makes sense for us to as well, because we don't run systemd in the
      initrd.
    - debian/extra: use a dropin to configure Nice=-1 on systemd-journald.service.
      It is preferred that we override units with dropins like this, rather
      than patching the original. This has no functional change.
    - debian/tests/upstream: export QEMU_MEM="1024M" for all tests
    - debian/systemd.links: mask systemd-gpt-auto-generator by default
    - debian/systemd.install: exclude files that are not built for i386
    - debian/systemd.manpages: do not ship un-built manpages on i386
    - debian/tests/control: only install systemd-boot-efi for supported arches
    - test: temporarily skip credentials tests in LXC.
      This was already skipped in another patch, but now that we know what's
      going on with it, split it out.
    - test: skip test-execute in arhmf LXC containers
    - test: skip exec-privatenetwork-yes-privatemounts-yes.service in LXC
  * Dropped changes:
    - Drop test-drop-etc-default-locale-handling-from-TEST-74-AUX-UT.patch.
    - Drop test-ensure-SYSVINIT_PATH-exists-in-TEST-26-SYSTEMCTL.patch.
    - Drop meson.build-disable-Wformat-overflow-on-gcc-with-O3.patch

 -- Nick Rosbrook <enr0n@ubuntu.com>  Sun, 19 May 2024 04:07:45 +0200

systemd (256~rc2-1) unstable; urgency=medium

  [ Luca Boccassi ]
  * report-bug: add presubj template to recommend opening functionality
    bugs upstream first
  * report-bug: include runtime taints
  * Recommend libzstd1 and suggest liblz4-1, liblzma5, libgcrypt20
  * autopkgtest: install polkitd in upstream suite
  * Build depend on rsync or meson >= 1.3.0 for follow-symlink workaround.
  * Change links from freedesktop.org to systemd.io (Closes: #1070499)
  * Add dependency on python3-psutil to systemd-tests, needed by networkd
    test suite
  * d/t/boot-and-services: drop tmp check. LXC now sets up a tmpfs on /tmp
    as per upstream recommendation, so we cannot detect it via fstab
    anymore. Just drop this test, as we are about to make /tmp a tmpfs
    ourselves anyway.
  * Set SBAT distro URL to tracker.d.o as suggested by EFI team
  * Drop out-of-tree coredump patch and use config drop-ins instead. As
    per: https://github.com/systemd/systemd/pull/27066 instead of carrying
    an out-of-tree patch, use drop-ins to set the default pattern to
    'core' and the default core limit to '0' in the systemd package, and a
    higher priority drop-in to set the default core limit to 'infinity' in
    the systemd-coredump package (it already ships a sysctl to set the
    pattern). The end result is the same, but with config drop-ins instead
    of patches.
  * Drop out-of-tree fsckd daemon patch. This was dropped upstream long
    ago, and Plymouth on Debian doesn't actually use this. A different
    upstream change provides the required functionality.
  * Drop out-of-tree systemctl scheduled shutdown fallback. This patch was
    rejected upstream and there's no path to have it merged, so drop it
    and restore the default behaviour in case of error.
  * Drop out-of-tree fsck skip patch and use drop-in instead. Non-root
    filesystems are only checked when mounted, so the other change is not
    needed. The root one can be fixed with a drop-in instead of a patch.
  * d/t/control: explicitly depend on systemd-dev for tests that run pkg-
    config
  * systemd.postinst: use DPKG_ROOT in one more place.
  * NEWS: note scheduled shutdown failure case changes
  * New upstream version 256~rc2
  * Drop patches merged upstream
  * Refresh patches for v256~rc2
  * Install new files from v256~rc2
  * Drop Lintian overrides for false positives that have been fixed
  * Upload to unstable

  [ Michael Marley ]
  * Use absolute path when including libkmod in initramfs. The relative
    path works fine when the hook is executed during a normal APT
    install/update, but if the user runs "update-initramfs -u" from any
    directory other than /, the relative path doesn't match anything,
    libkmod is not included, and the system fails to boot due to not
    loading the storage driver(s).

  [ Michael Biebl ]
  * Stop setting the build system explicitly. No longer necessary since
    https://github.com/systemd/systemd/pull/31530
  * Remove systemd-dev dependency from systemd and udev. This was a
    temporary measure to ease the migration.

 -- Luca Boccassi <bluca@debian.org>  Wed, 15 May 2024 00:40:56 +0100

systemd (256~rc1-1~exp2ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - debian/tests/upstream{,-1,-2}: split upstream tests into two parts
    - debian/tests/tests-in-lxd: run some autopkgtests in LXD too
    - debian/tests/storage: skip tests if scsi_debug module is not available
    - debian/tests/boot-and-services:
      + skip test_syslog on s390x
      + skip coredump tests on s390x
      + skip apparmor tests on armhf
      + consume stderr in systemctl status call in test_service
      + drop test_no_failed
    - debian/systemd.postinst:
      + skip daemon-reexec and try-restarts during shutdown
      + manually call systemd-tmpfiles --create in postinst
    - debian/systemd-resolved.postinst: copy existing /etc/resolv.conf to
      /run/systemd/resolve/stub-resolv.conf
    - debian/rules:
      + Set default user path
      + Disable LLMNR by default
      + Remove unneeded efi artifacts on i386 to avoid debugedit errors
    - debian/rules,debian/control,debian/tests/control:
      + Do not build with tpm libraries on i386
      + Do not build with libqrencode on i386
    - debian/gbp.conf,debian/extra/wrap_cl.py:
      Use a customization script to add LP commit links to changelog
    - debian/extra/systemd-oomd-defaults/-.slice.d/10-oomd-root-slice-defaults.conf:
      Set ManagedOOMSwap=auto, disabling swap kill by default
    - debian/control:
      + Add Recommends: networkd-dispatcher systemd-resolved to systemd package
      + Provide upgrade path (Replaces:) for Jammy's systemd-repart
      + Give systemd-resolved Priority: important
      + Add Recommends: systemd-hwe-hwdb to udev package
      + Add Breaks: systemd (<< ${binary:Version}) to udev package so that
        systemd is upgraded as well when upgrading udev
      + Make systemd-sysv Depends: on matching version of systemd
      + Drop Recommends: libnss-myhostname libnss-resolve from systemd-resolved
    - d/p/debian/UBUNTU-Add-AssumedApparmorLabel-unconfined-to-timedate1-dbus.patch:
      Set AssumedAppArmorLabel=unconfined in timedate1 dbus service file
    - d/p/debian/UBUNTU-test-test-functions-launch-qemu-with-vga-none.patch:
      Launch QEMU with -vga none in test-functions
    - d/p/debian/UBUNTU-resolved-default-no-negative-caching.patch:
      Default to Cache=no-negative in systemd-resolved
    - d/p/Revert-network-if-sys-is-rw-then-udev-should-be-around.patch:
      Revert "network: if /sys is rw, then udev should be around" upstream
      commit
    - d/p/lp1861941-dont-generate-disk-byuuid-for-bcache-uuid.patch:
      skip disk/by-uuid for bcache devices
    - d/p/debian/UBUNTU-Don-t-override-Ubuntu-s-default-sysctl-values-LP-1962038.patch:
      Don't override Ubuntu's default sysctl values
    - debian/patches/debian/UBUNTU-read-only-etc-hacks.patch:
      Workaround Ubuntu core's read-only etc
    - d/p/test-drop-etc-default-locale-handling-from-TEST-74-AUX-UT.patch
    - d/p/meson.build-disable-Wformat-overflow-on-gcc-with-O3.patch:
      Disable -Wformat-overflow on gcc with -O3
    - test: ensure SYSVINIT_PATH exists in TEST-26-SYSTEMCTL.
      On Ubuntu, we hit the case where SYSVINIT_PATH falls back to
      /etc/init.d, but nothing guarantees that the path is created for the
      test.
    - test: deny-list TEST-08-INITRD.
      Upstream already disables this: https://github.com/systemd/systemd/pull/28813.
      It makes sense for us to as well, because we don't run systemd in the
      initrd.
    - debian/extra: use a dropin to configure Nice=-1 on systemd-journald.service.
      It is preferred that we override units with dropins like this, rather
      than patching the original. This has no functional change.
    - debian/tests/upstream: export QEMU_MEM="1024M" for all tests
    - debian/systemd.links: mask systemd-gpt-auto-generator by default
    - debian/systemd.install: exclude files that are not built for i386
    - debian/systemd.manpages: do not ship sd-bsod manpages on i386
    - debian/tests/control: only install systemd-boot-efi for supported arches
    - test: temporarily skip credentials tests in LXC.
      This was already skipped in another patch, but now that we know what's
      going on with it, split it out.
    - test: skip test-execute in arhmf LXC containers
    - test: skip exec-privatenetwork-yes-privatemounts-yes.service in LXC
  * Dropped changes, fixed upstream:
    - Drop lp2058179-copy-ignore-EOPNOTSUPP-from-copy_file_range.patch.
      Applied upstream: https://github.com/systemd/systemd/commit/c0bc1e8971
  * Dropped changes:
    - debian/extra/start-udev: drop scsi_mod delta.
      We have long held this delta in Ubuntu. Right now, this script is only
      installed in udev-udeb, but we do not build udebs on Ubuntu, so it is
      unnecessary to carry this delta.
    - Drop debian/Ubuntu-UseDomains-by-default.patch
  * New changes:
    - debian/gbp.conf: update for oracular
    - debian/systemd-resolved.postinst: ignore cp failure (LP: #2047975)
    - debian/control: Build-Depends: linux-tools-generic
    - debian/systemd.manpages: don't ship un-built manpages on i386
    - debian/tests: fix patching of autopkgtest-build-lxd

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 10 May 2024 15:44:17 -0400

systemd (256~rc1-1~exp2) experimental; urgency=medium

  * Backport patch to fix test-build-path on RISC-V/MIPS
  * Backport patch to fix build reproducibility
  * Backport patch to fix BPF build on s390x

 -- Luca Boccassi <bluca@debian.org>  Sat, 27 Apr 2024 18:14:25 +0100

systemd (256~rc1-1~exp) experimental; urgency=medium

  * d/watch: switch to main repository
  * New upstream version 256~rc1
  * Drop Downgrade-a-couple-of-warnings-to-debug.patch. It is time to
    start noticeably warning about these legacy setups
  * Refresh patches for v256
  * Build depend on libarchive-dev
  * Install new tools, units and manpages
  * Enable bpf and new nsresourced/mountfsd services. Requires vmlinux.h
    from linux-headers-$ARCH, disable if not found
  * Backport patch to fix unit test failure in build environment
  * Update libsystemd symbols file
  * Update Lintian overrides

 -- Luca Boccassi <bluca@debian.org>  Fri, 26 Apr 2024 12:22:04 +0100

systemd (255.5-1) sid; urgency=medium

  [ Michael Biebl ]
  * autopkgtest: depend on pkgconf rather than pkg-config
  * Stop setting default-hierarchy to unified explicitly. It is already
    the default and the meson option has been deprecated and is expected
    to be removed in a future release. See https://github.com/systemd/syst
    emd/commit/31323f21bb0ae7c712f43500c42997c91a6d20bf
  * Replace Skip-flaky-test_resolved_domain_restricted_dns-in-
    network.patch with a proper upstream fix.
  * Remove myself from Uploaders

  [ Luca Boccassi ]
  * autopkgtest: add dhcpcd5 as alternative dependency to dhcpcd-base
    dhcpcd-base is not available in Jammy
  * d/e/checkout-upstream: stop overriding sshconfdir. It actually works
    after some upstream test fixes, and it is necessary for TEST-46-HOMED
    to work
  * autopkgtest: install systemd-resolved for all suites. Necessary to
    avoid breaking the network on Ubuntu, in the upstream jammy-based CI
    jobs. Can be dropped once jammy is no longer tested.
  * autopkgtest: add breaks-testbed to more tests. Given resolved is
    installed, the testbed needs to be reset to switch back to the default
    network stack, otherwise installing packages in the salsa-ci
    autopkgtest job fails
  * autopkgtest: restrict systemd-boot-efi to architectures where it's
    built
  * Enable libpwquality support. Suggest it from systemd (used by
    firstboot and cryptenroll) and depend on it from homed (user creation
    is a core part of it). It's a dlopen() dependency. (Closes: #1063391)
  * d/e/checkout-upstream: do not initialize submodules. They are used by
    mkosi, not needed for CI builds
  * Autopkgtest: add dependency on libkmod-dev to upstream suite.
  * Switch build-depend form liblz4-tool to lz4. The former is deprecated
    and now dropped, the latter is available since buster. (Closes: #1068730)
  * initramfs hooks: pull in libkmod manually udev now opens it with
    dlopen, so the ldd-based resolver will not see it, pull it in the
    initramfs manually
  * New upstream version 255.5
  * Drop resolve-skip-IP_UNICAST_IF-for-local-sockets.patch, merged
    upstream
  * Refresh patches for v255.5
  * Bump Standards-Version to 4.7.0, no changes

  [ Daan De Meyer ]
  * Build in developer mode when building for upstream. Developer mode
    enables some helpful debugging options and enables various
    experimental components such as systemd-vmspawn which we want to be
    enabled when testing upstream.

 -- Luca Boccassi <bluca@debian.org>  Wed, 24 Apr 2024 16:34:40 +0100

systemd (255.4-1ubuntu8) noble; urgency=medium

  * copy: ignore -EOPNOTSUPP from copy_file_range() (LP: #2058179)
    File: debian/patches/lp2058179-copy-ignore-EOPNOTSUPP-from-copy_file_range.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=fc81bb680f5d5c8c5995fcf6ed7f55f739dcd6a7

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 19 Apr 2024 10:24:36 -0400

systemd (255.4-1ubuntu7) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 05 Apr 2024 05:38:07 +0000

systemd (255.4-1ubuntu6) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:26:16 +0000

systemd (255.4-1ubuntu5) noble; urgency=medium

  * No-change rebuild against libcurl4t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 07:04:30 +0000

systemd (255.4-1ubuntu4) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 21:29:45 +0000

systemd (255.4-1ubuntu3) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 08:28:30 +0000

systemd (255.4-1ubuntu2) noble; urgency=medium

  * debian/patches: modify tmpfiles.d/tmp.conf default for Ubuntu (LP: #2019026)
    In addition to cleaning /tmp at boot as is done in Debian, add a 30d
    cleanup age for files in /tmp.
    File: debian/patches/debian/Bring-tmpfiles.d-tmp.conf-in-line-with-Debian-defaul.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=1b9bc51bb1b58a6f625f67f1632296940d78e82c

 -- Nick Rosbrook <enr0n@ubuntu.com>  Thu, 29 Feb 2024 12:02:44 -0500

systemd (255.4-1ubuntu1) noble; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - debian/tests/upstream{,-1,-2}: split upstream tests into two parts
    - debian/tests/tests-in-lxd: run some autopkgtests in LXD too
    - debian/tests/storage: skip tests if scsi_debug module is not available
    - debian/tests/boot-and-services:
      + skip test_syslog on s390x
      + skip coredump tests on s390x
      + skip apparmor tests on armhf
      + consume stderr in systemctl status call in test_service
      + drop test_no_failed
    - debian/systemd.postinst:
      + skip daemon-reexec and try-restarts during shutdown
      + manually call systemd-tmpfiles --create in postinst
    - debian/systemd-resolved.postinst: copy existing /etc/resolv.conf to
      /run/systemd/resolve/stub-resolv.conf
    - debian/rules:
      + Set default user path
      + Disable LLMNR by default
      + Remove unneeded efi artifacts on i386 to avoid debugedit errors
    - debian/rules,debian/control,debian/tests/control:
      + Do not build with tpm libraries on i386
      + Do not build with libqrencode on i386
    - debian/gbp.conf,debian/extra/wrap_cl.py:
      Use a customization script to add LP commit links to changelog
    - debian/extra/systemd-oomd-defaults/-.slice.d/10-oomd-root-slice-defaults.conf:
      Set ManagedOOMSwap=auto, disabling swap kill by default
    - debian/extra/start-udev: Set scsi_mod scan=sync even if it's builtin
      to the kernel (we previously only set it in modprobe.d)
    - debian/control:
      + Add Recommends: networkd-dispatcher systemd-resolved to systemd package
      + Provide upgrade path (Replaces:) for Jammy's systemd-repart
      + Give systemd-resolved Priority: important
      + Add Recommends: systemd-hwe-hwdb to udev package
      + Add Breaks: systemd (<< ${binary:Version}) to udev package so that
        systemd is upgraded as well when upgrading udev
      + Make systemd-sysv Depends: on matching version of systemd
      + Drop Recommends: libnss-myhostname libnss-resolve from systemd-resolved
    - d/p/debian/Ubuntu-UseDomains-by-default.patch:
      Enable UseDomains by default on Ubuntu.
    - d/p/debian/UBUNTU-Add-AssumedApparmorLabel-unconfined-to-timedate1-dbus.patch:
      Set AssumedAppArmorLabel=unconfined in timedate1 dbus service file
    - d/p/debian/UBUNTU-test-test-functions-launch-qemu-with-vga-none.patch:
      Launch QEMU with -vga none in test-functions
    - d/p/debian/UBUNTU-resolved-default-no-negative-caching.patch:
      Default to Cache=no-negative in systemd-resolved
    - d/p/Revert-network-if-sys-is-rw-then-udev-should-be-around.patch:
      Revert "network: if /sys is rw, then udev should be around" upstream
      commit
    - d/p/lp1861941-dont-generate-disk-byuuid-for-bcache-uuid.patch:
      skip disk/by-uuid for bcache devices
    - d/p/debian/UBUNTU-Don-t-override-Ubuntu-s-default-sysctl-values-LP-1962038.patch:
      Don't override Ubuntu's default sysctl values
    - debian/patches/debian/UBUNTU-read-only-etc-hacks.patch:
      Workaround Ubuntu core's read-only etc
    - d/p/test-drop-etc-default-locale-handling-from-TEST-74-AUX-UT.patch
    - d/p/meson.build-disable-Wformat-overflow-on-gcc-with-O3.patch:
      Disable -Wformat-overflow on gcc with -O3
    - test: ensure SYSVINIT_PATH exists in TEST-26-SYSTEMCTL.
      On Ubuntu, we hit the case where SYSVINIT_PATH falls back to
      /etc/init.d, but nothing guarantees that the path is created for the
      test.
    - test: deny-list TEST-08-INITRD.
      Upstream already disables this: https://github.com/systemd/systemd/pull/28813.
      It makes sense for us to as well, because we don't run systemd in the
      initrd.
    - debian/systemd.install: do not install pcrlock.d on i386.
      We don't build this stuff on i386.
    - debian/extra: use a dropin to configure Nice=-1 on systemd-journald.service.
      It is preferred that we override units with dropins like this, rather
      than patching the original. This has no functional change.
    - debian/tests/upstream: export QEMU_MEM="1024M" for all tests
    - debian/systemd.links: mask systemd-gpt-auto-generator by default
    - debian/systemd.install: exclude files that are not built for i386
    - debian/systemd.manpages: do not ship sd-bsod manpages on i386
    - debian/tests/control: only install systemd-boot-efi for supported arches
    - test: temporarily skip credentials tests in LXC.
      This was already skipped in another patch, but now that we know what's
      going on with it, split it out.
    - test: skip test-execute in arhmf LXC containers
    - test: skip exec-privatenetwork-yes-privatemounts-yes.service in LXC
  * Dropped changes, fixed upstream:
    - Drop lp2046498-test-skip-test_exec_networknamespacepath-if-netns-setup-f.patch.
      Applied upstream: https://github.com/systemd/systemd-stable/commit/019d5f88ec
    - Drop test-skip-TEST-43-PRIVATEUSER-UNPRIV-if-unprivileged-user.patch.
      Applied upstream: https://github.com/systemd/systemd-stable/commit/c07a21408b
    - Drop test-skip-a-systemd-run-test-if-unprivileged-userns-is-re.patch.
      Applied upstream: https://github.com/systemd/systemd-stable/commit/159b80d44f
    - Drop test-execute-skip-tests-that-are-broken-without-unprivile.patch.
      Applied upstream: https://github.com/systemd/systemd-stable/commit/8c4d70178a
  * New changes:
    - debian/tests/tests-in-lxd: update workaround patch (LP: #2055200)
      The autopkgtest-build-lxd script changed in a way that this patch no
      longer applies. Update the patch so it does apply.
      Thanks to Florent 'Skia' Jacquet

 -- Nick Rosbrook <enr0n@ubuntu.com>  Tue, 27 Feb 2024 17:13:21 -0500

systemd (255.4-1) sid; urgency=medium

  [ Luca Boccassi ]
  * Drop override for deprecated package-supports-alternative-init-but-no-
    init.d-script warning
  * Build-depend on pkgconf pkg-config is deprecated
  * Move kernel-install initrd script to slightly later prefix
    afea8e1a35e15382977d459241e8c56c180c862d moved it from 85 to 50, but
    this conflicts with the upstream mkosi job, which also runs at 50 and
    needs to run first. Move it back up slightly to 55 to fix the mkosi
    builds, eg: https://github.com/systemd/systemd-
    stable/actions/runs/7863691120/job/21454589626?pr=366
  * Mark python3-pefile build dependency as native. As suggested in
    #1063393
  * Skip python3-pefile build dependency only if both nocheck and
    noinsttests are set (Closes: #1063393)
  * Build with -Dtests=false if nocheck and noinsttest profiles are set.
    The required build dependencies will not be installed, so the tests
    won't build.
  * systemd-binfmt: use restart instead of try-restart on upgrade. It's
    not a long-running service so it doesn't matter, and it fixes
    installing a new binfmt provider (Closes: #1061960)
  * d/e/checkout-upstream: do not rebase when building on systemd-stable
    repo. We do rebase only pulls in the stable repo, and it's too much
    hassle to figure out the right parent branch, given the webhook is
    configured per repository rather than per branch, so just skip it
  * d/e/checkout-upstream: build with default-timeout-sec=180. Helps with
    slow daemon-reload on some CI runs. As requested by:
    https://github.com/systemd/systemd/pull/27182
  * d/e/checkout-upstream: enable log-trace by default. Its abscence
    appears to cause TEST-10-ISSUE-2467 to reliably fail. Enable it while
    we figure it out. Also probably it is helpful to have it always turned
    on for the CI, to get more info out of test runs. See:
    https://github.com/systemd/systemd/issues/19154
  * d/e/checkout-upstream: do not install userdbd sshd config drop-in.
    Breaks booting testbed in Jammy. Can be dropped after rebasing to
    Noble.
  * d/t/upstream: add dependencies on openssh, gnutls-bin, opensc and
    softhsm2. Required for https://github.com/systemd/systemd/pull/28658
    and https://github.com/systemd/systemd/pull/30777
  * d/t/upstream: fix shellcheck warning. SC2086 (info): Double quote to
    prevent globbing and word splitting.
  * Add dependency on libkmod2 on udev, and suggestion on systemd dlopen()
    dependency since https://github.com/systemd/systemd/pull/31131 but the
    system can't boot without it, so add it as a dependency on udev which
    is also needed outside of containers
  * Update tzdata build dependency constraint to 2024a-1
  * Drop libarchive-dev build dependency. Not useful for now, we'll re-add
    it after the next release
  * New upstream version 255.4
  * Drop patches merged upstream

  [ Daan De Meyer ]
  * Fix libtss2-mu dependency. This package recently changed name so let's
    update the Suggests to account for that.
  * Add Suggests for libtss2-tcti-device systemd wants to use this library
    when tpm2 support is enabled so let's make sure we list it in
    Suggests. (https://github.com/systemd/systemd/blob/db11bab38ccf1ed257f
    310d29070843d4c58ea01/meson.build#L1341)
  * Make sure awk only matches PROJECT|PACKAGE_VERSION
  * Use DEB_BUILD_MAINT_OPTIONS instead of meson options.
  * Don't put debian revision in version tag when building for upstream.
  * Allow users to configure DH_MISSING.

  [ Frantisek Sumsal ]
  * d/t/storage: ignore credential mounts when checking /proc/mounts.

  [ Daniel P. Berrangé ]
  * debian/rules: don't override default telinit-path. The 'telinit-path'
    meson option is to be used to point to a non-systemd telinit binary
    path. When systemctl is invoked as 'telinit', it will exec this binary
    when it detects the current environment is not running under systemd.
    If 'telinit-path' points back to 'systemctl', that would result in an
    infinite re-execve() loop. (Closes: #1063147)

 -- Luca Boccassi <bluca@debian.org>  Tue, 27 Feb 2024 17:43:55 +0000

systemd (255.3-2) sid; urgency=medium

  * Backport patches to fix reproducibility issues
  * Salsa: re-enable reprotest

 -- Luca Boccassi <bluca@debian.org>  Mon, 29 Jan 2024 10:46:19 +0000

systemd (255.3-1) sid; urgency=medium

  * New upstream version 255.3
  * Drop patches merged upstream
  * Refresh patches

 -- Luca Boccassi <bluca@debian.org>  Wed, 24 Jan 2024 20:03:15 +0000

systemd (255.2-4) sid; urgency=medium

  * autopkgtest: add btrfs-progs Depends to upstream suite.
    Required by TEST-83-BTRFS and testcase_btrfs_basic from
    TEST-64-UDEV-STORAGE.
  * Revert "test: deny-list TEST-13-NSPAWN"
    This reverts commit df8e5367aca20e0c75c9c91f826d22d8a0f7e36d.
  * autopkgtest: add multipath-tools and kpartx Depends to upstream suite.
    Required by testcase_multipath_basic_failover from TEST-64-UDEV-STORAGE.
  * test: install correct kpartx udev rules on Debian

 -- Michael Biebl <biebl@debian.org>  Sat, 06 Jan 2024 16:21:03 +0100

systemd (255.2-3ubuntu2) noble; urgency=medium

  * test: skip test_exec_networknamespacepath if netns setup fails (LP: #2046498)
    Files:
    - debian/patches/lp2046498-test-skip-test_exec_networknamespacepath-if-netns-setup-f.patch
    - debian/patches/test-skip-failing-test-execute-tests-in-LXC.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=de1fcf756e47858f4a206db97434bce4a71384d0
  * test: skip TEST-43-PRIVATEUSER-UNPRIV if unprivileged userns is restricted
    File: debian/patches/test-skip-TEST-43-PRIVATEUSER-UNPRIV-if-unprivileged-user.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=2aba69874c83289c43d199ca360aa2fc451486a7
  * Drop debian/UBUNTU-src-test-test-execute.c-Skip-parts-of-test-execute-in-con.patch.
    This will be re-addressed with a different patch.
    File: debian/patches/debian/UBUNTU-src-test-test-execute.c-Skip-parts-of-test-execute-in-con.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=c3cd814e028364fe0c641d4bacfce22aafd1b572
  * Drop test-skip-failing-test-execute-tests-in-LXC.patch.
    This will be re-addressed with different patches.
    File: debian/patches/test-skip-failing-test-execute-tests-in-LXC.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=ab853707f4cc3e7e2d5993ff38998c3c2c789f62
  * test: temporarily skip credentials tests in LXC.
    This was already skipped in another patch, but now that we know what's
    going on with it, split it out.
    File: debian/patches/test-temporarily-skip-credentials-tests-in-LXC.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=c71acb411d315267fe811f024cdab97e032453f3
  * test: skip test-execute in arhmf LXC containers
    File: debian/patches/test-skip-test-execute-in-arhmf-LXC-containers.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=1cb1e3060822bfadddead564e779942e73e02f62
  * test: skip exec-privatenetwork-yes-privatemounts-yes.service in LXC (LP: #2046495)
    File: debian/patches/test-skip-exec-privatenetwork-yes-privatemounts-yes.servi.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=3ab76fd2db4291ee0531a07085c72cee06cb0d12
  * test: skip a systemd-run test if unprivileged userns is restricted
    File: debian/patches/test-skip-a-systemd-run-test-if-unprivileged-userns-is-re.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=c85f2b4e32ee8fd1c0dc58d23e7fabdb7590d3cc
  * test-execute: skip tests that are broken without unprivileged userns
    File: debian/patches/test-execute-skip-tests-that-are-broken-without-unprivile.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=7a6573c4f5133a7fec11fb059dd215f7c8c2204e

 -- Nick Rosbrook <enr0n@ubuntu.com>  Wed, 24 Jan 2024 14:53:46 -0500

systemd (255.2-3ubuntu1) noble; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - debian/tests/upstream{,-1,-2}: split upstream tests into two parts
    - debian/tests/tests-in-lxd: run some autopkgtests in LXD too
    - debian/tests/storage: skip tests if scsi_debug module is not available
    - debian/tests/boot-and-services:
      + skip test_syslog on s390x
      + skip coredump tests on s390x
      + skip apparmor tests on armhf
      + consume stderr in systemctl status call in test_service
      + drop test_no_failed
    - debian/systemd.postinst:
      + skip daemon-reexec and try-restarts during shutdown
      + manually call systemd-tmpfiles --create in postinst
    - debian/systemd-resolved.postinst: copy existing /etc/resolv.conf to
      /run/systemd/resolve/stub-resolv.conf
    - debian/rules:
      + Set default user path
      + Disable LLMNR by default
      + Remove unneeded efi artifacts on i386 to avoid debugedit errors
    - debian/rules,debian/control,debian/tests/control:
      + Do not build with tpm libraries on i386
      + Do not build with libqrencode on i386
    - debian/gbp.conf,debian/extra/wrap_cl.py:
      Use a customization script to add LP commit links to changelog
    - debian/extra/systemd-oomd-defaults/-.slice.d/10-oomd-root-slice-defaults.conf:
      Set ManagedOOMSwap=auto, disabling swap kill by default
    - debian/extra/start-udev: Set scsi_mod scan=sync even if it's builtin
      to the kernel (we previously only set it in modprobe.d)
    - debian/control:
      + Add Recommends: networkd-dispatcher systemd-resolved to systemd package
      + Provide upgrade path (Replaces:) for Jammy's systemd-repart
      + Give systemd-resolved Priority: important
      + Add Recommends: systemd-hwe-hwdb to udev package
      + Add Breaks: systemd (<< ${binary:Version}) to udev package so that
        systemd is upgraded as well when upgrading udev
      + Make systemd-sysv Depends: on matching version of systemd
      + Drop Recommends: libnss-myhostname libnss-resolve from systemd-resolved
    - d/p/debian/Ubuntu-UseDomains-by-default.patch:
      Enable UseDomains by default on Ubuntu.
    - d/p/debian/UBUNTU-Add-AssumedApparmorLabel-unconfined-to-timedate1-dbus.patch:
      Set AssumedAppArmorLabel=unconfined in timedate1 dbus service file
    - d/p/debian/UBUNTU-test-test-functions-launch-qemu-with-vga-none.patch:
      Launch QEMU with -vga none in test-functions
    - d/p/debian/UBUNTU-resolved-default-no-negative-caching.patch:
      Default to Cache=no-negative in systemd-resolved
    - d/p/Revert-network-if-sys-is-rw-then-udev-should-be-around.patch:
      Revert "network: if /sys is rw, then udev should be around" upstream
      commit
    - d/p/lp1861941-dont-generate-disk-byuuid-for-bcache-uuid.patch:
      skip disk/by-uuid for bcache devices
    - d/p/debian/UBUNTU-Don-t-override-Ubuntu-s-default-sysctl-values-LP-1962038.patch:
      Don't override Ubuntu's default sysctl values
    - debian/patches/debian/UBUNTU-read-only-etc-hacks.patch:
      Workaround Ubuntu core's read-only etc
    - d/p/test-drop-etc-default-locale-handling-from-TEST-74-AUX-UT.patch
    - d/p/meson.build-disable-Wformat-overflow-on-gcc-with-O3.patch:
      Disable -Wformat-overflow on gcc with -O3
    - test: ensure SYSVINIT_PATH exists in TEST-26-SYSTEMCTL.
      On Ubuntu, we hit the case where SYSVINIT_PATH falls back to
      /etc/init.d, but nothing guarantees that the path is created for the
      test.
    - test: deny-list TEST-08-INITRD.
      Upstream already disables this: https://github.com/systemd/systemd/pull/28813.
      It makes sense for us to as well, because we don't run systemd in the
      initrd.
    - debian/systemd.install: do not install pcrlock.d on i386.
      We don't build this stuff on i386.
    - debian/extra: use a dropin to configure Nice=-1 on systemd-journald.service.
      It is preferred that we override units with dropins like this, rather
      than patching the original. This has no functional change.
    - test: skip failing test-execute tests in LXC.
      These are hopefully temporary workarounds so that we can figure out the
      root cause in either upstream systemd or LXC.
  * Dropped changes, fixed upstream:
    - Drop test-install-all-necessary-units-generators-for-LVM-on-De.patch.
      Applied upstream: https://github.com/systemd/systemd-stable/commit/b1dba6bcaa
    - Drop firstboot-remove-etc-localtime-on-reset.patch.
      Applied upstream: https://github.com/systemd/systemd-stable/commit/1d1b1fa25b
  * Dropped changes, replaced with new approach:
    - d/p/test-increase-QEMU_MEM-for-some-tests.patch:
      Increase QEMU_MEM for some tests to improve success rate
  * Dropped changes, included in Debian:
    - debian/tests/control: add Depends: mdadm lvm2 for TEST-64-UDEV-STORAGE
    - debian/tests/upstream: drop blacklist support.
    - test-skip-tests-for-unsupported-localectl-features.patch:
      skip tests for unsupported localectl features
  * New changes:
    - debian/tests/upstream: export QEMU_MEM="1024M" for all tests
    - Revert "Drop debian/UBUNTU-src-test-test-execute.c-Skip-parts-of-test-execute-in-con.patch"
    - debian/systemd.links: mask systemd-gpt-auto-generator by default (LP: #2046459)
      Re-ship the generator so that it can be used if needed, but mask the
      generator so that it remains disabled by default.
    - debian/systemd.install: exclude files that are not built for i386
    - debian/systemd.manpages: do not ship sd-bsod manpages on i386
    - debian/tests/control: only install systemd-boot-efi for supported arches

 -- Nick Rosbrook <enr0n@ubuntu.com>  Wed, 03 Jan 2024 17:34:00 -0500

systemd (255.2-3) sid; urgency=medium

  * Cherry-pick fixes for upstream integration tests.
    Fixes TEST-07-PID1, TEST-08-INITRD (skip), TEST-26-SYSTEMCTL and
    TEST-75-RESOLVED.
  * Add explicit Build-Depends on debhelper (>= 13.11.6)
    This ensures we have a recent enough version of dh_installsystemd that
    supports service files in /usr/lib/.
  * test: deny-list TEST-13-NSPAWN.
    The default ram size of 1024M for qemu virt is not sufficient
    to make the test pass reliably on Debian sid/trixie.
    Disable the test for now until this has been addressed in debci:
    https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1059840

 -- Michael Biebl <biebl@debian.org>  Tue, 02 Jan 2024 11:44:49 +0100

systemd (255.2-2) unstable; urgency=medium

  * udev: mips does not install dmi_memory_id and its rules

 -- Luca Boccassi <bluca@debian.org>  Sun, 24 Dec 2023 14:25:27 +0100

systemd (255.2-1) unstable; urgency=medium

  * New upstream version 255.2
  * Drop resolved-actually-check-authenticated-flag-of-SOA-transac.patch,
    merged upstream

 -- Luca Boccassi <bluca@debian.org>  Sun, 24 Dec 2023 11:26:42 +0100

systemd (255.1-3) unstable; urgency=medium

  * Upload to unstable
  * Fix installation of dmi_memory_id on i386 and x32
  * Explicitly disable bootloader for stage1 build.
    This ensures that the stage1 build is not broken in a tainted build
    environment.
  * Mark missing man pages from stage1 build

 -- Michael Biebl <biebl@debian.org>  Sun, 24 Dec 2023 11:08:06 +0100

systemd (255.1-2) experimental; urgency=medium

  [ Michael Biebl ]
  * Upgrade the Breaks to Conflicts for the systemd-ukify package split.
    This avoids potential loss of the /usr/lib/systemd/ukify compat symlink
    for upgrades from bookworm-backports.
  * Update package description of libnss-myhostname to use the correct IPv4
    address (Closes: #1057953)
  * resolved: actually check authenticated flag of SOA transaction.
    Patch cherry-picked from upstream Git.
    (CVE-2023-7008, Closes: #1059278)
  * Explicitly disable ukify for stage1 builds
  * Enable dh-exec for systemd.manpages and udev.install.
    This enables files to be installed specific to certain architectures or
    build profiles. Unfortunately for systemd.manpages this requires to add a
    debian/tmp/ prefix to all files.
    See https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1053834#46
  * Restrict pcr/tpm2 related files to UEFI architectures.
    Mirrors the python3-pyelftools [amd64 i386 arm64 armhf riscv64]
    Build-Depends.
  * Install dmi_memory_id and its udev rules file only on dmi architectures.
  * Fix stage1 profile build

  [ Helmut Grohne ]
  * Restore diverted symlinks in systemd-sysv.postinst that may have been lost
    due to /usr-merge (Closes: #1057220)

 -- Michael Biebl <biebl@debian.org>  Sun, 24 Dec 2023 00:52:15 +0100

systemd (255.1-1) experimental; urgency=medium

  [ Luca Boccassi ]
  * Drop pkgconfig-keep-unmerged-paths-for-udevdir.patch, no longer needed
  * New upstream version 255.1
  * Refresh patches

  [ Michael Biebl ]
  * autopkgtest: install systemd-boot-efi for upstream suite.
    TEST-70-TPM2 (specifically test/units/testsuite-70.pcrlock.sh) requires
    the EFI stub files from /usr/lib/systemd/boot/efi/.
  * test: skip tests for unsupported localectl features.
    Update the upstream test suite to skip tests for unsupported localectl
    features in Debian. Fixes TEST-73-LOCALE.
    Thanks to Nick Rosbrook
  * Update symbol versions for the final 255 release
  * Install systemd and udev files explicitly without duplicates.
    Stop making systemd and udev "catch-all" packages and removing duplicate
    files in debian/rules by compiling a list of files that are installed by
    other systemd binary packages. This approach no longer works reliably
    if we have arch "all" binary packages and we do a partial type "any" build.
    Instead, list all files that are installed in systemd and udev
    explicitly in .install and .manpages.
  * Mark usr/lib/sysctl.d/50-pid-max.conf as arch specific.
    It's only installed by Meson if cc.sizeof('long') > 4.
    See https://wiki.debian.org/ArchitectureSpecificsMemo
  * Fix arch "all" builds.
    Files handled by debian/rules and dh-exec are not understood by
    dh_missing. So mark those as not-installed.
    See man dh_missing and
    https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=831786
  * Install standalone binaries using dh-exec
  * Print empty directories
    dh_missing will not fail on uninstalled (empty) directories.
    So show them during build as it makes it easier to spot if all of them
    are handled.
  * Split ukify into a separate package named systemd-ukify.
    The main motivation for splitting the tool (and its kernel-install
    integration) into a separate package is the dependency on python3 and
    python3-pefile, which are not suitable dependencies for the main systemd
    package. (Closes: #1051981)
  * Make the Conflicts against bfh-container and progress-linux-container
    versioned

  [ Nick Rosbrook ]
  * debian/tests/control: add Depends: mdadm lvm2 for TEST-64-UDEV-STORAGE.
    This ensures that testcase_mdadm_lvm in TEST-64-UDEV-STORAGE will run.
  * debian/tests/upstream: drop blacklist support.
    Upstream has been using deny-list-ubuntu-ci, rather than
    blacklist-ubuntu-ci, for a while now. In Ubuntu, we use the
    deny-list-upstream-ci convention too. Hence, it seems we can drop
    support for the blacklist version.

 -- Michael Biebl <biebl@debian.org>  Wed, 20 Dec 2023 17:54:00 +0100

systemd (255-1ubuntu1) noble; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - debian/tests/upstream{,-1,-2}: split upstream tests into two parts
    - debian/tests/tests-in-lxd: run some autopkgtests in LXD too
    - debian/tests/storage: skip tests if scsi_debug module is not available
    - debian/tests/boot-and-services:
      + skip test_syslog on s390x
      + skip coredump tests on s390x
      + skip apparmor tests on armhf
      + consume stderr in systemctl status call in test_service
      + drop test_no_failed
    - debian/systemd.postinst:
      + skip daemon-reexec and try-restarts during shutdown
      + manually call systemd-tmpfiles --create in postinst
    - debian/systemd-resolved.postinst: copy existing /etc/resolv.conf to
      /run/systemd/resolve/stub-resolv.conf
    - debian/rules:
      + Set default user path
      + Disable LLMNR by default
      + Remove unneeded efi artifacts on i386 to avoid debugedit errors
      + Do not ship systemd-gpt-auto-generator
    - debian/rules,debian/control,debian/tests/control:
      + Do not build with tpm libraries on i386
      + Do not build with libqrencode on i386
    - debian/gbp.conf,debian/extra/wrap_cl.py:
      Use a customization script to add LP commit links to changelog
    - debian/extra/systemd-oomd-defaults/-.slice.d/10-oomd-root-slice-defaults.conf:
      Set ManagedOOMSwap=auto, disabling swap kill by default
    - debian/extra/start-udev: Set scsi_mod scan=sync even if it's builtin
      to the kernel (we previously only set it in modprobe.d)
    - debian/control:
      + Add Recommends: networkd-dispatcher systemd-resolved to systemd package
      + Provide upgrade path (Replaces:) for Jammy's systemd-repart
      + Give systemd-resolved Priority: important
      + Add Recommends: systemd-hwe-hwdb to udev package
      + Add Breaks: systemd (<< ${binary:Version}) to udev package so that
        systemd is upgraded as well when upgrading udev
      + Make systemd-sysv Depends: on matching version of systemd
      + Drop Recommends: libnss-myhostname libnss-resolve from systemd-resolved
    - d/p/debian/Ubuntu-UseDomains-by-default.patch:
      Enable UseDomains by default on Ubuntu.
    - d/p/debian/UBUNTU-Add-AssumedApparmorLabel-unconfined-to-timedate1-dbus.patch:
      Set AssumedAppArmorLabel=unconfined in timedate1 dbus service file
    - d/p/debian/UBUNTU-test-test-functions-launch-qemu-with-vga-none.patch:
      Launch QEMU with -vga none in test-functions
    - d/p/debian/UBUNTU-resolved-default-no-negative-caching.patch:
      Default to Cache=no-negative in systemd-resolved
    - d/p/Revert-network-if-sys-is-rw-then-udev-should-be-around.patch:
      Revert "network: if /sys is rw, then udev should be around" upstream
      commit
    - d/p/lp1861941-dont-generate-disk-byuuid-for-bcache-uuid.patch:
      skip disk/by-uuid for bcache devices
    - d/p/debian/UBUNTU-Don-t-override-Ubuntu-s-default-sysctl-values-LP-1962038.patch:
      Don't override Ubuntu's default sysctl values
    - d/p/test-increase-QEMU_MEM-for-some-tests.patch:
      Increase QEMU_MEM for some tests to improve success rate
    - debian/patches/debian/UBUNTU-read-only-etc-hacks.patch:
      Workaround Ubuntu core's read-only etc
    - test-skip-tests-for-unsupported-localectl-features.patch:
      skip tests for unsupported localectl features
    - d/p/test-drop-etc-default-locale-handling-from-TEST-74-AUX-UT.patch
    - d/p/meson.build-disable-Wformat-overflow-on-gcc-with-O3.patch:
      Disable -Wformat-overflow on gcc with -O3
  * Dropped changes, fixed upstream:
    - Drop lp2009743/test-network-add-one-more-testcase-for-DHCPv4-classless-r.patch.
      Applied upstream: https://github.com/systemd/systemd/commit/86f6760038
    - Drop lp2009743/network-dhcp4-do-not-ignore-the-gateway-even-if-the-desti.patch.
      Applied upstream: https://github.com/systemd/systemd/commit/77451f654a
    - Drop lp2013543-core-reorder-systemd-arguments-on-reexec.patch.
      Applied upstream: https://github.com/systemd/systemd/commit/06afda6b38
    - Drop lp2033325-Revert-core-service-when-resetting-PID-also-reset-known-f.patch.
      Applied upstream: https://github.com/systemd/systemd/commit/996b00ede8
    - Drop test-denylist-TEST-29-PORTABLE-again.patch.
      According to upstream, this has been resolved by
      https://github.com/systemd/systemd/pull/28123, and a PPA autopkgtest
      confirms this.
  * Dropped changes, no longer needed:
    - Drop deny-list-TEST-55-OOMD-on-ppc64el.patch.
      We already disable qemu tests on ppc64el, so having this too is
      unnecessary.
    - Drop debian/UBUNTU-src-test-test-execute.c-Skip-parts-of-test-execute-in-con.patch.
      These tests no longer fail when run in LXD, so drop the patch.
    - Drop debian/UBUNTU-Revert-namespace-be-more-careful-when-handling-namespacin.patch (LP: #1959047)
  * New changes:
    - test: ensure SYSVINIT_PATH exists in TEST-26-SYSTEMCTL.
      On Ubuntu, we hit the case where SYSVINIT_PATH falls back to
      /etc/init.d, but nothing guarantees that the path is created for the
      test.
    - firstboot: remove /etc/localtime on --reset
    - debian/tests/upstream: drop blacklist support.
    - test: deny-list TEST-08-INITRD.
      Upstream already disables this: https://github.com/systemd/systemd/pull/28813.
      It makes sense for us to as well, because we don't run systemd in the
      initrd.
    - debian/tests/control: add Depends: systemd-boot-efi for upstream-2.
      TEST-70-TPM2 wants the systemd-boot EFI binary for testing pcrlock, so
      just install the binaries.
    - debian/systemd.install: do not install pcrlock.d on i386.
      We don't build this stuff on i386.
    - debian/tests/control: add Depends: mdadm lvm2 for TEST-64-UDEV-STORAGE
    - test: install all necessary units & generators for LVM on Debian
    - debian/extra: use a dropin to configure Nice=-1 on systemd-journald.service.
      It is preferred that we override units with dropins like this, rather
      than patching the original. This has no functional change.
    - test: skip failing test-execute tests in LXC.
      These are hopefully temporary workarounds so that we can figure out the
      root cause in either upstream systemd or LXC.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Thu, 14 Dec 2023 18:11:39 -0500

systemd (255-1) unstable; urgency=medium

  * New upstream version 255. For a full list of changes, see:
    https://github.com/systemd/systemd/releases/tag/v255
  * Drop seccomp patches, merged upstream

 -- Luca Boccassi <bluca@debian.org>  Wed, 06 Dec 2023 21:24:09 +0000

systemd (255~rc4-2) unstable; urgency=medium

  * Backport patches to fix seccomp issues on armhf/armel/ppc64el

 -- Luca Boccassi <bluca@debian.org>  Mon, 04 Dec 2023 16:56:42 +0000

systemd (255~rc4-1) unstable; urgency=medium

  * New upstream version 255~rc4

 -- Luca Boccassi <bluca@debian.org>  Sat, 02 Dec 2023 02:16:07 +0000

systemd (255~rc3-3) unstable; urgency=medium

  [ Oxan van Leeuwen ]
  * Move kernel-install initrd script to earlier prefix. From systemd v255
    onwards, the 60-ukify.install script automatically uses initrd files
    that are present in the staging area. Move the initrd script to run
    earlier, so that ukify can use the initrd. The only third-party
    kernel-install script present in the Debian archive is
    40-dkms.install, so it is not impacted by this change. Both dracut and
    mkinitcpio upstream also ship their script with priority 50.

  [ Luca Boccassi ]
  * systemd.pc: point unit install directory to /usr/lib/systemd/system/

 -- Luca Boccassi <bluca@debian.org>  Thu, 30 Nov 2023 21:09:08 +0000

systemd (255~rc3-2) unstable; urgency=medium

  * systemd: ignore '_systemctl kill' failures in postinst

 -- Luca Boccassi <bluca@debian.org>  Wed, 22 Nov 2023 22:23:49 +0000

systemd (255~rc3-1) unstable; urgency=medium

  * d/systemd.install: mark pcrlock.d as !stage1. pcrlock configs are only
    installed when libtss and libssl are available which is not the case
    for stage1 builds, so mark accordingly
  * New upstream version 255~rc3
  * Drop patches merged upstream
  * Refresh patches
  * systemd: reexec user manager sessions on upgrade. So far we only
    reexec'ed PID1, and ignored user managers, which means bug or security
    fixes were not applied for running sessions till the next reboot. Fix
    this using 'systemctl kill', which is asynchronous but works even if
    the D-Bus user session is not active.
  * autopkgtest: install dhcpcd-base for boot-and-services

 -- Luca Boccassi <bluca@debian.org>  Wed, 22 Nov 2023 21:33:09 +0000

systemd (255~rc2-3) unstable; urgency=medium

  [ Michael Biebl ]
  * Use canonical paths for scripts in debian/extra. Update scripts for
    udev-udeb, initramfs-tools integration scripts and dhclient hook
    script to use the new canonical paths in /usr.

  [ Luca Boccassi ]
  * Bump conflict with molly-guard to 0.8.2. The previous workarounds are
    not enough, so a new upload will be needed. (Closes: #1056292)
  * Backport patches to fix FTBFS on hppa and x32

 -- Luca Boccassi <bluca@debian.org>  Mon, 20 Nov 2023 20:58:27 +0000

systemd (255~rc2-2) unstable; urgency=medium

  * Add versioned Breaks against dracut.
    The introduction of systemd-executor in v255 breaks the initrd that is
    generated by dracut. Without systemd-executor, a systemd based initrd
    will fail to boot. The dracut package needs to be updated to include
    this new binary. (Closes: #1056108)

 -- Michael Biebl <biebl@debian.org>  Sat, 18 Nov 2023 22:02:39 +0100

systemd (255~rc2-1) unstable; urgency=medium

  [ Matthias Geiger ]
  * Bump version number for udev.postinst and udev.maintscript
  * Fix udev.postinst to preserve the enablement of the init script. When
    transferring ownership of the udev init script to sysvinit, the
    service was disabled as it didn't check for enablement before calling
    update-rc.d. Thanks to Mark Hindley for the original fix. (Closes:
    #1053301)

  [ Luca Boccassi ]
  * New upstream version 255~rc2
  * Drop fix-build-without-SBAT_DISTRO.patch, merged upstream
  * Refresh patches
  * Upload to unstable

 -- Luca Boccassi <bluca@debian.org>  Wed, 15 Nov 2023 17:10:26 +0000

systemd (255~rc1-4) experimental; urgency=medium

  * Add version to Conflict with molly-guard
  * Move systemd-hwdb-update.service to udev package. Commit a12cf5d187cb
    in 249-1 removed systemd-hwdb-update.service from udev, and 254.4-1
    re-added it in systemd, so move it back to udev. (Closes: #1055863)

 -- Luca Boccassi <bluca@debian.org>  Mon, 13 Nov 2023 13:51:12 +0000

systemd (255~rc1-3) experimental; urgency=medium

  * Do not ship repart.standalone and shutdown.standalone
  * /usr/lib/sysvinit/telinit was dropped long ago, use /usr/sbin/telinit
  * Add Suggests: libip4tc2 as it is now dlopen'ed
  * Drop rc/rcS masking, no longer necessary
  * Add Conflicts to avoid issues due to DEP17P3. libpam-elogind-compat,
    opensysusers, bfh-container, molly-guard, and progress-linux-container
    divert files from our packages, so DEP17P3 is triggered. Add
    unversioned conflicts until those diversions are updated according to
    DEP17M18, and then we can make the conflicts versioned. (Closes:
    #1055485)

 -- Luca Boccassi <bluca@debian.org>  Tue, 07 Nov 2023 15:17:12 +0000

systemd (255~rc1-2) experimental; urgency=medium

  * Build-depend on python3-pefile on all architectures ukify
  * meson: use enabled/disabled instead of true/false for 'feature'
    options
  * meson: use canonical paths for configured tools too

 -- Luca Boccassi <bluca@debian.org>  Mon, 06 Nov 2023 22:36:23 +0000

systemd (255~rc1-1) experimental; urgency=medium

  [ Michael Biebl ]
  * Update symbol versions for the final 254 release
  * Remove mangling of man pages post build trying to fix up paths. With
    merged-/usr being mandatory, this is no longer necessary as the paths
    will now always point to the correct location.
  * Use a drop-in to avoid startup failures of systemd-logind when dbus is
    missing. Instead of patching the systemd-logind.service file, use a
    drop-in. This way the Debian specific change becomes more visible and
    easier to override.

  [ Luca Boccassi ]
  * New upstream version 255~rc1
  * Drop test-skip-test-path-on-Salsa-CI.patch, merged upstream
  * Drop Move-sysusers.d-sysctl.d-binfmt.d-modules-load.d-back-to-.patch,
    no longer necessary
  * Refresh patches
  * Temporarily keep systemd.pc and udev.pc pointing to legacy unmerged paths.
    This will be dropped in the short term, but there are still a lot of
    FTBFS when changing, so keep it for now
  * systemd/udev: assert that the system is merged-usr. Support for
    unmerged system was dropped project-wide. Things will break subtly if
    ran on such unsupported setups, so add an explicit assert at preinst.
  * Drop deprecated split-usr and install files from /usr
  * Install new pam_systemd_loadkey module. If configured, and systemd-
    cryptsetup and logind are used, the crypsetup passphrase is passed to
    the PAM stack for later authentication steps such as the GNOME
    keyring.
  * Install the default pcrlock config files
  * Update libsystemd0.symbols
  * autopkgtest: add dependencies on python3-pefile and nvme-cli for
    upstream suite
  * Backport patch to fix arm64 cross-build
  * Update Lintian overrides

 -- Luca Boccassi <bluca@debian.org>  Mon, 06 Nov 2023 20:25:25 +0000

systemd (254.5-1) unstable; urgency=medium

  * New upstream version 254.5
  * Refresh patches for 254.5

 -- Luca Boccassi <bluca@debian.org>  Sat, 30 Sep 2023 11:34:39 +0100

systemd (254.4-1) unstable; urgency=medium

  [ Michael Biebl ]
  * Fix installation of tzdata-legacy. Apply a version constraint to the
    tzdata alternative. Specifically (<< 2023c-8), which is the version
    tzdata was split. Otherwise tzdata-legacy is not considered, as tzdata
    is installed by default. (Closes: #1051760)
  * Drop obsolete Breaks/Replaces and migration code for versions older
    than oldstable
  * Drop -f from update-rc.d udev remove

  [ Luca Boccassi ]
  * upstream-ci: run unit tests from installed location. (Closes: #1051756)
  * New upstream version 254.4. Fixes minor security issue in arm64
    and riscv64 systemd-boot (EFI) with device tree blobs loading:
    https://github.com/systemd/systemd/security/advisories/GHSA-6m6p-rjcq-334c
  * Refresh patches
  * Install factory-reset related units

  [ Gioele Barabucci ]
  * debian/udev.debian-udev.sysusers: Add Debian-specific sysusers for
    udev
  * d/udev.postinst: Do not use addgroup to add udev-related groups
  * d/control: Remove adduser, it is no longer needed now that all
    udev-related groups are generated via `sd-sysusers`.

 -- Luca Boccassi <bluca@debian.org>  Thu, 21 Sep 2023 11:13:06 +0100

systemd (254.3-1) unstable; urgency=medium

  [ Daniel Andersson ]
  * Add systemd-sysupdate.

  [ Luca Boccassi ]
  * New upstream version 254.2
  * Refresh patches for 254.2
  * New upstream version 254.3

  [ Michael Biebl ]
  * Remove obsolete SysV init script. Keep the udev alias for one more
    release cycle.
  * Use dh_installsystemd to handle systemd-udevd.service. This allows us
    to drop a lot of custom maintscript code. Fix the formatting of the
    udev maintscript code while at it.
  * Add Conflicts against initscripts and orphan-sysvinit-scripts. Those
    packages have undesirable side effects if systemd is the active init
    system so ensure they can't be installed.

 -- Luca Boccassi <bluca@debian.org>  Mon, 11 Sep 2023 09:11:51 +0100

systemd (254.1-3) unstable; urgency=medium

  [ Nick Rosbrook ]
  * debian: ship libsystemd.a in libsystemd-dev.
    Thanks to Serge Hallyn
  * autopkgtest: add build test for static libsystemd
  * debian/rules: build with -ffat-lto-objects.
    Building with -flto=auto, but without -ffat-lto-objects, causes static
    archives to end up without any code sections. This is needed to ship a
    usable libsystemd.a in libsystemd-dev.
    See https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=977596.

  [ Luca Boccassi ]
  * Backport patch to fix test-path failure on Salsa CI

  [ Michael Biebl ]
  * Ask before attaching the udev db information to the bug report
    (Closes: #1041652)
  * Install D-Bus interface files in systemd-dev.
    Now that we have a dedicated -dev package, use that to install
    /usr/share/dbus-1/interfaces.
  * Clean up a couple more __pycache__ directories
  * Remove workarounds for dh_installman.
    No longer needed as stable ships a fixed debhelper.
  * Remove all empty directories from (/usr)/lib.
    This mitigates the accidental empty directory removal by dpkg on
    merged-/usr systems. (Closes: #1036920)
  * Remove no longer needed maintainer scripts migration code for versions
    older then oldstable
  * Revert "Add workaround for Meson regression to fix FTBFS on mips64el"
    This reverts commit 97ebdcea6d0ce52973dd5a9cfeede1573a628bd0.
    No longer needed as a fixed meson package is available now.

 -- Michael Biebl <biebl@debian.org>  Fri, 25 Aug 2023 12:04:10 +0200

systemd (254.1-2) unstable; urgency=medium

  * Build-depend on tzdata-legacy | tzdata. Some timezones were split out,
    but some unit tests need them, so pull in the new tzdata-legacy
    package if it exists.

 -- Luca Boccassi <bluca@debian.org>  Thu, 10 Aug 2023 23:31:48 +0100

systemd (254.1-1) unstable; urgency=medium

  [ Luca Boccassi ]
  * systemd-userdbd: depend on libnss-systemd. This library provides nss
    integration for userdbd/homed and is needed for homed logins
  * New upstream version 254.1
  * Refresh patches for v254.1
  * systemd: do not ship empty .wants/ directories. These will conflict
    with finalizing usrmerge as they are in /lib, so remove them for now.
    systemctl enable creates them anyway when needed.

  [ Helmut Grohne ]
  * duplicate udev trigger interest for /usr-merge. As packages move their
    files from / to /usr, dpkg will cease activating udev's trigger
    interest for hwdb.d files. In DEP17, this is documented as P2. Since
    there are only two packages in Debian affected by this issue, we opt
    for an individual mitigation and explicitly duplicate the trigger
    interest to both locations (M12). This is safe regardless of the other
    chosen mitigations as trigger activations are accumulated.

 -- Luca Boccassi <bluca@debian.org>  Thu, 10 Aug 2023 21:41:13 +0100

systemd (254-1) unstable; urgency=medium

  * New upstream version 254
  * Drop patches merged upstream
  * d/watch: switch back to stable repository
  * Refresh patches

 -- Luca Boccassi <bluca@debian.org>  Fri, 28 Jul 2023 10:01:15 +0100

systemd (254~rc3-3) unstable; urgency=low

  * Backport patch to fix FTBFS on armhf
  * Add workaround for Meson regression to fix FTBFS on mips64el

 -- Luca Boccassi <bluca@debian.org>  Mon, 24 Jul 2023 20:50:48 +0100

systemd (254~rc3-2) unstable; urgency=medium

  * ukify: enable only on UEFI architectures.

 -- Luca Boccassi <bluca@debian.org>  Mon, 24 Jul 2023 16:55:57 +0100

systemd (254~rc3-1) unstable; urgency=low

  * Drop Suggests on transitional policykit-1 package
  * Drop autopkgtest dependency on transitional policykit-1 package
  * Ship ukify in systemd package (Closes: #1041399)
  * New upstream version 254~rc3 (Closes: #1041648, #1041540)
  * Drop patches merged upstream
  * Refresh patches

 -- Luca Boccassi <bluca@debian.org>  Mon, 24 Jul 2023 12:59:37 +0100

systemd (254~rc2-3) unstable; urgency=low

  * Upload to unstable

 -- Luca Boccassi <bluca@debian.org>  Sun, 16 Jul 2023 11:37:22 +0100

systemd (254~rc2-2) experimental; urgency=medium

  * Backport two more mips64 fixes from upstream

 -- Luca Boccassi <bluca@debian.org>  Sat, 15 Jul 2023 15:07:20 +0100

systemd (254~rc2-1) experimental; urgency=medium

  [ Luca Boccassi ]
  * Bump dependency on Meson to 0.60
  * upstream-ci: install libdw and libelf for boot-and-services too.
  * upstream-ci: add libssl-dev to autopkgtest upstream suite.
  * upstream-ci: add nftables.
  * upstream-ci: add 'stress' to the upstream testsuite dependency list.
  * tests/upstream: install curl.
  * tests/upstream: bump timeout by 10 minutes.
  * New upstream version 254~rc2
  * Drop patches merged upstream
  * Refresh patches for v254-rc2

  [ Yu Watanabe ]
  * autopkgtest: create directory to make accounts-daemon.service not
    fail. The service requires /usr/share/accountsservice/interfaces, but
    the directory is not packaged (at least in 22.08.8-6). This adds a
    workaround for the failure.

 -- Luca Boccassi <bluca@debian.org>  Sat, 15 Jul 2023 01:29:39 +0100

systemd (254~rc1-4) experimental; urgency=medium

  * Backport patches to fix FTBFS on mipsel, ia64, x32
  * d/rules: explicitly disable EFI on x32. On x32 the cpu architecture is
    just x86_64 so EFI will be enabled, and it will fail to build as
    userland doesn't support building the EFI ABI. Disable it explicitly,
    and leave it on 'auto' elsewhere.

 -- Luca Boccassi <bluca@debian.org>  Sun, 09 Jul 2023 15:13:53 +0100

systemd (254~rc1-3) experimental; urgency=medium

  * Restrict pyelftools to UEFI-enabled architectures and drop explicit
    meson settings.

 -- Luca Boccassi <bluca@debian.org>  Sat, 08 Jul 2023 00:40:33 +0100

systemd (254~rc1-2) experimental; urgency=medium

  * Backport patch to fix fuzz test without cgroup access. Fix build on
    buildds https://github.com/systemd/systemd/pull/28303

 -- Luca Boccassi <bluca@debian.org>  Fri, 07 Jul 2023 22:55:16 +0100

systemd (254~rc1-1) experimental; urgency=medium

  [ Luca Boccassi ]
  * d/watch: watch main repository
  * New upstream version 254~rc1
  * Refresh patches for v254-rc1
  * Drop build dependency on gnu-efi and add python3-pyelftools. Move to
    !stage1 given it's external python modules
  * Install new libsystemd.3 manpage
  * Install new mount.ddi alias for sd-dissect
  * Update symbols file for 254
  * Update Lintian overrides for systemd-tests
  * autopkgtest: find test-udev in new location.

  [ Zbigniew Jędrzejewski-Szmek ]
  * autopkgtest: drop 'udev' test
    https://github.com/systemd/systemd/pull/27534 makes it into a normal
    unit test, so it will be invoked as part of 'upstream'.

 -- Luca Boccassi <bluca@debian.org>  Fri, 07 Jul 2023 11:05:37 +0100

systemd (253.5-1ubuntu7) noble; urgency=medium

  * Revert "debian/rules: set MulticastDNS=resolve by default" (LP: #2038894)
    File: debian/rules
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=3d753238699f54e8c2892d8107136d49f09e44b6
  * debian/gbp.conf: update for noble
    File: debian/gbp.conf
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=a65decb3a73592af8b952b159cfb453e9c0babd5

 -- Nick Rosbrook <enr0n@ubuntu.com>  Thu, 26 Oct 2023 09:51:33 -0400

systemd (253.5-1ubuntu6) mantic; urgency=medium

  * debian/tests: Depends: tzdata-legacy for upstream-{1,2} (LP: #2035778)
    File: debian/tests/control
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=28d9f59c6abb6e460dd34baa4237ef04aa06aced

 -- Nick Rosbrook <enr0n@ubuntu.com>  Tue, 19 Sep 2023 11:54:35 -0400

systemd (253.5-1ubuntu5) mantic; urgency=medium

  * Revert "core/service: when resetting PID also reset known flag" (LP: #2033325)
    Thanks to Sergio Durigan Junior
    File: debian/patches/lp2033325-Revert-core-service-when-resetting-PID-also-reset-known-f.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=021b6fafca7ae9bddaa479500614a4a4be40ce59
  * debian/rules: do not ship systemd-gpt-auto-generator.
    We do not want the functionality provided by this generator, so do not
    ship it.
    File: debian/rules
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=a366279a84730e92ed734710560ea833709f359d

 -- Nick Rosbrook <enr0n@ubuntu.com>  Thu, 07 Sep 2023 16:09:54 -0400

systemd (253.5-1ubuntu4) mantic; urgency=medium

  * Revert "Drop Provides: time-daemon for bin:systemd-timesyncd"
    File: debian/control
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=e88d9f0241a307a3c1b4bcaf4bf29799d984aa3c

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 25 Aug 2023 16:36:26 -0400

systemd (253.5-1ubuntu3) mantic; urgency=medium

  [ Nick Rosbrook ]
  * debian/rules: build with -ffat-lto-objects (LP: #2031416)
    File: debian/rules
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=c78b7a6a2578d2b3f70638db918858f9b78107a4

  [ Utkarsh Gupta ]
  * Drop Provides: time-daemon for bin:systemd-timesyncd
    Author: Utkarsh Gupta
    File: debian/control
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=9b78ef26d64a40c21cac1e48534c6bf33661e6d7

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 25 Aug 2023 15:31:17 -0400

systemd (253.5-1ubuntu2) mantic; urgency=medium

  * core: reorder systemd arguments on reexec (LP: #2013543)
    File: debian/patches/lp2013543-core-reorder-systemd-arguments-on-reexec.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=c93e797cdd4f3678cdcc7449f8a6f6820e98b7f0
  * network/dhcp4: do not ignore the gateway even if the destination is in same network (LP: #2009743)
    Files:
    - debian/patches/lp2009743/network-dhcp4-do-not-ignore-the-gateway-even-if-the-desti.patch
    - debian/patches/lp2009743/test-network-add-one-more-testcase-for-DHCPv4-classless-r.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=c09bc22fca4259301c88195f34ae3b24956afb22
  * debian/systemd.postint: do not daemon re-exec if we could hit LP: #2013543
    File: debian/systemd.postinst
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=19447af92c6d30e331ff97420e7ddcf3e5d723e1
  * meson.build: disable -Wformat-overflow on gcc with -O3
    File: debian/patches/meson.build-disable-Wformat-overflow-on-gcc-with-O3.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=8c8595bf0f12e56d4b3a063c93a3ba69c798add2
  * debian: ship libsystemd.a in libsystemd-dev (LP: #2012437)
    Thanks to Serge Hallyn
    Files:
    - debian/libsystemd-dev.install
    - debian/rules
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=5997dd2a25a7c65d7c8a826346c0120532a0e083
  * autopkgtest: add build test for static libsystemd
    Files:
    - debian/tests/build-with-static-libsystemd
    - debian/tests/control
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=9d90da82d6b4adcf59b9a6b6188af3a49381fea8

 -- Nick Rosbrook <enr0n@ubuntu.com>  Mon, 14 Aug 2023 11:28:09 -0400

systemd (253.5-1ubuntu1) mantic; urgency=medium

  * Merge 253.5-1 from Debian unstable. Remaining changes:
    - debian/tests/upstream{,-1,-2}: split upstream tests into two parts
    - debian/tests/tests-in-lxd: run some autopkgtests in LXD too
    - debian/tests/storage: skip tests if scsi_debug module is not available
    - debian/tests/boot-and-services:
      + skip test_syslog on s390x
      + skip coredump tests on s390x
      + skip apparmor tests on armhf
      + consume stderr in systemctl status call in test_service
    - debian/systemd.postinst: skip daemon-reexec and try-restarts during shutdown
    - debian/systemd.postinst,debian/rules:
      Disable dh_installinit generation of tmpfiles for systemd package, and
      manually call systemd-tmpfiles --create in postinst
    - debian/systemd-resolved.postinst: copy existing /etc/resolv.conf to
      /run/systemd/resolve/stub-resolv.conf
    - debian/rules:
      + Set default user path
      + Disable LLMNR by default
      + Remove unneeded efi artifacts on i386 to avoid debugedit errors
    - debian/rules,debian/control,debian/tests/control:
      + Do not build with tpm libraries on i386
      + Do not build with libqrencode on i386
    - debian/gbp.conf,debian/extra/wrap_cl.py:
      Use a customization script to add LP commit links to changelog
    - debian/extra/systemd-oomd-defaults/-.slice.d/10-oomd-root-slice-defaults.conf:
      Set ManagedOOMSwap=auto, disabling swap kill by default
    - debian/extra/start-udev: Set scsi_mod scan=sync even if it's builtin
      to the kernel (we previously only set it in modprobe.d)
    - debian/control:
      + Add Recommends: networkd-dispatcher systemd-resolved to systemd package
      + Provide upgrade path (Replaces:) for Jammy's systemd-repart
      + Give systemd-resolved Priority: important
      + Add Recommends: systemd-hwe-hwdb to udev package
      + Add Breaks: systemd (<< ${binary:Version}) to udev package so that
        systemd is upgraded as well when upgrading udev
      + Make systemd-sysv Depends: on matching version of systemd
      + Drop Recommends: libnss-myhostname libnss-resolve from systemd-resolved
    - d/p/debian/Ubuntu-UseDomains-by-default.patch:
      Enable UseDomains by default on Ubuntu.
    - d/p/debian/UBUNTU-Add-AssumedApparmorLabel-unconfined-to-timedate1-dbus.patch:
      Set AssumedAppArmorLabel=unconfined in timedate1 dbus service file
    - d/p/debian/UBUNTU-test-test-functions-launch-qemu-with-vga-none.patch:
      Launch QEMU with -vga none in test-functions
    - d/p/debian/UBUNTU-journald.service-set-Nice-1-to-dodge-watchdog-on-soft-loc.patch:
      Set Nice=-1 in journald.service to dodge watchdog on soft lockups
    - d/p/debian/UBUNTU-Revert-namespace-be-more-careful-when-handling-namespacin.patch:
      Revert "namespace: be more careful when handling namespacing failures gracefully"
      upstream commit
    - d/p/debian/UBUNTU-resolved-default-no-negative-caching.patch:
      Default to Cache=no-negative in systemd-resolved
    - d/p/Revert-network-if-sys-is-rw-then-udev-should-be-around.patch:
      Revert "network: if /sys is rw, then udev should be around" upstream
      commit
    - d/p/debian/UBUNTU-src-test-test-execute.c-Skip-parts-of-test-execute-in-con.patch:
      Skip some of test-execute when running in LXD
    - d/p/lp1861941-dont-generate-disk-byuuid-for-bcache-uuid.patch:
      skip disk/by-uuid for bcache devices
    - d/p/deny-list-TEST-55-OOMD-on-ppc64el.patch:
      Deny-list TEST-55-OOMD om ppc64el
    - d/p/debian/UBUNTU-Don-t-override-Ubuntu-s-default-sysctl-values-LP-1962038.patch:
      Don't override Ubuntu's default sysctl values
    - d/p/test-increase-QEMU_MEM-for-some-tests.patch:
      Increase QEMU_MEM for some tests to improve success rate
    - d/p/test-denylist-TEST-29-PORTABLE-again.patch:
      Deny-list TEST-29-PORTABLE
  * Dropped changes, fixed upstream:
    - lp1999275-binfmt-util-also-check-if-binfmt-is-mounted-in-read-write.patch:
      Applied upstream: https://github.com/systemd/systemd/commit/5aaa79ce96
    - lp1999275-stat-util-introduce-fd_is_read_only_fs.patch:
      Applied upstream: https://github.com/systemd/systemd/commit/dc1752ea72
    - lp1999275-binfmt-check-if-binfmt-is-mounted-before-applying-rules.patch:
      Applied upstream: https://github.com/systemd/systemd/commit/94ba5b1532
    - lp2002445-sd-netlink-do-not-swap-old-name-and-alternative-name.patch:
      Applied upstream: https://github.com/systemd/systemd/commit/080afbb57c
    - lp2002445-udev-net-allow-new-link-name-as-an-altname-before-renamin.patch:
      Applied upstream: https://github.com/systemd/systemd/commit/d0b31efc1a
    - lp2004478-network-dhcp4-accept-local-subnet-routes-from-DHCP.patch:
      Applied upstream: https://github.com/systemd/systemd/commit/1d84a3c779
    - lp1999275-binfmt-util-split-out-binfmt_mounted.patch:
      Applied upstream: https://github.com/systemd/systemd/commit/a51a9684c9
    - lp2002445-sd-netlink-restore-altname-on-error-in-rtnl_set_link_name.patch:
      Applied upstream: https://github.com/systemd/systemd/commit/4d600667f8
    - lp2002445-test-network-add-a-test-for-renaming-device-to-current-al.patch:
      Applied upstream: https://github.com/systemd/systemd/commit/f68f644a16
    - lp2002445/sd-device-make-device_set_syspath-clear-sysname-and-sysnu.patch:
      Applied upstream: https://github.com/systemd/systemd/commit/9a26098e90
    - lp2002445/core-device-ignore-failed-uevents.patch:
      Applied upstream: https://github.com/systemd/systemd/commit/e9336d6ac3
    - lp2002445/udev-restore-syspath-and-properties-on-failure.patch:
      Applied upstream: https://github.com/systemd/systemd/commit/210033847c
    - lp2002445/sd-device-introduce-device_get_property_int.patch:
      Applied upstream: https://github.com/systemd/systemd/commit/eedfef0f0d
    - lp2002445-udev-attempt-device-rename-even-if-interface-is-up.patch:
      Applied upstream: https://github.com/systemd/systemd/commit/53584e7b61
    - lp1999275-unit-check-more-specific-path-to-be-written-by-systemd-bi.patch:
      Applied upstream: https://github.com/systemd/systemd/commit/f74a7cb45c
    - lp2002445-sd-netlink-add-a-test-for-rtnl_set_link_name.patch:
      Applied upstream: https://github.com/systemd/systemd/commit/b338a8bb40
    - test-skip-some-tests-when-machine-id-is-not-initialized.patch:
      Applied upstream: https://github.com/systemd/systemd/pull/25732
    - sd-netlink-skip-test_rtnl_set_link_name-when-altnames-are.patch:
      Applied upstream: https://github.com/systemd/systemd/commit/5ccbe7fb197
    - debian/UBUNTU-wait-online-exit-if-no-links-are-managed.patch (LP: #1982218):
      This has been implemented upstream in a different way, but with the same
      outcome: https://github.com/systemd/systemd/commit/ab3aed4a034.
    - debian/Ubuntu-units-set-ConditionVirtualization-private-users-on-j.patch:
      This is obsoleted by an upstream change to fix the underlying issue:
      https://github.com/systemd/systemd/commit/362235bf59.
  * Dropped changes, no longer needed:
    - Deny-list-TEST-74-AUX-UTILS-on-s390x.patch:
      This test passes on s390x now.
    - debian/UBUNTU-test-sleep-skip-test_fiemap-upon-inapproriate-ioctl-.patch:
      This test passes without this patch now.
    - debian/UBUNTU-Revert-cgroup-Continue-unit-reset-if-cgroup-is-busy.patch:
      Testing libvirt against systemd without this patch passses now.
    - debian/UBUNTU-units-block-CAP_SYS_MODULE-units-in-containers-too.patch:
      This test passes without this patch now.
    - debian/UBUNTU-src-test-testmount-util.c-Skip-parts-of-test-mount-util-in-LXC.patch:
      This test passes in LXD without this patch now.
    - debian/systemd.prerm: remove unnecessary whitespace
    - debian/systemd.maintscript:
      Our delta pertains to versions older than 249, which is in Jammy and is
      therefore the oldest version direct upgrades will be supported from.
    - test: drop /etc/default/locale handling from TEST-74-AUX-UTILS
  * New changes:
    - debian/patches: consolidate Ubuntu core hacks into one patch,
      debian/UBUNTU-read-only-etc-hacks.patch:
      + debian/UBUNTU-Fix-timezone-setting-on-read-only-etc.patch
      + debian/UBUNTU-Support-system-image-read-only-etc.patch
      + debian/timedatectl-lp1650688.patch
      + lp1981042-core-firstboot-workaround-timezone-issues-caused-by-Ubunt.patch
      + debian/UBUNTU-read-only-etc-hacks.patch
    - debian/systemd.postinst: remove duplicate if block
    - debian/gbp.conf: update debian-branch to ubuntu-mantic
    - debian/tests: add ability to override SELECTED_TESTS in upstream tests
    - debian/systemd.postinst: fix /etc/locale.conf migration
    - debian/tests/tests-in-lxd: use --reuse flag in lxc publish (LP: #2023229)
    - debian/rules: set MulticastDNS=resolve by default
    - test-skip-tests-for-unsupported-localectl-features.patch:
      skip tests for unsupported localectl features
    - debian/tests/boot-and-services: drop test_no_failed

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Tue, 11 Jul 2023 14:11:33 -0400

systemd (253.5-1) unstable; urgency=medium

  * New upstream version 253.5 (Closes: #1040035)
  * Refresh patches for 253.5

 -- Luca Boccassi <bluca@debian.org>  Sat, 01 Jul 2023 11:57:46 +0100

systemd (253-4) unstable; urgency=medium

  * Stop localed from writing to /etc/default/keyboard and symlink it to
    /etc/vconsole.conf. Integration is not set up for now, but GDM needs
    to query the configured values. Allow reading, but disallow setting
    keymaps. (Closes: #1038762)

 -- Luca Boccassi <bluca@debian.org>  Sat, 24 Jun 2023 20:21:24 +0100

systemd (253-3) unstable; urgency=medium

  * systemd-dev: add missing breaks/replaces with udev. (Closes: #1037924)
  * Run the systemd-binfmt trigger unconditionally.
  * Upload to unstable.

 -- Luca Boccassi <bluca@debian.org>  Tue, 20 Jun 2023 11:45:22 +0100

systemd (253-2) experimental; urgency=medium

  * Add systemd-dev package for pkg-config files. Move systemd.pc and
    udev.pc to systemd-dev, so that packages can build-depend on a small
    package instead of the whole set of binaries. (Closes: #945922,
    #917549)

 -- Luca Boccassi <bluca@debian.org>  Mon, 12 Jun 2023 00:22:52 +0100

systemd (253-1) experimental; urgency=medium

  * New upstream version 253. For a full list of changes, see:
    https://github.com/systemd/systemd/releases/tag/v253
  * d/watch: switch back to stable repository.
  * Update symbols file

 -- Luca Boccassi <bluca@debian.org>  Wed, 15 Feb 2023 20:36:32 +0000

systemd (253~rc3-1) experimental; urgency=medium

  * New upstream version 253~rc3
  * Refresh patches

 -- Luca Boccassi <bluca@debian.org>  Fri, 10 Feb 2023 18:23:21 +0000

systemd (253~rc2-1) experimental; urgency=medium

  * New upstream version 253~rc2
  * systemd: make /etc/default/locale a symlink to /etc/locale.conf. Let's
    match upstream's filename and keep a backward-compatibility symlink
    for older tools. The content of the files match anyway.
  * Update timedated autopkgtest. We no longer support /etc/timezone, as
    /etc/localtime is always available
  * Drop patches merged upstream
  * Drop Don-t-enable-audit-by-default.patch. We can disable the socket
    now
  * Drop Use-Debian-specific-config-files.patch, no longer needed
  * systemd-boot-system-token was renamed to systemd-boot-random-seed
  * Add new libsystemd symbols
  * Update Lintian override for new so bump
  * Remove systemd-localed drop-in, no longer needed. The change was
    merged upstream
  * Drop udev-drop-SystemCallArchitectures-native-from-systemd-ude.patch
    and use a drop-in
  * Drop Re-enable-journal-forwarding-to-syslog.patch and use a drop-in
  * Drop TuxOnIce out-of-tree patch. The
    SYSTEMD_BYPASS_HIBERNATION_MEMORY_CHECK environment variable can be
    used to skip the check, so it is no longer necessary to maintain a
    patch.
  * Drop autopkgtest denylist patches. No longer needed, the tests are
    working now
  * Drop Revert-core-set-RLIMIT_CORE-to-unlimited-by-default.patch, we now
    use the unified hierarchy
  * Drop Let-graphical-session-pre.target-be-manually-started.patch, not
    used anymore
  * Refresh patches
  * Do not install repart/shutdown standalone binaries
  * Build with libxen-dev. Buildtime-only dependency, enables support for
    kexec on Xen (via ioctl, so no new runtime dependency).
  * Do not install ukify script for now
  * Update NEWS file
  * locale: disable keymap support
  * d/watch: use main repository
  * Refresh patches

 -- Luca Boccassi <bluca@debian.org>  Wed, 08 Feb 2023 20:36:58 +0000

systemd (252.11-1) unstable; urgency=medium

  * New upstream version 252.11
  * Refresh patches

 -- Luca Boccassi <bluca@debian.org>  Sun, 11 Jun 2023 23:05:40 +0100

systemd (252.6-1) unstable; urgency=medium

  * Update timedated autopkgtest. We no longer support /etc/timezone, as
    /etc/localtime is always available (cherry picked from commit
    6ef7bb0ce0f89e732a8b95624af059e52c3712b5)
  * Stop supporting /etc/timezone and just rely on /etc/localtime
  * systemd-boot: update on package upgrade, if installed
  * Override Lintian warning in systemd-coredump
  * d/watch: restrict to v252.x for bookworm
  * New upstream version 252.6
  * Refresh patches
  * systemd-boot: enable on install (Closes: #1031118)

 -- Luca Boccassi <bluca@debian.org>  Tue, 28 Feb 2023 11:15:45 +0000

systemd (252.5-2ubuntu3) lunar; urgency=medium

  * udev: gracefully handle rename failures (LP: #2002445)
    Files:
    - debian/patches/lp2002445/core-device-ignore-failed-uevents.patch
    - debian/patches/lp2002445/sd-device-introduce-device_get_property_int.patch
    - debian/patches/lp2002445/sd-device-make-device_set_syspath-clear-sysname-and-sysnu.patch
    - debian/patches/lp2002445/udev-restore-syspath-and-properties-on-failure.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=79536dbb165dbcc402629684e0911693626df5b1

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Mon, 20 Mar 2023 10:17:24 -0400

systemd (252.5-2ubuntu2) lunar; urgency=medium

  * network/dhcp4: accept local subnet routes from DHCP (LP: #2004478)
    File: debian/patches/lp2004478-network-dhcp4-accept-local-subnet-routes-from-DHCP.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=b9aaaf37b8ca7c9febe5f0ebc4b82d0f895cbbd3
  * sd-netlink: skip test_rtnl_set_link_name when altnames are not supported.
    This has already been fixed upstream by a larger commit, so this patch
    can be dropped when we have a new enough upstream version.
    File: debian/patches/sd-netlink-skip-test_rtnl_set_link_name-when-altnames-are.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=195985ee5aa2cfdbbac178a07e5b43b83f0550d0

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Wed, 08 Mar 2023 12:51:51 -0500

systemd (252.5-2ubuntu1) lunar; urgency=medium

  * Merge 252.5-2 from Debian unstable
    - Drop test-handle-Debian-s-etc-default-locale-in-testsuite-74.f.patch.
      Applied upstream: https://github.com/systemd/systemd/commit/9b42646b22
      File: debian/patches/test-handle-Debian-s-etc-default-locale-in-testsuite-74.f.patch
      https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=1b0789416172ec60d8086fe2b458b5396bb7e857
    - Drop test-make-sure-mount-point-exists-in-testsuite-64.sh.patch.
      Applied upstream: https://github.com/systemd/systemd/commit/07e4787106
      File: debian/patches/test-make-sure-mount-point-exists-in-testsuite-64.sh.patch
      https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=f97b2d5ae1a1f35668c4648f1c7fc715a588de50
    - Drop test-remove-no-longer-needed-quirk-for-set-locale-on-Debi.patch.
      Fixed upstream: https://github.com/systemd/systemd-stable/commit/1c325f6d7f
      File: debian/patches/test-remove-no-longer-needed-quirk-for-set-locale-on-Debi.patch
      https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=5f85226d61393c08d7ea51c2f28db7fd4c79bcc6
  * udev: avoid NIC renaming race with kernel (LP: #2002445)
    Files:
    - debian/patches/lp2002445-sd-netlink-add-a-test-for-rtnl_set_link_name.patch
    - debian/patches/lp2002445-sd-netlink-do-not-swap-old-name-and-alternative-name.patch
    - debian/patches/lp2002445-sd-netlink-restore-altname-on-error-in-rtnl_set_link_name.patch
    - debian/patches/lp2002445-test-network-add-a-test-for-renaming-device-to-current-al.patch
    - debian/patches/lp2002445-udev-attempt-device-rename-even-if-interface-is-up.patch
    - debian/patches/lp2002445-udev-net-allow-new-link-name-as-an-altname-before-renamin.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=58d29c2b376f03c44ed5a719877c95b332018cdc
  * Deny-list TEST-74-AUX-UTILS on s390x.
    Since this currently is only known to fail on the autopkgtest
    infrastructure, we believe this is a temporary issue.
    File: debian/patches/Deny-list-TEST-74-AUX-UTILS-on-s390x.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=a3a059d86e2fe3a104419ae2afcab557171f9809

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Tue, 14 Feb 2023 11:52:31 -0500

systemd (252.5-2) unstable; urgency=medium

  * Fix boot-and-services autopkgtest.

 -- Luca Boccassi <bluca@debian.org>  Mon, 30 Jan 2023 01:03:48 +0000

systemd (252.5-1) unstable; urgency=medium

  [ Nick Rosbrook ]
  * debian/tests: remove systemd-fsckd autopkgtest. This test never runs
    in Debian autopkgtest because of missing machine isolation
    requirements, and it nevers runs in Ubuntu because:  SKIP: root file
    system is being checked by initramfs already Since the test is not
    providing any good feedback, and generally has not been maintained,
    let's just remove it.

  [ Luca Boccassi ]
  * New upstream version 252.5
  * Drop patches merged in v252.5
  * Refresh patches
  * Set default status format to 'combined': show both unit name and
    description in logs/boot messages

 -- Luca Boccassi <bluca@debian.org>  Sun, 29 Jan 2023 19:39:28 +0000

systemd (252.4-2) unstable; urgency=medium

  [ Michael Biebl ]
  * Refresh patches
  * Tweak description of systemd and systemd-sysv package.
    Remove redundancy and de-emphasize sysvinit.
  * autopkgtest: add psmsic to upstream suite.
    Needed for the killall binary.
    See https://github.com/systemd/systemd/pull/24569
  * autopkgtest: add xkb-data, locales and locales-all to upstream suite.
    Use locales-all so all necessary locales can be installed into the test
    image without having to generate them on-the-fly.
    See https://github.com/systemd/systemd/pull/23709
  * autopkgtest: prefer knot-dnssecutils over knot-dnsutils for upstream
    suite.
    The kzonecheck utility required by TEST-75-RESOLVED was split out from
    knot-dnsutils into knot-dnssecutils so update the test dependencies
    accordingly. Keep knot-dnsutils as alternative dependency to make
    backports easier.
  * Cherry-pick upstream fixes for TEST-74-AUX-UTILS
  * Cherry-pick upstream fix for TEST-73-LOCALE
  * Skip firstboot --prompt-keymap check in TEST-74-AUX-UTILS.
    This test requires compatible keymaps from kbd which are not available
    in Debian.

  [ Luca Boccassi ]
  * autopkgtest: add netlabel-tools to networkd-test.py suite.
    The netlabelctl tool is needed to test the NetLabel integration.
    See https://github.com/systemd/systemd/pull/23888
  * autopkgtest: add bsdutils to upstream suite.
    The logger utility is now used in TEST-04-JOURNAL.
    See https://github.com/systemd/systemd/pull/23086
  * autopkgtest: add knot, knot-dnsutils, bind9-dnsutils, bind9-host to
    upstream suite.
    Needed by TEST-75-RESOLVED.
    See https://github.com/systemd/systemd/pull/23104
  * autopkgtest: add jq to upstream suite.
    Needed by TEST-58-REPART.
    See https://github.com/systemd/systemd/pull/24572
  * autopkgtest: add mtools to upstream suite.
    Needed by TEST-58-REPART.
    See https://github.com/systemd/systemd/pull/24944
  * autopkgtest: add erofs-utils to upstream suite.
    Needed by TEST-58-REPART.
    See https://github.com/systemd/systemd/pull/25686

 -- Michael Biebl <biebl@debian.org>  Wed, 25 Jan 2023 09:17:24 +0100

systemd (252.4-1ubuntu1) lunar; urgency=medium

  * Drop oomd-fix-unreachable-test-case-in-test-oomd-util.patch.
    Applied upstream: https://github.com/systemd/systemd-stable/commit/bcd42b3c88
    File: debian/patches/oomd-fix-unreachable-test-case-in-test-oomd-util.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=93cf2f4709a6768d6eeb04153c92bffec0726753
  * Drop oomd-always-allow-root-owned-cgroups-to-set-ManagedOOMPre.patch.
    Applied upstream: https://github.com/systemd/systemd-stable/commit/2bdf5b0382
    File: debian/patches/oomd-always-allow-root-owned-cgroups-to-set-ManagedOOMPre.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=24f51625bcec9a7b4f32a0caf363b000b173748b
  * debian/rules: remove explicit -fcf-protection flag.
    This is included in the default gcc flags on Ubuntu[1], so we do not need
    this anymore. Drop the diff to reduce our delta from Debian.
    [1] https://wiki.ubuntu.com/ToolChain/CompilerFlags#A-fcf-protection
    File: debian/rules
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=b72bf5bb964aa89769417491fcc99926a06490ba
  * Revert "Drop systemd.prerm safety check."
    This reverts commit 0244c4d56556317f14eecc2f51871969ef02ba7b.
    systemd does not run in a chroot, so /run/systemd/system should not
    exist in chroots. Debian has kept this without issue, so revert this in
    order to reduce delta with Debian.
    File: debian/systemd.prerm
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=d7df55f11603022cde6cf897aaddc02624e79336
  * Drop 0001-Revert-tests-add-test-case-for-UMask-BindPaths-combi.patch.
    This patch is specific to privileged LXD containers, which we are not
    testing anymore, so there is no need to carry the patch anymore.
    File: debian/patches/0001-Revert-tests-add-test-case-for-UMask-BindPaths-combi.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=2acbc4741346c684ea3fa8aecf1d6ed88a7444cd
  * binfmt: fix systemd-binfmt in LXD containers (LP: #1999275)
    Files:
    - debian/patches/lp1999275-binfmt-check-if-binfmt-is-mounted-before-applying-rules.patch
    - debian/patches/lp1999275-binfmt-util-also-check-if-binfmt-is-mounted-in-read-write.patch
    - debian/patches/lp1999275-binfmt-util-split-out-binfmt_mounted.patch
    - debian/patches/lp1999275-stat-util-introduce-fd_is_read_only_fs.patch
    - debian/patches/lp1999275-unit-check-more-specific-path-to-be-written-by-systemd-bi.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=41fa3a0420c5633200ecd60add6cadb149c98ccd
  * debian/patches: update test-skip-some-tests-when-machine-id-is-not-initialized.patch.
    The latest stable tag includes some, but not all patches which [1] needs
    to work correctly. For now, just simplify the `machine_id_initialized()`
    helper and make a note in the patch that the changes were forwarded
    upstream.
    [1] https://github.com/systemd/systemd/pull/25732
    File: debian/patches/test-skip-some-tests-when-machine-id-is-not-initialized.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=d17ca14b237f477899c7af793b698dc0740985d1

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Wed, 04 Jan 2023 13:56:18 -0500

systemd (252.4-1) unstable; urgency=medium

  * Enable p11kit. Backport patch to dlopen-ify p11kit support and enable
    it. (Closes: #1023635)
  * New upstream version 252.4. (Closes: #1026831 and fixes CVE-2022-4415)
  * Refresh patches
  * Bump Standards-Version to 4.6.2, no changes

 -- Luca Boccassi <bluca@debian.org>  Thu, 22 Dec 2022 12:26:41 +0100

systemd (252.3-2) unstable; urgency=medium

  * Skip flaky test_resolved_domain_restricted_dns in networkd-test.py.
    This test is part of DnsmasqClientTest and does not work reliably under
    LXC/debci, so skip it for the time being. (Closes: #1025908)

 -- Michael Biebl <biebl@debian.org>  Tue, 13 Dec 2022 01:03:58 +0100

systemd (252.3-1) unstable; urgency=medium

  * New upstream version 252.3
  * Rebase patches

 -- Michael Biebl <biebl@debian.org>  Sat, 10 Dec 2022 20:14:11 +0100

systemd (252.2-2) unstable; urgency=medium

  * Keep policykit-1 as alternative dependency to polkitd for systemd.
    This will make backports easier.
  * Update remaining policykit-1 (test) dependencies and prefer polkitd.
    Keep the policykit-1 dependency as alternative for easier backports.
    (Closes: #1025591)

 -- Michael Biebl <biebl@debian.org>  Tue, 06 Dec 2022 20:30:29 +0100

systemd (252.2-1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Explicitly B-D on libcrypt-dev (Closes: #1024646)

  [ Nick Rosbrook ]
  * Add handling for /etc/default/locale to firstboot. The TEST-74-AUX-
    UTILS upstream test revealed that firstboot does not currently handle
    Debian's /etc/default/locale.

  [ Luca Boccassi ]
  * Build depend on dh-package-notes, sequence was removed. Only the
    makefile is in use now, no files are generated at build time as
    --package-metadata from the linkers is used now
  * New upstream version 252.2
  * Refresh patches

 -- Luca Boccassi <bluca@debian.org>  Mon, 28 Nov 2022 22:35:56 +0000

systemd (252.1-1ubuntu1) lunar; urgency=medium

  [ Nick Rosbrook ]
  * Merge 252.1-1 from Debian unstable
    - Resolve merge conflicts:
      + debian/patches: Do not take back Add-support-for-TuxOnIce-hibernation.patch.
      + debian/libsystemd0.symbols: Increment sd_hwdb_new_from_path min version
        to reduce delta with Debian.
      + debian/control: Keep Ubuntu systemd-repart delta for now.
      + debian/rules: Keep our diff for TPM2 build on i386
      + debian/systemd-resolved.postrm: Take Debian DPKG_ROOT changes, removing
        the Ubuntu delta.
    - Drop patches:
      + Drop sd-hwdb-add-sd_hwdb_new_from_path.patch:
        Applied upstream: https://github.com/systemd/systemd-stable/commit/60f0ba7556
      + Drop test-copy-libgcc_s.so.1-to-TPM2-test-image-on-Debian-like.patch:
        Applied upstream: https://github.com/systemd/systemd-stable/commit/ddbc88188c
      + Drop lp1991829-add-CAP_LINUX_IMMUTABLE-to-systemd-machined-so-it-ca.patch:
        Applied upstream: https://github.com/systemd/systemd-stable/commit/137d162c42
      + Drop hwdb-implement-root-option-for-systemd-hwdb-query.patch:
        Applied upstream: https://github.com/systemd/systemd-stable/commit/beff73f94e
      + Drop lp1978079-pstore-Run-after-modules-are-loaded.patch:
        Applied upstream: https://github.com/systemd/systemd-stable/commit/70e74a5997
      + Drop debian/UBUNTU-deny-list-TEST-10-ISSUE-2467.patch:
        It looks like this has not been a problem upstream. Let's try it again
        in autopkgtest.
      + Drop debian/deny-list-upstream-test-02-ppc64el.patch:
        There was never any movement on the upstream issue. Since it has been a
        while, let's re-enable for now to see if it is still a problem.
      + Drop debian/deny-list-upstream-test-25.patch:
        It's been a while, let's see if this still presents a problem.
      + Drop lp1989969-test-deny-list-TEST-36-NUMAPOLICY-on-ppc64el.patch:
        This is likely due to [1], and is not specific to TEST-36-NUMAPOLICY.
        [1] https://github.com/systemd/systemd/issues/25091
      + Drop lp1950794-Revert-sd-dhcp-do-not-use-detect_container-to-guess-.patch:
        This patch no longer applies, see:
        https://github.com/systemd/systemd/commit/14805b1468
    - Refresh patches
    - debian/gbp.conf: Update debian-branch to ubuntu-lunar
      File: debian/gbp.conf
      https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=aa7b7c457ce90478b38fc73e628f8b5a4874614f
    - debian/rules: do not enable libqrencode on i386
      Files:
      - debian/control
      - debian/rules
      - debian/tests/control
      https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=3ed5e1433e2ee05e2941f0e16ebc482933a382fd
    - Add handling for /etc/default/locale to firstboot.
      The TEST-74-AUX-UTILS upstream test revealed that firstboot does not
      currently handle Debian's /etc/default/locale.
      File: debian/patches/debian/Use-Debian-specific-config-files.patch
      https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=9dc07337354155b100ea0423ed090f3dc6040a7a
    - test: remove no-longer-needed quirk for set-locale on Debian/Ubuntu
      File: debian/patches/test-remove-no-longer-needed-quirk-for-set-locale-on-Debi.patch
      https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=e14e582fe158c7e63d6146386ec901fededa2e78
    - oomd: always allow root-owned cgroups to set ManagedOOMPreference
      File: debian/patches/oomd-always-allow-root-owned-cgroups-to-set-ManagedOOMPre.patch
      https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=e2fc04c5a6dfbe4bada17f117b957febcc5356d7
    - oomd: fix unreachable test case in test-oomd-util
      File: debian/patches/oomd-fix-unreachable-test-case-in-test-oomd-util.patch
      https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=a9ad5284e2730c777fbc4dd7919be1631b788c44
    - test: make sure mount point exists in testsuite-64.sh
      File: debian/patches/test-make-sure-mount-point-exists-in-testsuite-64.sh.patch
      https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=1a6bae6133ebe11108b1b8515da7371e5567a189
    - test: handle Debian's /etc/default/locale in testsuite-74.firstboot.sh
      File: debian/patches/test-handle-Debian-s-etc-default-locale-in-testsuite-74.f.patch
      https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=5e80690a112fb579070d99d6cbd3623f3cea790c
    - test: skip some tests when machine-id is not initialized
      File: debian/patches/test-skip-some-tests-when-machine-id-is-not-initialized.patch
      https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=362c58ae565eefc172f085dc22f5058c5d3adb85
    - debian/tests: stop testing in privileged LXD containers
      File: debian/tests/tests-in-lxd
      https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=a74c46945722f9bb8d925543a0fabe64d38f7c8f
    - debian/systemd.postinst: drop our v234-specific delta.
      Upgrades from systems this old are not supported to Lunar and newer.
      File: debian/systemd.postinst
      https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=a3f79c2d259da6d0537cb4a31e0eb7bf0c2aaeff
    - debian/tests: stop skipping test_service in boot-and-services.
      The linked github issue has been resolved and is included in this
      release.
      File: debian/tests/boot-and-services
      https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=bdb12cb08e0f959ff875713a78cb2a3beadae87e
    - debian/systemd-resolved.postinst: consolidate Ubuntu delta
      File: debian/systemd-resolved.postinst
      https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=7f6c0a62320ce5670ba9a0648ae54af24ae3dc1c

  [ Luca Boccassi ]
  * Build depend on dh-package-notes, sequence was removed.
    Only the makefile is in use now, no files are generated at build time
    as --package-metadata from the linkers is used now
    Author: Luca Boccassi
    File: debian/control
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=5501f9d2629d4e22dc45e6569946aefd9c78d3c6

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Tue, 06 Dec 2022 11:00:38 -0500

systemd (252.1-1) unstable; urgency=medium

  * d/watch: switch back to stable repository
  * New upstream version 252.1 (Closes: #1023607 #1023515)
  * Drop patches merged upstream
  * Refresh patches
  * Suggest polkitd instead of policykit-1 (deprecated)

 -- Luca Boccassi <bluca@debian.org>  Tue, 08 Nov 2022 14:23:22 +0000

systemd (252-3) unstable; urgency=medium

  * Backport patches to fix tmpfiles error and missing /dev/serial/by-
    id/usb-* (Closes: #1023311)
  * Drop :native suffix from python3-pyparsing build dependency (Closes:
    #1023442)
  * Enable support for libqrencode. dlopen() feature so no additional cost.
    Allows printing out recovery keys in QR format.

 -- Luca Boccassi <bluca@debian.org>  Sun, 06 Nov 2022 14:16:52 +0000

systemd (252-2) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * Let dh_installsysusers fix the /var/log/journal permissions.
    dh_installsysusers adds a systemd-sysusers in #DEBHELPER#. Otherwise
    it fails with: /usr/lib/tmpfiles.d/systemd.conf:28: Failed to resolve
    group 'systemd-journal'. Regression of fa0aade329. (Closes: #1023248)
  * Move restarting units after #DEBHELPER#. This makes sure that systemd-
    sysusers was executed as well as systemd-tmpfiles to setup proper
    permissions for /var/log/journal before systemd-journald is being
    restarted.

 -- Luca Boccassi <bluca@debian.org>  Tue, 01 Nov 2022 12:06:18 +0000

systemd (252-1) unstable; urgency=medium

  * Use systemd-sysusers to setup systemd users and groups
  * New upstream version 252
  * Drop patches merged upstream
  * libsystemd0: set symbols version to 252
  * Drop unused lintian override

 -- Luca Boccassi <bluca@debian.org>  Mon, 31 Oct 2022 22:02:43 +0000

systemd (252~rc3-2) unstable; urgency=medium

  * Upload to unstable.

 -- Luca Boccassi <bluca@debian.org>  Thu, 27 Oct 2022 15:24:32 +0100

systemd (252~rc3-1) experimental; urgency=medium

  * New upstream version 252~rc3
  * Refresh patches
  * Backport patches to fix tests without machine-id. Drop out-of-tree
    patch and backport upstream fixes.

 -- Luca Boccassi <bluca@debian.org>  Tue, 25 Oct 2022 01:30:02 +0100

systemd (252~rc2-1) experimental; urgency=medium

  [ Jan Kiszka ]
  * Enable systemd-boot for riscv64. Tested against U-Boot 2022.10 as UEFI
    provider on the RZ/Five. Signed-off-by: Jan Kiszka
    <jan.kiszka@siemens.com>

  [ Helmut Grohne ]
  * Conditionalize installation of cryptsetup plugins in stage1 using dh-
    exec (Closes: #1021821)

  [ Michael Biebl ]
  * Install sysusers.d and tmpfiles.d man pages in standalone packages
    (Closes: #1021933)

  [ Luca Boccassi ]
  * d/watch: switch to non-stable repo
  * New upstream version 252~rc2
  * Drop patches merged upstream
  * Refresh patches
  * Update symbols file
  * Update Lintian overrides
  * autopkgtest: update expected output of localectl

 -- Luca Boccassi <bluca@debian.org>  Sat, 22 Oct 2022 01:10:00 +0100

systemd (251.6-1) unstable; urgency=medium

  * New upstream version 251.6
  * Rebase patches
  * Use dh_installsystemd to enable machines.target in systemd-container

 -- Michael Biebl <biebl@debian.org>  Fri, 14 Oct 2022 16:34:00 +0200

systemd (251.5-3) unstable; urgency=medium

  * Update symbol versions for the v251 release
  * ata_id: fix getting Response Code from SCSI Sense Data (Closes: #1021579)
  * logind: do not emit beep in wall messages (Closes: #1019510)
  * logind: remember our idle state and use it to detect idle level
    transitions (Closes: #963135)
  * logind: fix getting property OnExternalPower via D-Bus (Closes: #1021644)

 -- Michael Biebl <biebl@debian.org>  Wed, 12 Oct 2022 17:01:05 +0200

systemd (251.5-2) unstable; urgency=medium

  [ Luca Boccassi ]
  * Build and install libcryptsetup token plugins.
    The interfaces are now mature and enabled in Debian/Ubuntu in
    libcryptsetup, so enable and ship the plugins

  [ Michael Biebl ]
  * salsa-ci: drop no longer needed workaround for lintian false positives
  * udev: fix regression in udev-builtin path_id when processing NVME devices
    (Closes: #1021547)

  [ наб ]
  * systemd-sysv.postinst: which -> command -v

 -- Michael Biebl <biebl@debian.org>  Tue, 11 Oct 2022 00:51:55 +0200

systemd (251.5-1) unstable; urgency=medium

  [ Michael Biebl ]
  * New upstream version 251.5
  * Install NEWS.Debian file into all binary packages.
    While it increases the disk footprint a little, it ensures that NEWS
    entries are reliably shown by apt-listchanges.
  * Handle removal of /var/log/README.
    Remove /var/log/README symlink when the systemd package is purged.
    This symlink is created via tmpfiles and documents that /var/log no
    longer contains the traditional syslog text files. (Closes: #877414)
  * Rebase patches

  [ наб ]
  * debian/extra/kernel/postinst.d/systemd-boot: prefix with zz-
    Since we explicitly (though this is hidden by indirection through
    85-initrd.install) depend on /boot/initrd.img-$1 existing or not existing,
    hard-order ourselves at the end. The zz- prefix matches grub.
  * debian/extra/kernel-install.d/85-initrd.install: install default initrd
    with versioned basename.
    This fixes #1020396 in a superior way by using
    $KERNEL_INSTALL_STAGING_AREA, available since systemd v251.
    By just copying the file we both simplify our code, but defer to
    90-loaderentry to correctly permission it, and simply never generate an
    unversioned initrd in the first place! (Closes: #1020396)
  * debian/extra/kernel-install.d/85-initrd.install: explicitly ignore unknown
    verbs
  * debian/extra/kernel/postrm.d/systemd-boot: prefix with zz-
    Doesn't actually matter, but the kernel handbook says we must and we
    already renamed postinst. (Closes: #1014581)

  [ Luca Boccassi ]
  * Enable firstboot, disabled by default on Debian.
    Currently the first-boot conditions are not met by any Debian
    image (/etc/machine-id with content uninitialized, so we can
    just enable the build and ship it in the main package.
    This lets image builders (eg: cloud images) tinker with it.
    https://www.freedesktop.org/software/systemd/man/machine-id.html#First%20Boot%20Semantics
    (Closes: #844528)

 -- Michael Biebl <biebl@debian.org>  Sun, 02 Oct 2022 21:23:49 +0200

systemd (251.4-3) unstable; urgency=medium

  * resolv.conf: take backup as a fallback in case resolved/resolv.conf
    is not available, and restore on uninstall, which is necessary for
    piuparts checks.

 -- Luca Boccassi <bluca@debian.org>  Sat, 27 Aug 2022 22:39:04 +0100

systemd (251.4-2) unstable; urgency=medium

  [ Johannes Schauer Marin Rodrigues ]
  * use systemd-sysusers instead of adduser. This allows dropping the
    dependency on adduser (reducing the dependency set) and in turn allows
    for DPKG_ROOT support of systemd.
  * debian/systemd.postinst: add --root argument to systemctl and
    systemd-* calls for DPKG_ROOT support

  [ Luca Boccassi ]
  * resolved: use DPKG_ROOT and make postinst shellcheck-happy
  * resolved: switch from .links to postinst/rm
  * Update Lintian overrides for new incompatible syntax

 -- Luca Boccassi <bluca@debian.org>  Fri, 26 Aug 2022 23:16:23 +0100

systemd (251.4-1ubuntu7) kinetic; urgency=medium

  [ Nick Rosbrook ]
  * autopkgtest: do not allow qemu to be used on ppc64el (LP: #1992178)
    Almost every run on ppc64el takes 12 to 24 hours, so do this as a last
    resort to relieve pressure on autopkgtest infrastructure.
    File: debian/tests/upstream
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=5ab2b8ad13a3d7441935d6f43bb81fbd540e2c33

  [ Dan Streetman ]
  * make machinectl read-only work (LP: #1991829)
    Author: Dan Streetman
    File: debian/patches/lp1991829-add-CAP_LINUX_IMMUTABLE-to-systemd-machined-so-it-ca.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=a8a41b11d712c8cfbf595d34f39d95096f23e202

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Tue, 11 Oct 2022 11:51:25 -0400

systemd (251.4-1ubuntu6) kinetic; urgency=medium

  * test: deny-list TEST-36-NUMAPOLICY on ppc64el (LP: #1989969)
    File: debian/patches/lp1989969-test-deny-list-TEST-36-NUMAPOLICY-on-ppc64el.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=0f61b31fbeb57cf7e47a5f0922fd2ff47b81caa7
  * debian/control: drop systemd-resolved Recommends: (LP: #1990187)
    libnss-resolve was previously explicitly excluded from ubuntu-minimal,
    and this Recommends: reverses that change. While here, drop
    libnss-myhostname too, because it is in universe and there is no real
    need for systemd-resolved to Recommends: it.
    File: debian/control
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=88c134fac13b738efdcc657e160350c061d0a018
  * debian/control: set Priority: important on systemd-resolved (LP: #1990278)
    Since this package used to be a part of the systemd binary package,
    systemd-resolved would be installed by debootstrap by default. Retain
    this previous behavior by setting Priority: important on
    systemd-resolved.
    File: debian/control
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=1d9ca06dfe8351ed4d03073fbafa5e2212fe4fcb

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Tue, 20 Sep 2022 11:19:06 -0400

systemd (251.4-1ubuntu5) kinetic; urgency=medium

  * enable building systemd-boot for riscv64 (LP: #1989457) 

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Tue, 13 Sep 2022 13:43:01 +0200

systemd (251.4-1ubuntu4) kinetic; urgency=medium

  * debian/systemd-resolved.postinst: copy existing /etc/resolv.conf on new installs (LP: #1988772)
    Commit 20bc8a37fa ("Always setup /etc/resolv.conf on new installations.")
    added logic to copy any existing /etc/resolv.conf to
    /run/systemd/resolve/stub-resolv.conf before creating the final symlink.
    When we merged the systemd-resolved package split changes from Debian,
    this logic was not replicated, which has caused regressions.
    Move the necessary pieces from systemd.postint to systemd-resolved.postinst
    to maintain the previous /etc/resolv.conf logic.
    Files:
    - debian/systemd-resolved.postinst
    - debian/systemd.postinst
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=a34a768a929921978a67ef2192ee787255400ee5

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Tue, 06 Sep 2022 19:39:59 -0400

systemd (251.4-1ubuntu3) kinetic; urgency=medium

  * Fix version of backported sd_hwdb_new_from_path symbol.
    The systemd-hwdb binary calling into this library is linked statically,
    but we still want to keep a future proof ABI, just in case.
    Files:
    - debian/libsystemd0.symbols
    - debian/patches/sd-hwdb-add-sd_hwdb_new_from_path.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=dee01ca169cd41e514658f8a631847c9e852e842

 -- Lukas Märdian <slyon@ubuntu.com>  Thu, 01 Sep 2022 12:42:10 +0200

systemd (251.4-1ubuntu2) kinetic; urgency=medium

  [ Lukas Märdian ]
  * Provide upgrade path (Replaces:) for Jammy's systemd-repart (LP: 1897932)
    File: debian/control
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=2281670aa8007179170d5cc485bb94e3bbc3b63c

  [ Luca Boccassi ]
  * resolved: switch from .links to postinst/rm (LP: #1988300)
    dpkg refuses to install the symlink in chroot/container environments
    where /etc/resolv.conf is bind mounted:
    | Unpacking systemd-resolved (251.4-1) ...
    | dpkg: error processing archive /var/cache/apt/archives/systemd-resolved_251.4-1_amd64.deb (--unpack):
    |  unable to make backup link of './etc/resolv.conf' before installing new version: Invalid cross-device link
    So unfortunately manual handling via maintainerscripts is necessary.
    Use maintainer scripts to avoid failing the installation, and provide
    feedback to the user if the symlink cannot be successfully installed.
    Also on removal, either copy /run/systemd/resolve/resolv.conf or
    create an empty /etc/resolv.conf.
    Amend to use the correct Ubuntu version string (251.4-1ubuntu2).
    Author: Luca Boccassi
    Files:
    - debian/systemd-resolved.links
    - debian/systemd-resolved.postinst
    - debian/systemd-resolved.postrm
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=faf479a6158aac977c2cdb32fd1eaecc0862a7ef
  * resolv.conf: take backup as a fallback
    piuparts doesn't like seeing an empty resolv.conf after removing
    the package, so take a backup and use it in case resolved/resolv.conf
    is not available
    Author: Luca Boccassi
    Files:
    - debian/systemd-resolved.postinst
    - debian/systemd-resolved.postrm
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=c2b15f43eb7779953a3dda7f461edbb1bf038701

  [ Nick Rosbrook ]
  * debian/systemd-resolved.{postinst,postrm}: do not use DPKG_ROOT.
    We cherry-picked "resolved: switch from .links to postinst/rm" and
    "resolv.conf: take backup as a fallback" from debian/251.4-3 to fix a
    systemd-resolved installation issue, but we are not taking the DPKG_ROOT
    changes at the moment due to feature freeze.
    Files:
    - debian/systemd-resolved.postinst
    - debian/systemd-resolved.postrm
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=5664be09ce9813cb2dd2bd71c5d325036655c312

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Wed, 31 Aug 2022 09:55:31 -0400

systemd (251.4-1ubuntu1) kinetic; urgency=medium

  * Merge 251.4-1 from Debian
    - debian/rules: Keep our diff for TPM2 build on i386
    - Drop EFI build patches.
      An upstream patch that covers these changes was backported to the 251
      stable branch.
      Files:
      - debian/patches/lp1979215-boot-efi-missing-.note.GNU-stack-section-implies-executab.patch
      - debian/patches/lp1979236-boot-efi-set-no-warn-rwx-segments-on-arm.patch
      https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=983b46f110b5a6e32a28b87c4b9458442624c0cd
    - Drop debian/patches/units-remove-the-restart-limit-on-the-modprobe-.service.patch.
      This patch was backported to the 251 stable branch.
      File: debian/patches/units-remove-the-restart-limit-on-the-modprobe-.service.patch
      https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=959fe326da87466775b37088e9bfd476056373ea
    - debian/rules: update i386 debugedit workaround.
      This linuxia32.elf.stub is shipped with systemd-boot-efi now, so update
      the workaround to include that path as well.
      File: debian/rules
      https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=354f9fccc94dcb0d555329921510d5f22e62351a
  * test: denylist TEST-29-PORTABLE again
    File: debian/patches/test-denylist-TEST-29-PORTABLE-again.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=6036de78481f8cbf3e8f3a52dac711c732d80c59
  * debian/control: add systemd-resolved to systemd's Recommends:
    In Ubuntu, systemd-resolved is used by default, so after the
    systemd-resolved package split, we should have a stronger relationship
    than Suggests: systemd-resolved.
    File: debian/control
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=400bf9dd2cf83c91f47326769eff0259429f3e0a
  * debian/control: add Recommends: systemd-hwe-hwdb to udev.
    The systemd-hwe-hwdb brings in additional hwdb rules for HWE, so we want
    those installed with udev by default.
    File: debian/control
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=148d8d9cd4c260559ad944de3427f183e04858cc

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Tue, 23 Aug 2022 17:45:48 -0400

systemd (251.4-1) unstable; urgency=medium

  * New upstream version 251.4
  * Rebase patches
  * Rebuild against fixed dh-nss to avoid duplicates in /etc/nsswitch.conf
    (Closes: #1017096)

 -- Michael Biebl <biebl@debian.org>  Sun, 14 Aug 2022 20:06:18 +0200

systemd (251.3-2) unstable; urgency=medium

  [ Luca Boccassi ]
  * libnss-systemd: also let userdbd manage passwords.
    As of upstream commit:
    https://github.com/systemd/systemd/commit/f43a19ecd6e3415e
    in v249 userdbd can also synthesize shadow/gshadow records,
    so add the shadow config to nsswitch.conf on installation.
    (Closes: #1004326)
  * homed: make PAM rules higher priority than unix users.
    Make sure homed is tried first when logging in. This is required
    after adding nss-systemd support for 'shadow' in /etc/nsswitch.conf.
    See Arch bug: https://bugs.archlinux.org/task/72967

  [ Gioele Barabucci ]
  * d/control: Use dh_installnss
  * d/libnss-myhostname.nss: Install NSS service `myhostname` via dh_installnss
  * d/libnss-mymaschines.nss: Install NSS service `mymaschines` via dh_installnss
  * d/libnss-resolve.nss: Install NSS service `resolve` via dh_installnss
  * d/libnss-systemd.nss: Install NSS service `systemd` via dh_installnss

 -- Michael Biebl <biebl@debian.org>  Fri, 12 Aug 2022 19:06:38 +0200

systemd (251.3-2~exp2) experimental; urgency=medium

  * Note in systemd.NEWS that resolved has moved to a new package
  * systemd-resolved: move conffile from systemd. Copied from systemd-
    timesyncd

 -- Luca Boccassi <bluca@debian.org>  Sun, 07 Aug 2022 00:06:03 +0100

systemd (251.3-2~exp1) experimental; urgency=medium

  * Split systemd-resolved into its own package which takes over
    /etc/resolv.conf (Closes: #939904)

 -- Luca Boccassi <bluca@debian.org>  Thu, 04 Aug 2022 14:55:48 +0100

systemd (251.3-1) unstable; urgency=medium

  * New upstream version 251.3
  * Rebase patches

 -- Michael Biebl <biebl@debian.org>  Wed, 13 Jul 2022 23:05:40 +0200

systemd (251.2-8) unstable; urgency=medium

  * autopkgtest: install openssl for upstream test.
    Install openssl explicitly and do not rely on other packages, like
    swtpm-libs, to pull this dependency for us.
    Used by TEST-50-DISSECT, which otherwise just silently skips the test.
  * Add versioned dependency on init-system-helpers to systemd-homed.
    Ensure that we have a version of deb-systemd-helper which properly
    handles loops in Also= dependencies. (Closes: #1014115)
  * Demote shlibs dependencies of libsystemd0 from Pre-Depends to Depends.
    As systemctl, which is quasi-essential, no longer links against
    libsystemd0, we do not need those strict requirements anymore.
  * Work around some more dh_installman issues

 -- Michael Biebl <biebl@debian.org>  Wed, 06 Jul 2022 21:23:38 +0200

systemd (251.2-7) unstable; urgency=medium

  [ Luca Boccassi ]
  * sd-boot: add kernel hooks scripts

  [ Andrea Pappacoda ]
  * sd-boot: add initramfs hook (Closes: #826045)

  [ Michael Biebl ]
  * sd-boot: exit early in initramfs and kernel hook scripts if package is
    removed but not purged
  * Do not fail with older binutils.
    Test if the linker supports --no-warn-execstack and --no-warn-rwx-segments
    before using those flags. (Closes: #1013967)

 -- Michael Biebl <biebl@debian.org>  Tue, 28 Jun 2022 14:33:37 +0200

systemd (251.2-6) unstable; urgency=medium

  [ Helmut Grohne ]
  * Mark systemd-userdbd and systemd-homed as !stage1 (Closes: #1012738)

  [ Luca Boccassi ]
  * Remove unused Lintian overrides
  * Stop overriding the build directory name.
    We don't do a separate udeb build anymore, so there's no need
    to specify a separate build directory.
  * Use execute_before_/after_ instead of override_
  * Add nodoc profile support.
    Co-authored-by: Michael Biebl <biebl@debian.org>

  [ Michael Biebl ]
  * Do not fail EFI build with newer binutils (Closes: #1013482)
  * shared/microhttp-util: silence gcc warning
  * Clarify NEWS message about systemd-boot split (Closes: #1013340)

 -- Michael Biebl <biebl@debian.org>  Fri, 24 Jun 2022 10:12:34 +0200

systemd (251.2-5) unstable; urgency=medium

  * Tweak description of systemd-homed package
  * Move shlibs dependencies of libsystemd-shared from Pre-Depends to Depends
    (Closes: #1012637)
  * Add versioned Breaks against sicherboot for the systemd-boot split
    (Closes: #1012625)
  * Drop old Conflicts against hal from udev.
    The hal package has been gone for several release cycles, so this
    Conflicts should not be necessary anymore.

 -- Michael Biebl <biebl@debian.org>  Fri, 10 Jun 2022 23:51:50 +0200

systemd (251.2-4) unstable; urgency=medium

  * Use try-restart in systemd-binfmt dpkg trigger
  * Fix bashism in kernel-install
  * Upload to unstable

 -- Michael Biebl <biebl@debian.org>  Fri, 10 Jun 2022 09:16:48 +0200

systemd (251.2-3) experimental; urgency=medium

  [ Luca Boccassi ]
  * Add systemd-userdbd package. This can be used to synthetize dynamic
    user/groups, and can be useful by itself. It will also be used by
    homed.
  * Add systemd-homed package (Closes: #976960)
  * Add systemd-boot-efi multiarch package. Allows EFI binaries for
    different architectures to be co-installed. Useful when the EFI has a
    different architecture, or to manipulate images. The userspace tooling
    doesn't need to match the EFI binaries. Also allows one to reduce the
    number of packages and dependencies needed when i386 is not a full
    architecture, but a subset for libraries and for EFI support.

  [ Michael Biebl ]
  * Move homectl and userdbctl to /usr/bin
  * Install libsystemd-shared into rootpkglibdir
  * Split out libsystemd-shared into its own package. Since libsystem-
    shared is an internal implementation detail, do not generate a shlibs
    file for it. This means dh_shlibdeps needs to be told explicitly where
    it can find libsystemd-shared. Mark this new package as Multi-Arch:
    same. (Closes: #990547)
  * Split out systemd-boot into its own package
  * Add NEWS entry for the systemd-boot package split

 -- Luca Boccassi <bluca@debian.org>  Wed, 08 Jun 2022 23:56:04 +0100

systemd (251.2-2ubuntu2) kinetic; urgency=medium

  [ Lukas Märdian ]
  * Remove restart limit on the modprobe@.service (LP: #1982462)
    File: debian/patches/units-remove-the-restart-limit-on-the-modprobe-.service.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=46c36d4c73df8980f6b6137142fb16ba90465a94

  [ Nick Rosbrook ]
  * core,firstboot: workaround timezone issues on Ubuntu Core (LP: #1981042)
    Thanks to Robert Ancell for preparing the patch.
    File: debian/patches/lp1981042-core-firstboot-workaround-timezone-issues-caused-by-Ubunt.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=9a435d43e753f39531c9a5517a85e8eb259e18f1
  * pstore: do not try to load mtdpstore (LP: #1981622)
    File: debian/patches/lp1978079-pstore-Run-after-modules-are-loaded.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=38d8d12be924477f0eecb64f3737e07b03d73a42

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Fri, 22 Jul 2022 15:23:45 -0400

systemd (251.2-2ubuntu1) kinetic; urgency=medium

  [ Nick Rosbrook ]
  * Merge to Ubuntu from Debian unstable
    - Dropped patches (applied upstream)
      + test-explicitly-configure-oomd-stuff-via-dropins.patch
      + test-enable-systemd-oomd.service.patch
      + linux-5.15-compat-ioprio/shared-split-out-ioprio-related-stuff-into-ioprio-util.-c.patch
      + linux-5.15-compat-ioprio/variuos-add-missing-includes.patch
      + linux-5.15-compat-ioprio/man-don-t-mention-IOSchedulingClass-none-anymore-in-the-d.patch
      + linux-5.15-compat-ioprio/test-add-test-for-ioprio-normalization.patch
      + linux-5.15-compat-ioprio/Define-ioprio_-get-set-the-same-as-other-compat-syscalls.patch
      + linux-5.15-compat-ioprio/Get-rid-of-ioprio.h-and-add-a-minimalistic-reimplementati.patch
      + linux-5.15-compat-ioprio/ioprio-util-add-macro-for-default-ioprio-settings.patch
      + linux-5.15-compat-ioprio/ioprio-normalize-io-priority-values-in-configuration.patch
      + linux-5.15-compat-ioprio/core-normalize-ioprio-values-we-acquire-from-kernel.patch
      + test-also-show-the-memory-pressure-of-testchill.service.patch
      + test-make-test-55-oomd-less-flaky.patch
      + lp1964494-network-do-not-enable-IPv4-ACD-for-IPv4-link-local-a.patch
      + lp1966381-oomd-calculate-used-memory-with-MemAvailable-instead-of-M.patch
      + lp1926860-hwdb-remove-the-tablet-pad-entry-for-the-UC-Logic-1060N.patch
      + oomd-move-oomctl-to-bindir.patch
      + test-enable-debug-logging-of-systemd-oomd.patch
      + lp1943561/Add-additional-Dell-models-that-require-ACCEL_LOCATION-ba.patch
      + lp1943561/Use-SKU-to-identify-Dell-clamshell-models-for-acceleromet.patch
      + lp1929345/hwdb-Force-release-calculator-key-on-all-HP-OMEN-laptops.patch
      + lp1929345/hwdb-Add-force-release-for-HP-Omen-15-calculator-key.-205.patch
      + sysusers-split-up-systemd.conf.patch
      + hwdb-Add-mic-mute-key-mapping-for-HP-Elite-x360.patch
      + test-check-memory-pressure-more-frequently.patch
      + meson-minor-cleanup.patch
      + units-don-t-install-dbus-org.freedesktop.oom1.service-ali.patch
      + lp1950508-cgroup-check-if-any-controller-is-in-use-as-v1.patch
      + lp1952735-keymap-Add-microphone-mute-keymap-for-Dell-Machine.patch
      + test-tweak-parameters-for-TEST-55-OOMD.patch
      + deny-list-TEST-29-PORTABLE-and-TEST-50-DISSECT.patch
      + lp1955997-unmask-intel-hid-for-HP-machines.patch
      + lp1952733-hwdb-60-keyboard-Update-Dell-Privacy-Micmute-Hotkey-Map.patch
      + Merge-pull-request-20705-from-yuwata-test-oomd-util.patch
    - Refreshed patches
      + debian/Ubuntu-UseDomains-by-default.patch
      + debian/UBUNTU-Support-system-image-read-only-etc.patch
      + Revert-network-if-sys-is-rw-then-udev-should-be-around.patch
      + debian/UBUNTU-src-test-testmount-util.c-Skip-parts-of-test-mount-util-in-LXC.patch
      + lp1950794-Revert-sd-dhcp-do-not-use-detect_container-to-guess-.patch
      + 0001-Revert-tests-add-test-case-for-UMask-BindPaths-combi.patch
  * Drop debian/Ubuntu-core-in-execute-soft-fail-setting-Nice-priority-when.patch.
    This patch was originally proposed upstream in [1], but was later
    superseded by [2] (which eventually got committed upstream as
    390902012c). Thus, we should not need to carry this patch anymore.
    [1] https://github.com/systemd/systemd/pull/6503
    [2] https://github.com/systemd/systemd/pull/11397
    File: debian/patches/debian/Ubuntu-core-in-execute-soft-fail-setting-Nice-priority-when.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=f1b7fdbe2f1f9be35a1e7bec104e87643718e082
  * Drop Add-support-for-TuxOnIce-hibernation.patch.
    This patch adds support for TuxOnIce hibernation, which requires an
    out-of-tree kernel patch to be operable. Given that this functionality
    is not appropriate for upstream systemd, the kernel never accepted
    TuxOnIce, and the project appears to be largely unmaintained, it does
    not seem appropriate to carry this patch in Ubuntu.
    See [1] for original Debian discussion of this patch.
    [1] https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=746463
    File: debian/patches/debian/Add-support-for-TuxOnIce-hibernation.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=33a592e26c50cb544713ae82ab42872775c2c583
  * Drop -Dtpm-pcrindex build option.
    Support for this was dropped in faacf1807e8fcbee4bf60495e0145e4522d76393.
    However, following discussion in [1], upstream changed the hardcoded PCR
    index for kernel command line measurement from 8 to 12 in
    4d32507f5186a89e98093659fbbe386787a97b9f. Thus, there is no functional
    change here.
    [1] https://github.com/systemd/systemd/issues/22635
    File: debian/rules
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=03464b170d5db5d2ebb77bea1f3706e55b645148
  * debian/gbp.conf: Update debian-branch to ubuntu-kinetic
    File: debian/gbp.conf
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=2bf42327dfda5e666d15d1a715c3403f5fbc74a3
  * Do not build with tpm libraries on i386
    libtss2-dev is not built for i386, so do not try to build against it in
    that case.
    Files:
    - debian/control
    - debian/rules
    - debian/tests/control
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=3c48036b9d0e3fbd4b209c2312134d431da66b17
  * d/t/boot-and-services: Ignore failed snap mount units in test_no_failed
    (LP: #1967576)
    File: debian/tests/boot-and-services
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=075d08b15ab944021f392cef32d3ee877e844c5c
  * Skip exec-specifier-credentials-dir.service test in LXC.
    This test fails in privileged LXC containers, and a set of tests are
    already patched out for this reason. Refresh this patch to also skip the
    new test.
    File: debian/patches/debian/UBUNTU-src-test-test-execute.c-Skip-parts-of-test-execute-in-con.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=1f1f105b1ecc6b5e9f4fe1f851f4c7be6da4ef81
  * boot/efi: ignore 'missing .note.GNU-stack section implies executable stack' warning (LP: #1979215)
    File: debian/patches/lp1979215-boot-efi-missing-.note.GNU-stack-section-implies-executab.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=5ce8112c93097bcfe99795580d3e61bd32d7e742
  * boot/efi: set --no-warn-rwx-segments on arm (LP: #1979236)
    File: debian/patches/lp1979236-boot-efi-set-no-warn-rwx-segments-on-arm.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=d0d97980410802ea4402b7826dc172e2ee79af31
  * pstore: Run after modules are loaded (LP: #1978079)
    File: debian/patches/lp1978079-pstore-Run-after-modules-are-loaded.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=988e120566a1f2f57bc86143283c986a12f1a13a
  * hwdb: implement --root option for systemd-hwdb query
    Files:
    - debian/libsystemd0.symbols
    - debian/patches/hwdb-implement-root-option-for-systemd-hwdb-query.patch
    - debian/patches/sd-hwdb-add-sd_hwdb_new_from_path.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=031d5b5cfc8ad64df5eca604314b8aeda5455def
  * test: increase QEMU_MEM for some tests
    File: debian/patches/test-increase-QEMU_MEM-for-some-tests.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=24a49e196d63015cc466d4d38f1cd523d87cb0be
  * autopkgtest: skip CoredumpTest on s390x (LP: #1980003)
    File: debian/tests/boot-and-services
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=8c8cf122ba7921f3d952688d32bd834c855f537f
  * systemd-oomd: set ManagedOOMSwap=auto on -.slice (LP: #1972159)
    This has the effect of disabling swap kill by default, so cgroups will
    only be monitored for memory pressure, and not swap usage.
    File: debian/extra/systemd-oomd-defaults/-.slice.d/10-oomd-root-slice-defaults.conf
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=a03b493a8ffa9b39161347fae418f56f0d7dbdeb
  * debian/control: drop unnecessary 'Section:' from systemd-oomd
    File: debian/control
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=546cfce76d2648d1fba7d65d70f21b44482288f4
  * autopkgtest: add libgcc-s1 for TEST-70-TPM2
    File: debian/tests/control
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=7a9a7bcd39476088e878f7cbd79c9dab6019d056
  * test: copy libgcc_s.so.1 to TPM2 test image on Debian-like systems
    File: debian/patches/test-copy-libgcc_s.so.1-to-TPM2-test-image-on-Debian-like.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=8d1acca269463693f9485ed6904dd2604d3ca5dc

  [ Lukas Märdian ]
  * Run tests-in-lxd autopkgtest via LXD snap, deb is no more (LP: #1976607)
    Author: Lukas Märdian
    Files:
    - debian/tests/control
    - debian/tests/tests-in-lxd
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=b224dd958fe6260886265d170eb3d12467fbabaa

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Wed, 29 Jun 2022 11:16:00 -0400

systemd (251.2-2) unstable; urgency=medium

  * sha256: fix compilation on efi-ia32

 -- Michael Biebl <biebl@debian.org>  Sat, 04 Jun 2022 00:14:28 +0200

systemd (251.2-1) unstable; urgency=medium

  [ Michael Biebl ]
  * New upstream version 251.2
    - logind: do not print wall messages to local pseudoterminals
      (Closes: #1012155)
  * Rebase patches
  * Fix parsing of command line options in fsckd (Closes: #1009032)
  * Do not require a valid version when parsing sd-boot loader entries
    (Closes: #993292)
  * Add dpkg file trigger for systemd-binfmt to update binfmt registrations
  * Use a single NEWS file shipped in the main systemd package

  [ Luca Boccassi ]
  * autopkgtest: add cryptsetup-initramfs for upstream suite.
    Needed for https://github.com/systemd/systemd/pull/23517

 -- Michael Biebl <biebl@debian.org>  Fri, 03 Jun 2022 19:37:06 +0200

systemd (251.1-1) unstable; urgency=medium

  [ Luca Boccassi ]
  * Switch from gnutls to openssl. Upstream is slowly phasing out gnutls.
    Start switching to openssl. Drops support for '--trust' in the
    journal-gatewayd and journal-remote programs.
  * New upstream version 251.1
  * Add systemd-journal-remote.NEWS to inform about dropping --trust

  [ Michael Biebl ]
  * Enable pager Hyperlink ANSI sequence support. This requires less ≥
    563. Add a versioned Breaks accordingly.
  * Drop unnecessary version constraints / dependencies
  * Update liblz4-dev Build-Depends as per meson.build

 -- Luca Boccassi <bluca@debian.org>  Thu, 26 May 2022 00:58:46 +0100

systemd (251-2) unstable; urgency=medium

  * Salsa CI: suppress lintian false positive on dbgsym.
  * Upload to unstable.

 -- Luca Boccassi <bluca@debian.org>  Mon, 23 May 2022 12:30:28 +0100

systemd (251-1) experimental; urgency=medium

  * New upstream version 251. For a full list of changes, see:
    https://github.com/systemd/systemd/releases/tag/v251
  * Refresh patches
  * Revert manual removal of ndisc test case, merged upstream
  * Bump Standards-Version to 4.6.1, no changes

 -- Luca Boccassi <bluca@debian.org>  Sat, 21 May 2022 15:04:13 +0100

systemd (251~rc3-2) experimental; urgency=medium

  * Backport removal of ndisc test case, breaks build on armhf/armel.

 -- Luca Boccassi <bluca@debian.org>  Mon, 16 May 2022 00:37:36 +0100

systemd (251~rc3-1) experimental; urgency=medium

  * autopkgtest: add allow-stderr to boot-and-services. Sometimes we see
    some ignored logs, don't fail the test run if that happens
  * autopkgtest: disable networkd in rebooting tests. It seems that on
    Semaphore CI, running in Bullseye images, having both Network-Manager
    and systemd-networkd enabled causes 'systemctl start network-
    online.target' to get stuck, and fail the run. Disable networkd in
    those tests. See: https://github.com/systemd/systemd/issues/22991
  * autopkgtest: mark networkd-test.py as breaks-testbed. It will modify
    the network configuration, which will often make the network stop
    working. Mark it as breaks-testbed so that a new runner is started.
  * autopkgtest: ignore rng-tools-debian failure in boot-and-services. It
    seems sometimes it fails, which has happened on jammy-amd64:
    https://bugs.debian.org/969568
  * New upstream version 251~rc3
  * Drop sd-device-always-translate-sysname-to-sysfs-filename.patch,
    merged upstream
  * Rebase patches
  * Update lintian-overrides for false positives

 -- Luca Boccassi <bluca@debian.org>  Sun, 15 May 2022 14:11:49 +0100

systemd (251~rc2-2) experimental; urgency=medium

  * sd-device: always translate sysname to sysfs filename

 -- Michael Biebl <biebl@debian.org>  Wed, 11 May 2022 15:26:49 +0200

systemd (251~rc2-1) experimental; urgency=medium

  * New upstream version 251~rc2
  * Rebase patches
  * Update symbols file for libsystemd0

 -- Michael Biebl <biebl@debian.org>  Thu, 05 May 2022 22:50:15 +0200

systemd (251~rc1-3) experimental; urgency=medium

  [ Luca Boccassi ]
  * autopkgtest: install swtpm and tpm2-tools for upstream suite.
    Required by https://github.com/systemd/systemd/pull/22563

  [ Michael Biebl ]
  * Do not ship /usr/lib/tmpfiles.d/systemd-resolve.conf in systemd.
    It potentially creates a broken symlink if systemd-resolved is not
    enabled. For now the symlink to stub-resolv.conf needs to be created
    manually. (Closes: #1007018)
  * hwdb: fix parsing options (Closes: #1008989)

 -- Michael Biebl <biebl@debian.org>  Tue, 05 Apr 2022 22:13:09 +0200

systemd (251~rc1-2) experimental; urgency=medium

  [ Michael Biebl ]
  * Revert "Ignore libsystemd-core in dh_shlibdeps"
    This reverts commit c1d5ad5ac989376aa8100dea9ad9d7af0f0408d9.
    We need the shlibs dependencies of libsystemd-shared and
    libsystemd-core.
  * Adjust library search path for dh_shlibdeps.
    libsystemd-core uses libsystemd-shared but doesn't have RUNPATH or
    RPATH set. So tell dh_shlibdeps where it can find the library.

  [ Luca Boccassi ]
  * autopkgtest: update unit-config test for new relative symlinking.
    Required by https://github.com/systemd/systemd/pull/22649
  * autopkgtest: install libnss packages for unit-tests suite.
    Required to enable nss tests:
    https://github.com/systemd/systemd/issues/21975
  * autopkgtest: install libnss packages for upstream suite.
    Required to enable nss tests:
    https://github.com/systemd/systemd/issues/21975
  * autopkgtest: install python3-pexpect and screen for upstream suite.
    Required for new test:
    https://github.com/systemd/systemd/pull/21838

 -- Michael Biebl <biebl@debian.org>  Sat, 02 Apr 2022 13:44:14 +0200

systemd (251~rc1-1) experimental; urgency=medium

  [ Michael Biebl ]
  * New upstream version 251~rc1
  * Rebase patches
  * Update symbols file for libsystemd0
  * Install shell completions for oomctl in systemd-oomd

  [ Luca Boccassi ]
  * Ignore libsystemd-core in dh_makeshlibs
  * Ignore libsystemd-core in dh_shlibdeps
  * Add libsystemd-core to shlibs.local.in

 -- Michael Biebl <biebl@debian.org>  Sat, 02 Apr 2022 09:57:22 +0200

systemd (250.4-1) unstable; urgency=medium

  [ Dimitri John Ledkov ]
  * udev-udeb: ship modprobe.d snippet to force scsi_mod.scan=sync in d-i.

  [ Luca Boccassi ]
  * Build with dh_package_notes
  * New upstream version 250.4
  * Drop patches merged upstream
  * Remove unneeded ${shlibs:Depends}
  * autopkgtest: add libdw-dev to unit-tests job.
  * Rebase patches on top of v250.4

 -- Luca Boccassi <bluca@debian.org>  Tue, 15 Mar 2022 11:03:08 +0000

systemd (250.3-2) unstable; urgency=medium

  [ Yu Watanabe ]
  * upstream-ci: logind test: use drop-in config
  * upstream-ci: logind test: also show logs of systemd-suspend.service
  * upstream-ci: logind test: make sure the fake lid switch processed by
    udevd. Also, wait for other uevents, which possibly triggered by the
    lid switch, being processed.
  * upstream-ci: logind test: fix drop-in config.

  [ Luca Boccassi ]
  * Add myself to Uploaders
  * systemd-tests: ignore hardening-no-relro too. Test binaries, we don't
    care about hardening flags
  * Backport patches to fix build reproducibility. EFI binaries have the
    path embedded which breaks reproducibility, backport patches from
    upstream to fix it.

  [ Michael Biebl ]
  * Add Recommends: dbus-user-session to libpam-systemd. For a fully
    functioning systemd --user instance we want dbus-user-session
    installed.
  * Report status of dbus-user-session in systemd reportbug template. Most
    users will likely file bugs for systemd --user related issues against
    the main systemd package and not libpam-systemd.

 -- Luca Boccassi <bluca@debian.org>  Wed, 26 Jan 2022 23:35:36 +0000

systemd (250.3-1) unstable; urgency=medium

  [ Luca Boccassi ]
  * Update d/copyright listing for debian/*
    Fixes Lintian warning: update-debian-copyright
  * d/copyright: remove unused GPL-2 stanza
  * d/watch: bump to version 4
  * d/control: drop redundant Section/Priority fields.
    Fixes Lintian warning: installable-field-mirrors-source
  * d/control: extend descriptions of libudev and libsystemd
  * systemd-oomd: add dependency on adduser.
    Needed by postinst script.
  * systemd-oomd: fix description-synopsis-starts-with-article Lintian warning
  * systemd-standalone-*: copy manpages too
  * Lintian: ignore very-long-line-length-in-source-file.
    It's not a useful check, and it flags test data and such.
  * Lintian: ignore source-contains-data-from-ieee-data-oui-db.
    Data formats are not compatible, this is for hwdb.
  * Lintian: ignore systemd-service-file-missing-install-key.
    If we don't add [Install], it's because we don't want it and the units are
    events-driven or enabled statically.
  * Lintian: ignore spare-manual-page.
    Lintian is not really good at associating manpages to package contents,
    so just ignore this, as we have and will keep adding docs related
    to unit types and so on.
  * Lintian: ignore package-supports-alternative-init-but-no-init.d-script.
    Well, duh!
  * Lintian: ignore package-contains-documentation-outside-usr-share-doc.
    False positives on test data and a web page.
  * Lintian: ignore current set of package-contains-empty-directory.
    These are shipped to provide a skeleton installation.
  * Update Lintian override for
    systemd-service-file-refers-to-unusual-wantedby-target
  * Lintian: ignore systemd: shared-library-lacks-prerequisites false positive
    on EFI binary
  * Lintian: ignore maintainer-script-calls-systemctl in more packages
  * Lintian: ignore executable-not-elf-or-script false positives for EFI
    binaries
  * Lintian: ignore spellcheck false positives
  * Lintian: ignore hardening-no-fortify-functions for test binaries
  * Ignore blhc false positives.
    blhc hits false positives due to EFI PE-COFF binaries,
    c++ fuzzing binaries and meson flags listings, ignore them.
  * Add d/gitlab-ci.yml.
    Disable unit tests, as some are failing due to the build environment.

  [ Michael Biebl ]
  * New upstream version 250.3
    - network: wireguard: do not add routes to AllowedIPs= by default.
      (Closes: #1003955)
  * Add Recommends: libdw1 to systemd-coredump.
    Starting with v250, systemd-coredump will use libdw/libelf via dlopen()
    rather than directly linking against it. It is not a hard dependency but
    we want to have it installed by default.
    While hard-coding the library name is not ideal, we currently don't have
    better means to derive this information automatically. (Closes: #1003879)

 -- Michael Biebl <biebl@debian.org>  Tue, 18 Jan 2022 18:52:45 +0100

systemd (250.2-3) unstable; urgency=medium

  [ Luca Boccassi ]
  * Build with and suggest fido2 and tpm libraries.
    These are used via dlopen only if available by some tools like
    systemd-cryptsetup, systemd-cryptenroll and systemd-repart,
    with graceful fallbacks if they are not found.
    Build-depend on them so that the features get compiled in
    (apart from stage1 builds), and add appropriate Suggests.
    (Closes: #991129, #1003383)
  * Disable libcryptsetup-plugins.
    They are new, and might not even be supported by libcryptsetup yet
  * Build-depend on libssl-dev.
    Required to use libfido2-dev until #1003699 is fixed

  [ Michael Biebl ]
  * Don't stop systemd-oomd.socket during upgrades.
    This works around an issue in systemd which doesn't process multiple
    units that are passed to systemctl as a single transaction with the
    correct ordering. (Closes: #1003641)

 -- Michael Biebl <biebl@debian.org>  Fri, 14 Jan 2022 13:54:34 +0100

systemd (250.2-2) unstable; urgency=medium

  * Ship systemd-oomd.socket in correct systemd-oomd package
  * Don't install dbus-org.freedesktop.oom1.service symlink (Closes: #1003580)

 -- Michael Biebl <biebl@debian.org>  Wed, 12 Jan 2022 20:52:26 +0100

systemd (250.2-1) unstable; urgency=medium

  * New upstream version 250.2
    - shared/rm-rf: loop over nested directories instead of recursing.
      Fixes uncontrolled recursion in systemd-tmpfiles.
      (CVE-2021-3997, Closes: #1003467)
  * test: explicitly configure oomd stuff via dropins
  * autopkgtest: add systemd-oomd dependency to upstream test.
    We want systemd-oomd to be tested via the upstream provided
    TEST-55-OOMD.
  * Rebase patches
  * Upload to unstable

 -- Michael Biebl <biebl@debian.org>  Tue, 11 Jan 2022 12:58:15 +0100

systemd (250.1-2) experimental; urgency=medium

  [ Lukas Märdian ]
  * d/rules: Enable build of systemd-oomd
  * d/control: Ship oomd in a systemd-oomd package.
    Deploying the default configuration as used in Fedora.
  * Start systemd-oomd.service after package installation

  [ Michael Biebl ]
  * oomd: move oomctl to bindir
  * Enable systemd-repart and ship it in the main systemd package.
    Add fdisk as test dependency, needed by test-repart which calls sfdisk.
  * test-repart: append /sbin and /usr/sbin to $PATH= so sfdisk can be found

 -- Michael Biebl <biebl@debian.org>  Sat, 08 Jan 2022 23:45:06 +0100

systemd (250.1-1) experimental; urgency=medium

  * New upstream version 250.1
  * Rebase patches

 -- Michael Biebl <biebl@debian.org>  Wed, 05 Jan 2022 21:42:54 +0100

systemd (250-2) experimental; urgency=medium

  * Drop separate udeb build.
    The only real benefit from a separate build apparently is that udev does
    not get a dependency on libacl and libselinux. But we have udebs for
    those dependencies anyway.
    Dropping the separate build basically cuts the build times in half and
    simplifies debian/rules quite a bit.
    It also brings udev as used in d-i closer to what is actually used in
    the installed system, which is a good thing.
  * Cherry-pick various fixes targeted for v250-stable

 -- Michael Biebl <biebl@debian.org>  Sun, 02 Jan 2022 21:41:56 +0100

systemd (250-1) experimental; urgency=medium

  * New upstream version 250
  * Rebase patches
  * Update symbol versions for the v250 release

 -- Michael Biebl <biebl@debian.org>  Fri, 24 Dec 2021 13:02:05 +0100

systemd (250~rc3-1) experimental; urgency=medium

  [ Michael Biebl ]
  * New upstream version 250~rc3
  * Switch debian-branch to experimental
  * Bump meson Build-Depends to (>= 0.53.2)
  * Rebase patches
  * Update symbols file for libsystemd0
  * Update removal of upstream provided license files
  * Use -Durlify=false instead of shipping an upstream revert patch
  * Explicitly disable OpenSSL support.
    We don't want to pick up an OpenSSL dependency in a tainted build
    environment and pull a second crypto stack into systemd's dependencies.
  * autopkgtest: install dbus-user-session for upstream test.
    Required by TEST-43-PRIVATEUSER-UNPRIV and TEST-20-MAINPIDGAMES.
  * Revert "Temporarily disable LTO"
  * Small updates to debian/copyright
  * Remove dbus introspection files

  [ Luca Boccassi ]
  * autopkgtest: install libdw and libelf for upstream test.
    Pulled in via dlopen since https://github.com/systemd/systemd/pull/21454

 -- Michael Biebl <biebl@debian.org>  Tue, 21 Dec 2021 01:10:16 +0100

systemd (249.11-0ubuntu4) kinetic; urgency=medium

  * d/p/lp1964494-network-do-not-enable-IPv4-ACD-for-IPv4-link-local-a.patch:
    do not enable IPv4 ACD for IPv4 link-local address if ACD is
    disabled explicitly (LP: #1964494)

 -- Dan Streetman <ddstreet@ieee.org>  Tue, 31 May 2022 08:25:36 -0400

systemd (249.11-0ubuntu3.1) jammy; urgency=medium

  [ Andy Chi ]
  * Add mic mute key support for HP Elite x360 series (LP: #1967038)
    Author: Andy Chi
    File: debian/patches/hwdb-Add-mic-mute-key-mapping-for-HP-Elite-x360.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=45e809103de9c356c75b692d35089e8770602617

 -- Lukas Märdian <slyon@ubuntu.com>  Thu, 21 Apr 2022 14:14:26 +0200

systemd (249.11-0ubuntu3) jammy; urgency=medium

  * oomd: calculate 'used' memory with MemAvailable instead of MemFree (LP: #1966381)
    File: debian/patches/lp1966381-oomd-calculate-used-memory-with-MemAvailable-instead-of-M.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=15fc4c53d726e1dcae7296a9306cfd453fd1a046
  * hwdb: remove the tablet pad entry for the UC-Logic 1060N (LP: #1926860)
    File: debian/patches/lp1926860-hwdb-remove-the-tablet-pad-entry-for-the-UC-Logic-1060N.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=7bf31946a52e55f9f6ea4ecfa30e311685b20997

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Thu, 07 Apr 2022 15:28:15 -0400

systemd (249.11-0ubuntu2) jammy; urgency=medium

  * Fix calculator key on HP Omen, using upstream 6f2353a & 7092021 (LP: #1929345)
    Files:
    - debian/patches/lp1929345/hwdb-Add-force-release-for-HP-Omen-15-calculator-key.-205.patch
    - debian/patches/lp1929345/hwdb-Force-release-calculator-key-on-all-HP-OMEN-laptops.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=f834f64842191c7c7af450806964297babc764d5

 -- Lukas Märdian <slyon@ubuntu.com>  Fri, 18 Mar 2022 17:12:07 +0100

systemd (249.11-0ubuntu1) jammy; urgency=medium

  * Merge 249.11 bugfix release from upstream systemd-stable
  * Drop patches applied in upstream systemd-stable v249.11
    File: debian/patches/pid1-set-SYSTEMD_NSS_DYNAMIC_BYPASS-1-env-var-for-dbus-da.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=67b0362ae91711e037e89ba72af947b788319be5
  * Refresh patches
    File: debian/patches/debian/UBUNTU-wait-online-exit-if-no-links-are-managed.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=ef686a8d28ab452ae4756ab2367a322be66d6262

 -- Lukas Märdian <slyon@ubuntu.com>  Mon, 14 Mar 2022 10:57:42 +0100

systemd (249.10-0ubuntu2) jammy; urgency=medium

  * Fix deadlock between pid1 and dbus-daemon (LP: #1871538)
    File: debian/patches/pid1-set-SYSTEMD_NSS_DYNAMIC_BYPASS-1-env-var-for-dbus-da.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=100a7bfc2d0f82c3afbede04a022c655529cffac
  * Don't override Ubuntu's default sysctl values (LP: #1962038)
    File: debian/patches/debian/UBUNTU-Don-t-override-Ubuntu-s-default-sysctl-values-LP-1962038.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=b10cdb7da3539b3a3c3e619b470a75c83e46ef11

 -- Lukas Märdian <slyon@ubuntu.com>  Tue, 08 Mar 2022 14:58:00 +0100

systemd (249.10-0ubuntu1) jammy; urgency=medium

  [ Lukas Märdian ]
  * Merge 249.10 from upstream
  * Denylist 29-PORTABLE & 50-DISSECT
    Files:
    - debian/patches/deny-list-TEST-29-PORTABLE-and-TEST-50-DISSECT.patch
    - debian/patches/deny-list-TEST-29-PORTABLE-on-ppc64el.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=c16d9b8201f2321395f817e77ec07df5aef152a9

 -- Lukas Märdian <slyon@ubuntu.com>  Wed, 16 Feb 2022 19:08:40 +0100

systemd (249.9-0ubuntu2) jammy; urgency=medium

  * Skip flaky 55-OOMD test on ppc64el
    File: debian/patches/deny-list-TEST-55-OOMD-on-ppc64el.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=211f8962ce89d416c2866444e0e2da794ecd5dd1

 -- Lukas Märdian <slyon@ubuntu.com>  Fri, 28 Jan 2022 10:46:41 +0100

systemd (249.9-0ubuntu1) jammy; urgency=medium

  [ Lukas Märdian ]
  * Merge 249.7-1 from Debian
    - d/rules: re-enable LTO
      File: debian/rules
      https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=616eb2eb7d2b30e50acc9cccdc39a7264c5582fb
    - Refresh and drop patches, applied upstream
      Files:
      - debian/patches/Merge-pull-request-20705-from-yuwata-test-oomd-util.patch
      - debian/patches/lp1952599/0001-virt-Support-detection-for-ARM64-Hyper-V-guests.patch
      https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=877259bfeb7106a923b3066ad2c10fba2405195e
  * Merge 249.9 from upstream
    - Refresh and drop patches, applied upstream
      Files:
      - debian/patches/CVE-2021-3997-1.patch
      - debian/patches/CVE-2021-3997-2.patch
      - debian/patches/CVE-2021-3997-3.patch
      - debian/patches/linux-5.15-compat-ioprio/test-make-test-execute-pass-on-Linux-5.15.patch
      - debian/patches/lp1952599/0002-virt-Fix-the-detection-for-Hyper-V-VMs.patch
      - debian/patches/rm-rf-optionally-fsync-after-removing-directory-tree.patch
      - debian/patches/rm-rf-refactor-rm-rf-children-split-out-body-of-directory.patch
      - debian/patches/debian/udev-drop-SystemCallArchitectures-native-from-systemd-ude.patch
      https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=21b655193a5b91415d75516e458dcc5bce8855c0
    - Disable new test case for UMask=+BindPaths= combination (LP: #1959013)
      File: debian/patches/0001-Revert-tests-add-test-case-for-UMask-BindPaths-combi.patch
      https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=5e9df936d2625c84856b101881e217064571e7e7
  * Fix build in local git tree
    meson is checking `git ls-files` if built inside a git tree (dpkg-buildpackage,
    gbp buildpackage) and complaining about the missing src/basic/ioprio.h file.
    So we should keep that file around (empty) to avoid this failure.
    File: debian/patches/linux-5.15-compat-ioprio/Get-rid-of-ioprio.h-and-add-a-minimalistic-reimplementati.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=94f21032cd1d6e9dfae8d8f892bc627dbf9b4414
  * Add lp1955997-unmask-intel-hid-for-HP-machines.patch (LP: #1955997)
    File: debian/patches/lp1955997-unmask-intel-hid-for-HP-machines.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=b90d59c81a1fd8a00e10147b1f5fd9bcf135d40e
  * d/rules: Enable build of systemd-oomd
    File: debian/rules
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=f4e16926c4e146f0b106a277b5b499c78db82bcb
  * d/control: Ship oomd in a systemd-oomd package.
    Deploying the default configuration as used in Fedora.
    Files:
    - debian/control
    - debian/extra/systemd-oomd-defaults/-.slice.d/10-oomd-root-slice-defaults.conf
    - debian/extra/systemd-oomd-defaults/oomd.conf.d/10-oomd-defaults.conf
    - debian/extra/systemd-oomd-defaults/user@.service.d/10-oomd-user-service-defaults.conf
    - debian/systemd-oomd.install
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=771fee9e73316c92e065e93946ec64c578b43706
  * Start systemd-oomd.service after package installation
    File: debian/systemd-oomd.postinst
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=d330cee174bd0e62a344d2aec4ec7435c9484fa2
  * Cherry-pick upstream fixes to make 55-OOMD test less flaky
    Files:
    - debian/patches/test-also-show-the-memory-pressure-of-testchill.service.patch
    - debian/patches/test-check-memory-pressure-more-frequently.patch
    - debian/patches/test-enable-debug-logging-of-systemd-oomd.patch
    - debian/patches/test-make-test-55-oomd-less-flaky.patch
    - debian/patches/test-tweak-parameters-for-TEST-55-OOMD.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=7054dcaf04b028a092c58cf638847b2266377218

  [ Michael Biebl ]
  * oomd: move oomctl to bindir
    Author: Michael Biebl
    Files:
    - debian/patches/oomd-move-oomctl-to-bindir.patch
    - debian/systemd-oomd.install
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=6ce915c31c8daf3aec8b6d0e7b9712e21a87fa10
  * test: explicitly configure oomd stuff via dropins
    Author: Michael Biebl
    File: debian/patches/test-explicitly-configure-oomd-stuff-via-dropins.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=11d415ee259f5642165e64ddd5d65d344515da66
  * Don't install dbus-org.freedesktop.oom1.service symlink (Closes: #1003580)
    Author: Michael Biebl
    Files:
    - debian/patches/debian/fsckd-daemon-for-inter-fsckd-communication.patch
    - debian/patches/test-enable-systemd-oomd.service.patch
    - debian/patches/units-don-t-install-dbus-org.freedesktop.oom1.service-ali.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=b6df52f078fe61acf171300648f87116cf7dac74
  * autopkgtest: add systemd-oomd dependency to upstream test.
    We want systemd-oomd to be tested via the upstream provided
    TEST-55-OOMD.
    Author: Michael Biebl
    File: debian/tests/control
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=fd80b766c4194c88486ebc62ca7d02b9f41a6454

  [ Luca Boccassi ]
  * systemd-oomd: add dependency on adduser.
    Needed by postinst script
    Author: Luca Boccassi
    File: debian/control
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=146a97963a3a8551e9bda9fe7e726c6d2bd17cec
  * systemd-oomd: fix description-synopsis-starts-with-article Lintian warning
    Author: Luca Boccassi
    File: debian/control
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=5dfe4f9c92e924fdda9e127b339cdccb7f1b2f58

 -- Lukas Märdian <slyon@ubuntu.com>  Wed, 26 Jan 2022 08:42:00 +0100

systemd (249.7-1) unstable; urgency=medium

  * New upstream version 249.7
  * Rebase patches

 -- Michael Biebl <biebl@debian.org>  Fri, 19 Nov 2021 21:11:45 +0100

systemd (249.6-3) unstable; urgency=medium

  * scope: count successful cgroup additions when delegating via D-Bus
    (Closes: #999745)

 -- Michael Biebl <biebl@debian.org>  Thu, 18 Nov 2021 21:13:02 +0100

systemd (249.6-2) unstable; urgency=medium

  * Consider dbus-broker in systemd-logind.service Condition check
    (Closes: #999569)
  * Temporarily disable LTO.
    This is a test to see if it fixes the failure to build reproducibly on
    arm*.
  * sysusers: split up systemd.conf (Closes: #990349)

 -- Michael Biebl <biebl@debian.org>  Sat, 13 Nov 2021 18:29:11 +0100

systemd (249.6-1) unstable; urgency=medium

  [ Michael Biebl ]
  * New upstream version 249.6
  * Rebase patches
  * test: use kbd-mode-map we ship in one more test case
  * Bump Standards-Version to 4.6.0
  * Drop obsolete C/R upstart from systemd-sysv
  * Drop obsolete dpkg (>= 1.19.3) | systemd-sysv dependency from udev.
    It was added to ensure we have a dpkg with --notify-await which is now
    satisfied by a dpkg from oldstable.
  * Make the C/R against systemd versioned in
    systemd-standalone-{sysusers,tmpfiles}
    Those were added to facilitate an upgrade from bullseye. The version
    makes it more explicit.
  * Drop obsolete migration code for RAMTMP, TPMTIME and UTC

  [ Luca Boccassi ]
  * Depend on default-dbus-system-bus | dbus-system-bus.
    Allows users to install only a single system bus implementation.
    Prefer the default (dbus-daemon).

 -- Michael Biebl <biebl@debian.org>  Thu, 11 Nov 2021 22:04:31 +0100

systemd (249.5-2ubuntu4) jammy; urgency=medium

  * SECURITY UPDATE: systemd-tmpfiles could be made to crash.
    - d/p/rm-rf-refactor-rm-rf-children-split-out-body-of-directory.patch:
      Backport upstream patch from PR#20173
    - d/p/rm-rf-optionally-fsync-after-removing-directory-tree.patch:
      Backport upstream patch required for CVE-2021-3997 patches
    - d/p/CVE-2021-3997-1.patch: Backport upstream patch to refactor
      rm_rf_children_inner()
    - d/p/CVE-2021-3997-2.patch: Backport upstream patch to refactor
      rm_rf()
    - d/p/CVE-2021-3997-3.patch: Backport upstream patch to loop over
      nested directories instead of using recursion
    - CVE-2021-3997

 -- Alex Murray <alex.murray@canonical.com>  Mon, 10 Jan 2022 10:56:19 +1030

systemd (249.5-2ubuntu3) jammy; urgency=medium

  * Fix Linux >= 5.15 compat (ioprio API/test-execute)
    Files:
    - debian/patches/linux-5.15-compat-ioprio/Define-ioprio_-get-set-the-same-as-other-compat-syscalls.patch
    - debian/patches/linux-5.15-compat-ioprio/Get-rid-of-ioprio.h-and-add-a-minimalistic-reimplementati.patch
    - debian/patches/linux-5.15-compat-ioprio/core-normalize-ioprio-values-we-acquire-from-kernel.patch
    - debian/patches/linux-5.15-compat-ioprio/ioprio-normalize-io-priority-values-in-configuration.patch
    - debian/patches/linux-5.15-compat-ioprio/ioprio-util-add-macro-for-default-ioprio-settings.patch
    - debian/patches/linux-5.15-compat-ioprio/man-don-t-mention-IOSchedulingClass-none-anymore-in-the-d.patch
    - debian/patches/linux-5.15-compat-ioprio/shared-split-out-ioprio-related-stuff-into-ioprio-util.-c.patch
    - debian/patches/linux-5.15-compat-ioprio/test-add-test-for-ioprio-normalization.patch
    - debian/patches/linux-5.15-compat-ioprio/test-make-test-execute-pass-on-Linux-5.15.patch
    - debian/patches/linux-5.15-compat-ioprio/variuos-add-missing-includes.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=a88474c8d9a8ea006434512905d84e42a774e1c6

 -- Lukas Märdian <slyon@ubuntu.com>  Fri, 07 Jan 2022 12:28:29 +0100

systemd (249.5-2ubuntu2) jammy; urgency=medium

  * d/p/debian/timedatectl-lp1650688.patch,
    d/p/debian/UBUNTU-Fix-timezone-setting-on-read-only-etc.patch:
    Fix timedated unable to retrieve & properly set timezone on
    read-only /etc (e.g. Ubuntu Core and system-image-based systems)
    (LP: #1650688, LP: #1733881)

 -- Ratchanan Srirattanamet <ratchanan@ubports.com>  Wed, 08 Dec 2021 09:25:28 +0100

systemd (249.5-2ubuntu1) jammy; urgency=medium

  * Merge to Ubuntu from Debian unstable
    - Dropped changes (applied upstream):
      + UBUNTU-units-disable-journald-watchdog.patch
      + test-Allow-running-only-a-subset-of-integration-tests-by-.patch
      + hwdb-Add-ProBook-to-use-micmute-hotkey.patch
      + d/p/lp1931578/*.patch (ActivationPolicy=)
      + lp1932352-hwdb-Add-mic-mute-key-mapping-for-HP-Elite-Dragonfly.patch
      + d/p/lp1858210/*.patch (tzdata.zi)
      + lp1914740-network-enable-DHCP-broadcast-flag-if-required-by-in.patch
      + lp1934981-correct-suspend-then-sleep-string.patch
      + CVE-2020-13529.patch
      + CVE-2021-33910.patch
      + Merge-pull-request-20199-from-ddstreet-unit_cgroup_catchu.patch
      + udev-fix-slot-based-network-names-on-s390.patch
      + udev-add-missing-initialization-to-fix-freeing-invalid-ad.patch
      + udev-allow-onboard-index-up-to-65535.patch
      + lp1940635.patch (networkd failed to acquire a DHCP6 lease, v249.5)
  * debian/gbp.conf: Update debian-branch to ubuntu-jammy
    File: debian/gbp.conf
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=f35b4d6c0653c3125b2e0e5d962f84543733c3c0
  * Refresh Ubuntu-UseDomains-by-default.patch
    File: debian/patches/debian/Ubuntu-UseDomains-by-default.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=6e3b2ffb1c2c2bf2223f91b350c1fd06b8903346
  * Refresh UBUNTU-test-test-functions-launch-qemu-with-vga-none.patch
    File: debian/patches/debian/UBUNTU-test-test-functions-launch-qemu-with-vga-none.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=7142fb9381ab98d750a7c2473087ea7264be860d
  * Refresh UBUNTU-Revert-cgroup-Continue-unit-reset-if-cgroup-is-busy.patch
    File: debian/patches/debian/UBUNTU-Revert-cgroup-Continue-unit-reset-if-cgroup-is-busy.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=3de0f444bfc0cf3b601c4a1ad8939d2cd69cdad6
  * Refresh UBUNTU-resolved-default-no-negative-caching.patch
    File: debian/patches/debian/UBUNTU-resolved-default-no-negative-caching.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=d7b25651ea7ceae2ebfeafb84d9d65fb8284367a
  * Refresh Revert-network-if-sys-is-rw-then-udev-should-be-around.patch
    File: debian/patches/Revert-network-if-sys-is-rw-then-udev-should-be-around.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=61b004d7710b305d9996b3ad9bb47dc372fcbbac
  * Refresh UBUNTU-src-test-testmount-util.c-Skip-parts-of-test-mount-util-in-LXC.patch
    File: debian/patches/debian/UBUNTU-src-test-testmount-util.c-Skip-parts-of-test-mount-util-in-LXC.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=5fe343a0fc89771820f997c2d6621ac517d9070f
  * Refresh Merge-pull-request-20705-from-yuwata-test-oomd-util.patch
    File: debian/patches/Merge-pull-request-20705-from-yuwata-test-oomd-util.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=e88125e4580e29ccc4417464301d68a23f313415
  * Refresh patches/offset, using gbp
    Files:
    - debian/patches/debian/UBUNTU-Revert-namespace-be-more-careful-when-handling-namespacin.patch
    - debian/patches/debian/UBUNTU-Support-system-image-read-only-etc.patch
    - debian/patches/debian/UBUNTU-journald.service-set-Nice-1-to-dodge-watchdog-on-soft-loc.patch
    - debian/patches/debian/UBUNTU-src-test-test-execute.c-Skip-parts-of-test-execute-in-con.patch
    - debian/patches/debian/UBUNTU-test-sleep-skip-test_fiemap-upon-inapproriate-ioctl-.patch
    - debian/patches/debian/UBUNTU-units-block-CAP_SYS_MODULE-units-in-containers-too.patch
    - debian/patches/debian/UBUNTU-wait-online-exit-if-no-links-are-managed.patch
    - debian/patches/debian/Ubuntu-core-in-execute-soft-fail-setting-Nice-priority-when.patch
    - debian/patches/lp1861941-dont-generate-disk-byuuid-for-bcache-uuid.patch
    - debian/patches/lp1894622-Add-systemd-resolve-backwards-compatibility-section-.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=fd33ff25c6aa25f33054053c06f2936d51e8f645
  * debian/rules: Fix FTBFS on i386 by removing unneeded linuxia32.elf.sub to avoid
    debugedit errors
    File: debian/rules
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=381cc855978f441f6f45f215a7c864e61d67ab0a
  * debian/control: cleanup (upstart is no more)
    File: debian/control
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=e93509e1970ee170e4a4ed655c55f55446e4078d
  * debian/systemd.NEWS: re-add comment about cgroups v2
    File: debian/systemd.NEWS
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=51a7a11dba9a6248b8575c05c00e70aa6b9141fb
  * debian/rules: explicitly enable default-hierarchy=unified
    to stay in line with Debian
    File: debian/rules
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=b6804a5aee1bcf1dfd3415c048cbf94d482652a2
  * debian/udev.postinst: Drop old 'getent group kvm' workaround
    File: debian/udev.postinst
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=081fddb76415eb959fd898b503eec0354d44fb31
  * d/t/boot-and-services: skip test_service, broken on kernel > 5.10
    (systemd#20989)
    File: debian/tests/boot-and-services
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=8ca6fbb84ccd09c4e199dec9fd9536c0b3637bc5
  * d/t/tests-in-lxd: account for different locations of source tree
    File: debian/tests/tests-in-lxd
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=f454c89619915566af2644b14eada41075631f6a
  * d/t/control: fix upstream* test dependencies
    File: debian/tests/control
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=ca404329f73f90316241680985ee8721d27d6092
  * d/t/tests-in-lxd: work around systemd-sysusers issue on privileged containers
    (LP: #1950787)
    File: debian/tests/tests-in-lxd
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=d4e05ecbc1a32d2e6d454c05a2899058c3a04bac
  * Drop units-Don-t-start-systemd-udev-trigger.service-in-a-conta.patch
    we do run udevd in our containers and actually rely on udevadm trigger
    happening on boot for the udev database to populate with the relevant
    network devices that are present in the container
    It was added when systemd upstream made udevadm trigger more picky
    (would fail when it used to succeed), but they now have failures from udevadm
    ignored in the upstream unit
    making this patch un-necessary and actually harmful to those running Ubuntu in
    system containers
    File: debian/patches/units-Don-t-start-systemd-udev-trigger.service-in-a-conta.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=ba89ae0b007e1fed3d9e1b2aefa86cf9c6e7a022
  * Drop lp1894622-Add-systemd-resolve-backwards-compatibility-section-.patch.
    The systemd-resolve symlink for backwards compatibility is no more as of v249
    File: debian/patches/lp1894622-Add-systemd-resolve-backwards-compatibility-section-.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=c26f6843f498966e8506e71870255b627fcbd7c7
  * Revert: sd-dhcp: do not use detect_container() to guess udev is running or not
    (LP: #1950794)
    File: debian/patches/lp1950794-Revert-sd-dhcp-do-not-use-detect_container-to-guess-.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=794597758ac9527b81696bb785d99cd2ddfa2707
  * Support detection for ARM64 Hyper-V guests (LP: #1952599)
    Files:
    - debian/patches/lp1952599/0001-virt-Support-detection-for-ARM64-Hyper-V-guests.patch
    - debian/patches/lp1952599/0002-virt-Fix-the-detection-for-Hyper-V-VMs.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=57f51781646327832f15294368842da015f3c433

  [ Yao Wei ]
  * Add ACCEL_LOCATION=base property for Dell clamshell models (LP: #1943561)
    Files:
    - debian/patches/lp1943561/Add-additional-Dell-models-that-require-ACCEL_LOCATION-ba.patch
    - debian/patches/lp1943561/Use-SKU-to-identify-Dell-clamshell-models-for-acceleromet.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=9f99081482b76a7b717e39ef4380f08093e4359a

  [ Andy Chi ]
  * Add privacy micmute hotkey for Dell machine. (LP: #1952733)
    File: debian/patches/lp1952733-hwdb-60-keyboard-Update-Dell-Privacy-Micmute-Hotkey-Map.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=e590db02f015a0e999909b67e0cefbb4295c53a5
  * Add microphone mute key for Dell machine. (LP: #1952735)
    File: debian/patches/lp1952735-keymap-Add-microphone-mute-keymap-for-Dell-Machine.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=03799d7649fd5e0dae226c81441932d19cb6cc36

  [ Dan Streetman ]
  * d/p/lp1950508-cgroup-check-if-any-controller-is-in-use-as-v1.patch:
    Use cgroupv1 in container if host using cgroupv1
    (LP: #1950508)

 -- Lukas Märdian <slyon@ubuntu.com>  Thu, 02 Dec 2021 10:16:33 +0100

systemd (249.5-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Annotate python3-jinja2 dependency with :native
    (Closes: #996501)

  [ Michael Biebl ]
  * hwdb: Allow console users access to media* nodes (Closes: #996749)

 -- Michael Biebl <biebl@debian.org>  Tue, 02 Nov 2021 17:29:45 +0100

systemd (249.5-1) unstable; urgency=medium

  * New upstream version 249.5
  * Rebase patches
  * Update debian/copyright
  * Clean up lintian overrides

 -- Michael Biebl <biebl@debian.org>  Tue, 12 Oct 2021 22:39:59 +0200

systemd (249.4-2) unstable; urgency=medium

  * Upload to unstable
  * Remove unused initialize_coredump() function
  * Fix #993738 by pulling the patches from upstream PR#20603

 -- Michael Biebl <biebl@debian.org>  Tue, 12 Oct 2021 14:03:31 +0200

systemd (249.4-1) experimental; urgency=medium

  * New upstream version 249.4
  * Rebase patches

 -- Michael Biebl <biebl@debian.org>  Mon, 30 Aug 2021 11:20:16 +0200

systemd (249.3-4) experimental; urgency=medium

  * Add Conflicts/Replaces: systemd to systemd-standalone-{sysusers,tmpfiles}
    This allows upgrades from older systemd versions which do not have
    Provides: systemd-{sysusers,tmpfiles}. (Closes: #992376)

 -- Michael Biebl <biebl@debian.org>  Wed, 25 Aug 2021 09:35:03 +0200

systemd (249.3-3) experimental; urgency=medium

  * Use C/R/P for systemd-sysusers and systemd-tmpfiles.
    It's an interface/facility that can only be provided by a single package
    at a time.

 -- Michael Biebl <biebl@debian.org>  Thu, 12 Aug 2021 22:45:02 +0200

systemd (249.3-2) experimental; urgency=medium

  * Provide standalone binaries for sysusers and tmpfiles (Closes: #946456)
  * Fix test dependencies of upstream test.
    After splitting out the standalone binaries for sysusers and tmpfiles
    into separate packages (which conflict with the main systemd package),
    we can no longer use the '@' notation in the upstream test.
    This reverts commit 5eeeb1b562a1a9802df105091bda4741c263336d and also
    adds systemd-tests and systemd-timesyncd to the upstream test
    dependencies.

 -- Michael Biebl <biebl@debian.org>  Sun, 08 Aug 2021 22:51:18 +0200

systemd (249.3-1) experimental; urgency=medium

  * New upstream version 249.3
  * Rebase patches
  * Remove obsolete systemd-resolve compat symlink

 -- Michael Biebl <biebl@debian.org>  Sun, 08 Aug 2021 22:39:25 +0200

systemd (249.2-2) experimental; urgency=medium

  * Remove obsolete upgrade code from maintainer scripts
  * Clean up old versions from maintscript files
  * Drop obsolete systemd Breaks/Replaces
  * Drop obsolete python-dbusmock Breaks
  * Turn versioned systemd-shim Breaks into unversioned Conflicts.
    There never was a fixed systemd-shim version before it was removed from
    the archive.
  * Drop patches which are no longer needed after bullseye
  * Stop setting up device symlinks for CD-RW/DVD drives.
    Those udev rules were a Debian specific workaround that were mainly
    added for compat with older software which wasn't able to automatically
    discover those types of devices. Those rules didn't provide
    stable/predictable names though, so remove them. (Closes: #991639)
  * autopkgtest: add systemd-timesyncd dependency to timedated test.
    We need systemd-timesyncd in the timedated test, not just an arbitrary
    provider of time-daemon.
  * autopkgtest: clean up dependencies of boot-smoke test.
    A lot of the dependencies are not needed but were originally added to
    avoid a testbed reset and make it possible to reuse the testbed of the
    upstream test. This turned out to be a maintenance problem and the
    dependencies were not updated accordingly. Instead of trying to keep the
    two tests in sync, trim down the boot-smoke dependencies to its bare
    minimum.

 -- Michael Biebl <biebl@debian.org>  Sat, 31 Jul 2021 21:49:05 +0200

systemd (249.2-1) experimental; urgency=medium

  * New upstream version 249.2
  * Rebase patches

 -- Michael Biebl <biebl@debian.org>  Fri, 23 Jul 2021 21:44:35 +0200

systemd (249.1-1) experimental; urgency=medium

  * New upstream version 249.1
    - basic/unit-name: do not use strdupa() on a path (CVE-2021-33910)

 -- Michael Biebl <biebl@debian.org>  Tue, 20 Jul 2021 21:20:12 +0200

systemd (249-1) experimental; urgency=medium

  * New upstream version 249
  * Rebase patches
  * Update symbol versions for the v249 release
  * Fix removal of systemd-hwdb-update.service.
    As we don't support factory-reset, we don't need this service.
    In Debian, the hwdb binary database is updated via a dpkg file trigger.

 -- Michael Biebl <biebl@debian.org>  Wed, 07 Jul 2021 22:33:31 +0200

systemd (249~rc3-1) experimental; urgency=medium

  * New upstream version 249~rc3
  * Rebase patches

 -- Michael Biebl <biebl@debian.org>  Thu, 01 Jul 2021 23:55:11 +0200

systemd (249~rc2-1) experimental; urgency=medium

  * New upstream version 249~rc2
  * Rebase patches

 -- Michael Biebl <biebl@debian.org>  Sun, 27 Jun 2021 17:10:18 +0200

systemd (249~rc1-1) experimental; urgency=medium

  [ Michael Biebl ]
  * New upstream version 249~rc1
  * Rebase patches
  * Replace m4 Build-Depends with python3-jinja2
  * Update symbols file for libsystemd0
  * test: do not run 'meson configure' if NO_BUILD is set
  * test: drop the mawk-incompatible expression
  * Add gawk <!nocheck> to Build-Depends.
    It is used in tools/check-directives.sh which is run during "meson test".
  * autopkgtest: add udev dependency to unit-tests.
    Without a properly set up hwdb the test-sd-hwdb test is skipped.

  [ Luca Boccassi ]
  * autopkgtest: add dependency on dosfstools for upstream test.
    Needed to create EFI partition (vfat)

 -- Michael Biebl <biebl@debian.org>  Thu, 17 Jun 2021 18:09:43 +0200

systemd (248.3-1ubuntu8) impish; urgency=medium

  [ Dan Streetman ]
  * d/p/dell-clamshell-accel-location-base-with-sku.patch:
    Revert incorrect patch (LP: #1942899)

  [ Lukas Märdian ]
  * Add d/p/Merge-pull-request-20705-from-yuwata-test-oomd-util.patch
    Replace lp1942113.patch with upstream commit 54966b7 (LP: #1942113)
    Files:
    - debian/patches/lp1942113.patch
    - debian/patches/Merge-pull-request-20705-from-yuwata-test-oomd-util.patch
  * Drop snapd cgroupv2 workaround, not needed anymore as of snapd 2.53~pre1
    File: debian/tests/tests-in-lxd
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=f9f340f74abdc4060cfd27a7cb3001929b6f9cf4

 -- Lukas Märdian <slyon@ubuntu.com>  Mon, 04 Oct 2021 11:23:28 +0200

systemd (248.3-1ubuntu7) impish; urgency=medium

  * d/tests/tests-in-lxd: suppress the cgroups v2 warning on stderr from
    lxd/lxc even more comprehensively until the snapd change required to
    do it nicely gets into a release.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 01 Sep 2021 19:21:58 +1200

systemd (248.3-1ubuntu6) impish; urgency=medium

  * Replace my patch in previous upload with upstream's functionally similar
    but much more elegant fix.
  * d/patches/lp1942113.patch: Do not run a test that fails in a container
    (this has only started running because 248.3-1ubuntu4 changed to default
    to a unified cgroups hierarchy). (LP: #1942113)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 31 Aug 2021 22:59:13 +1200

systemd (248.3-1ubuntu5) impish; urgency=medium

  * d/patches/lp1940635.patch: Pass a larger control message buffer to recvmsg
    in icmp6_receive to have enough room for glibc 2.34's timestamp
    translation games. (LP: #1940635)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Sun, 29 Aug 2021 23:11:50 +1200

systemd (248.3-1ubuntu4) impish; urgency=medium

  [ Yao Wei ]
  * d/p/dell-clamshell-accel-location-base-with-sku.patch:
    Use SKU to identify Dell clamshell models for accelerometer properties
    (LP: #1938259)
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=d02cab1a9aad017b68ca1117bf3f0bbcb1b9315c

  [ Simon Chopin ]
  * d/p/lp1914740-network-enable-DHCP-broadcast-flag-if-required-by-in.patch:
    - Apply upstream patch to fix Hipersocket DHCP mode (LP: #1914740)
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=9e20d2f9d70b25782bdd1c7dbec0d179604b88cc

  [ Dan Streetman ]
  * d/p/lp1934981-correct-suspend-then-sleep-string.patch:
    Fix sleep verb used by logind during suspend-then-hibernate
    (LP: #1934981)
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=b09083d520fecd57ebe28319ad7638442db2e2bd
  * d/p/debian/UBUNTU-drop-kernel.-settings-from-sysctl-defaults-shipped.patch:
    Revert patch, no reason to diverge from upstream on these sysctl settings
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=8959a2640c631f026988f1fef6b1a825af6c97dd

  [ Lukas Märdian ]
  * Use upstream's default -Ddefault-hierarchy=unified. (LP: #1850667)
    File: debian/rules
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=93ba352792db14b3d21d12909b3b6f8a1165c5de
  * tests: hide snapd cgroupv2 warning.
    Pending release of PR https://github.com/snapcore/snapd/pull/10589
    but it won't hurt to have it in there anyways.
    File: debian/tests/tests-in-lxd
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=c06736c1fb90d976fe5cd520b97c0272ef8fcc64
  * Add d/p/Merge-pull-request-20199-from-ddstreet-unit_cgroup_catchu.patch
    File: debian/patches/Merge-pull-request-20199-from-ddstreet-unit_cgroup_catchu.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=57ab55efaee92466bd5dbf046badc623188d254b
  * Add RoCE: Predictable Interface Names (LP: #1929184)
    Files:
    - debian/patches/udev-add-missing-initialization-to-fix-freeing-invalid-ad.patch
    - debian/patches/udev-allow-onboard-index-up-to-65535.patch
    - debian/patches/udev-fix-slot-based-network-names-on-s390.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=44d2c4bef78a2cbaeaad9acd512dad89d272489c

 -- Lukas Märdian <slyon@ubuntu.com>  Tue, 17 Aug 2021 12:05:30 +0200

systemd (248.3-1ubuntu3) impish; urgency=medium

  * SECURITY UPDATE: DoS via DHCP FORCERENEW
    - debian/patches/CVE-2020-13529.patch: tentatively ignore FORCERENEW
      command in src/libsystemd-network/sd-dhcp-client.c.
    - CVE-2020-13529
  * SECURITY UPDATE: denial of service via stack exhaustion
    - debian/patches/CVE-2021-33910.patch: do not use strdupa() on a path
      in src/basic/unit-name.c.
    - CVE-2021-33910

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 20 Jul 2021 11:35:20 -0400

systemd (248.3-1ubuntu2) impish; urgency=medium

  [ Kai-Heng Feng ]
  * d/p/hwdb-Add-ProBook-to-use-micmute-hotkey.patch:
    - Add ProBook to use micmute hotkey (LP: #1930910)
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=30b96fac92d911cb725f7220a9539085a24fe5f7

  [ Jeremy Szu ]
  * d/p/lp1932352-hwdb-Add-mic-mute-key-mapping-for-HP-Elite-Dragonfly.patch:
    - Fix micmute hotkeys on HP Elite Dragonfly (LP: #1932352)
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=ac93cfcca200644b743deab94f655ccd74ff90a6

  [ Dan Streetman ]
  * d/p/debian/UBUNTU-resolved-Mitigate-DVE-2018-0001-by-retrying-NXDOMAIN-with.patch:
    Remove no-longer-needed patch for DVE-2018-0001 (LP: #1785383)
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=943b2dd5884e67c67d6336c24352b02e17809df0
  * d/p/lp1931578/0001-network-default-RequiredForOnline-false-if-Activacti.patch,
    d/p/lp1931578/0002-networkctl-add-field-Required-For-Online.patch,
    d/p/lp1931578/0003-test-add-test-to-verify-RequiredForOnline-setting-wi.patch:
    Adjust default for RequiredForOnline when using ActivationPolicy
    (LP: #1931578)
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=d0b8629ec14396f1a5d5f7c132c9b687065136b0
  * d/p/lp1894622-Add-systemd-resolve-backwards-compatibility-section-.patch:
    Add man page symlink and deprecation notice for systemd-resolve
    (LP: #1894622)
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=f719185253f989d6708c894150c0878cabee6589
  * d/p/lp1858210/0001-time-simplify-get_timezones.patch,
    d/p/lp1858210/0002-time-split-get_timezone-into-main-function-and-zone1.patch,
    d/p/lp1858210/0003-time-get-timezones-from-tzdata.zi.patch:
    Parse tzdata.zi so timedatectl list-timezones also lists aliases
    (LP: #1858210)
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=8e5b0a7c7c4e1e29b5e81511a1145633d9b75be5

 -- Dan Streetman <ddstreet@canonical.com>  Tue, 06 Jul 2021 13:37:59 -0400

systemd (248.3-1ubuntu1) impish; urgency=medium

  * Merge to Ubuntu from Debian unstable
    - Dropped changes:
      * tests: Skip test-execute in containers
      * debian/tests/root-unittests: Skip newly failing test-mount-utils in LXC
  * Deny-list flaky TEST-10-ISSUE-2467 on all architectures
    Files:
    - debian/patches/debian/UBUNTU-deny-list-TEST-10-ISSUE-2467.patch
    - debian/patches/deny-list-upstream-test-10-s390x.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=8490979f8f69214c0764d3ec882fe1339fb30323
  * debian/tests/unit-tests:  Skip part of test-mount-util which fail in LXC.
    The whole test-mount-util test used to be skipped before. (LP: 1878051)
    File: debian/patches/debian/UBUNTU-src-test-testmount-util.c-Skip-parts-of-test-mount-util-in-LXC.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=dd2bee75e34c3b0ccd884b4ce594c1ef301149db
  * debian/tests/unit-tests:  Skip parts of test-execute in LXC to pass.
    The whole test-execute test used to be skipped before. (LP: 1878051)
    File: debian/patches/debian/UBUNTU-src-test-test-execute.c-Skip-parts-of-test-execute-in-con.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=65fdc9a4bdb91bc261f112ab51abcd77781f0520

 -- Balint Reczey <rbalint@ubuntu.com>  Fri, 21 May 2021 18:50:58 +0200

systemd (248.3-1) experimental; urgency=medium

  [ Michael Biebl ]
  * New upstream version 248.3
  * Rebase patches

  [ Dan Streetman ]
  * d/t: replace 'root-unittests' shell script with simple call to upstream script.
    The upstream test runner script is much better, as it only prints failing test
    output, and gives a summary of the test results at the end.

 -- Michael Biebl <biebl@debian.org>  Wed, 19 May 2021 13:09:57 +0200

systemd (248.2-1ubuntu1) impish; urgency=medium

  * Merge to Ubuntu from Debian unstable
    - Dropped changes:
      * Many cherry-picked upstream fixes:
        - debian/patches/0001-hwdb-60-keyboard-Update-Dell-Privacy-Micmute-Hotkey-.patch
        - debian/patches/lp1887744-basic-unit-file-when-loading-linked-unit-files-use-l.patch
        - debian/patches/lp1906331-sd-event-ref-event-loop-while-in-sd_event_prepare-ot.patch
        - debian/patches/lp1907306/*
        - debian/patches/lp1914062-udevadm-don-t-return-early.patch
        - debian/patches/lp1917458-udev-rules-add-rule-to-create-dev-ptp_hyperv.patch
        - debian/patches/lp1921696/rfkill-improve-error-logging.patch
        - debian/patches/lp1921696/rfkill-use-short-writes-and-accept-long-reads.patch
  * debian/tests/root-unittests: Skip newly failing test-mount-utils in LXC
    File: debian/tests/root-unittests
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=02e0d518ea9e40e81c4693dd49eec1c9aab736e7
  * Merge lp1895418.patch to UBUNTU-resolved-default-no-negative-caching.patch
    Files:
    - debian/patches/debian/UBUNTU-resolved-default-no-negative-caching.patch
    - debian/patches/test-Allow-running-only-a-subset-of-integration-tests-by-.patch
    - debian/patches/lp1895418.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=b285544ed5e3233abc54493defe65bd7525729e5
  * Deny-list TEST-10-ISSUE-2467 again on s390x because it is flaky
    File: debian/patches/deny-list-upstream-test-10-s390x.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=a85a3471d2ef6a9dbd4e2dee90abc3d52fb5c78e
  * Deny-list TEST-29-PORTABLE on ppc64el
    File: debian/patches/deny-list-TEST-29-PORTABLE-on-ppc64el.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=42479a9ba8c4dc7a81266b6679ac1853307bfb67

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 13 May 2021 18:08:29 +0200

systemd (248.2-1) experimental; urgency=medium

  * New upstream version 248.2

 -- Michael Biebl <biebl@debian.org>  Sun, 09 May 2021 21:17:10 +0200

systemd (248.1-1) experimental; urgency=medium

  [ Michael Biebl ]
  * New upstream version 248.1
  * Rebase patches
  * d/e/checkout-upstream: switch to main branch
  * Update make-fbdev-blacklist to not blacklist hyperv_fb

  [ Luca Boccassi ]
  * systemd.install: catch all files installed in usr/bin and bin.
    At the moment, individual binaries are mentioned specifically in the
    install file.  When new binaries are added, manual work is needed to get
    them packaged, which affects the upstream autopkgtest-based CI.
    Change systemd.install to instead pick up everything from usr/bin and bin.
  * upstream suite: add build-dep on vim-tiny.
    Required by some of the images in the upstream test suite

  [ Zbigniew Jędrzejewski-Szmek ]
  * Let "upstream" test use upstream test runner

  [ Dan Streetman ]
  * Slight adjustments to previous patch for deny/black-list naming.
    Also add in two vars used by the integration runner script
  * d/t/upstream: use NO_BUILD=1.
    Also don't bother sed-modifying test-functions file, as the NO_BUILD
    changes remove the need for that.
  * d/t/control: install all binary packages for upstream test.
    With the change to just call the upstream script to run the integration
    tests, the packages to test need to be installed so the test-function
    script can list out the files each package contains, and copy those files
    into each nspawn and/or qemu testbed. Without all packages installed,
    some tests fail; specifically TEST-30 currently requires systemd-timesyncd
    which was not previously installed for the 'upstream' test suite.
    This changes the control file to just install all binary packages, using
    the '@' notation.
  * d/t/boot-smoke: update test to avoid false negatives

  [ Frantisek Sumsal ]
  * upstream-ci: fix test_no_failed() check.
    Without `--plain` `systemctl` prints a circle (●) in the first column
    for each failed service, which with the current code interferes with
    attempted journal listing for each such service.

 -- Michael Biebl <biebl@debian.org>  Fri, 07 May 2021 12:25:15 +0200

systemd (248-1) experimental; urgency=medium

  [ Balint Reczey ]
  * New upstream version 248
    - add support for answering DNSSEC questions on the stub resolver
      (Closes: #988132)
    - turn off DNSSEC validation when timesyncd resolves hostnames
      (Closes: #898530)
    - add networkd/nspawn nftables backend
      (Closes: #934584)
    - support ipv6 for masquerade and dnat in nspawn and networkd
      (Closes: #934676)
  * Refresh patches
  * debian/rules: Enable new systemd-sysext tool
  * debian/rules: Build support for flushing of the nscd caches
  * debian/rules: Build translations for debs but not for udebs
  * debian/rules: Build without TPM2 support.
    This is a new feature and needs further review.
  * Ship systemd-cryptenroll in systemd package
  * Update symbols file for libsystemd0
  * debian/tests/control: Upstream test depends on attr
  * debian/udev.postinst: Create the sgx system group.
    Intel SGX enclave device nodes are now owned by this group.
  * debian/rules: Don't ship README files in (/usr)/lib/*.d.
    README files are typically shipped in /usr/share/doc.
  * Revert "pager: stop disabling urlification under a pager"
    Debian and Ubuntu do not yet have a less version that supports
    urlification. This requires less 563 or later.

 -- Michael Biebl <biebl@debian.org>  Thu, 06 May 2021 23:00:08 +0200

systemd (247.9-4) unstable; urgency=medium

  * Revert "tests/udev-test.pl: add multiple device test"
    Follow-up to make sure the udev autopkgtest passes successfully again
    after reverting the multipath symlink race fix.
  * test: Fix flakiness in TEST-10-ISSUE-2467
  * autopktest: Fix timedated test dependencies.
    Add an explicit systemd-timesyncd dependency as it is required by the
    timedated test.
  * autopkgtest: Merge configuration of logind test with timedated and related
    tests.
    They share the same restrictions and merging them avoids a bit of
    duplication.
  * Revert "test: disable DnsmasqClientTest.test_resolved_etc_hosts in
    networkd-test.py"
    Let's see if this test is still flaky on debci.
  * networkd-test: fix resolved_domain_restricted_dns.
    Cherry-pick upstream commit which hopefully fixes the flakiness in
    DnsmasqClientTest.test_resolved_domain_restricted_dns.

 -- Michael Biebl <biebl@debian.org>  Fri, 01 Oct 2021 10:12:14 +0200

systemd (247.9-3) unstable; urgency=medium

  * Revert multipath symlink race fix.
    Revert upstream commits which caused a regression in udev resulting in
    long delays when processing partitions with the same label.
    (Closes: #993738)

 -- Michael Biebl <biebl@debian.org>  Sat, 25 Sep 2021 22:01:17 +0200

systemd (247.9-2) unstable; urgency=medium

  * Demote systemd-timesyncd from Depends to Recommends.
    This avoids a dependency cycle between systemd and systemd-timesyncd and
    thus makes dist upgrades more predictable and robust.
    It also allows minimal, systemd based containers where no NTP client is
    strictly necessary.
    To ensure that systemd-timesyncd is installed in a default installation
    created by d-i, bump its priority to standard. (Closes: #986651, #993947)

 -- Michael Biebl <biebl@debian.org>  Wed, 22 Sep 2021 21:10:53 +0200

systemd (247.9-1) unstable; urgency=medium

  [ Michael Biebl ]
  * New upstream version 247.9
  * Rebase patches
  * Fix removal of systemd-hwdb-update.service.
    As we don't support factory-reset, we don't need this service.
    In Debian, the hwdb binary database is updated via a dpkg file trigger.

  [ Balint Reczey ]
  * debian/rules: Don't ship README files in (/usr)/lib/*.d.
    README files are typically shipped in /usr/share/doc.

 -- Michael Biebl <biebl@debian.org>  Sun, 15 Aug 2021 21:10:56 +0200

systemd (247.3-6) unstable; urgency=high

  * Non-maintainer upload (acked by maintainers)
  * unit-name: generate a clear error code when converting an overly long fs
    path to a unit name
  * basic/unit-name: do not use strdupa() on a path (CVE-2021-33910)
  * basic/unit-name: adjust comments

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 13 Jul 2021 19:29:24 +0200

systemd (247.3-5ubuntu1) impish; urgency=medium

  [ Balint Reczey ]
  * Merge to Ubuntu from Debian unstable
    - Dropped changes:
      * LoadCredentials: do not assert on invalid syntax (now present in Debian)
  * debian/tests: Split upstream test to two parts.
    The test can take very long time and may time out as it could be
    observed in Ubuntu's CI system many times.
    Files:
    - debian/tests/control
    - debian/tests/upstream
    - debian/tests/upstream-1
    - debian/tests/upstream-2
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=a7f894c42d650e3ec62c88c34bdd693a9dfd8df6
  * debian/gbp.conf: Update debian-branch to ubuntu-impish
    File: debian/gbp.conf
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=98449bf7530b1b834ba71c80c1a58f2e3909c668

  [ Andy Chi ]
  * Apply upstream patch to correct key and device mapping (LP: #1926547)
    File: debian/patches/0001-hwdb-60-keyboard-Update-Dell-Privacy-Micmute-Hotkey-.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=0ad362c1975705805c94a17e1887cd3982cc192f

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 04 May 2021 14:20:02 +0200

systemd (247.3-5) unstable; urgency=medium

  * udev-udeb: setup /dev/fd, /dev/std{in,out,err} symlinks.
    As systemd-udevd no longer sets them up itself, we create them manually
    after mounting devtmpfs. This avoids breaking applications which expect
    those symlinks. (Closes: #975018)

 -- Michael Biebl <biebl@debian.org>  Mon, 12 Apr 2021 20:21:24 +0200

systemd (247.3-4) unstable; urgency=medium

  [ Luca Boccassi ]
  * Backport patch to fix assert with invalid LoadCredentials=
    Regression introduced in v247, fixed in v249, see:
    https://github.com/systemd/systemd/issues/19178
    (Closes: #986302)

  [ Michael Biebl ]
  * network: Delay addition of IPv6 Proxy NDP addresses.
    Fixes "IPv6 Proxy NDP addresses are being lost from interfaces after
    networkd adds them". (Closes: #985510)

 -- Michael Biebl <biebl@debian.org>  Sun, 11 Apr 2021 16:06:46 +0200

systemd (247.3-3ubuntu3) hirsute; urgency=medium

  * Make systemd-rfkill work with latest Linux kernels (LP: #1921696)
    Files:
    - debian/patches/lp1921696/rfkill-improve-error-logging.patch
    - debian/patches/lp1921696/rfkill-use-short-writes-and-accept-long-reads.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=7fc7bece33c21b155822ef6640adffb0e703da50
  * LoadCredentials: do not assert on invalid syntax
    File: debian/patches/LoadCredentials-do-not-assert-on-invalid-syntax.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=5e7f913d0fd36b0800a8d99f809f61d263200343

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 07 Apr 2021 17:57:49 +0200

systemd (247.3-3ubuntu2) hirsute; urgency=medium

  [ Dan Streetman ]
  * d/p/lp1887744-basic-unit-file-when-loading-linked-unit-files-use-l.patch:
    Use src name, not dst name, of symlinked unit files (LP: #1887744)
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=667a881ab3bace6c4a7550067d4ecf2e4b9ece82

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 29 Mar 2021 12:22:06 +0200

systemd (247.3-3ubuntu1) hirsute; urgency=medium

  * Merge to Ubuntu from Debian unstable
  * Bugfix only upload

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 17 Mar 2021 13:12:43 +0100

systemd (247.3-3) unstable; urgency=medium

  * pkg-config: make prefix overridable again (Closes: #984763)
  * Revert "units: turn off DNSSEC validation when timesyncd resolves
    hostnames"
    Support for SYSTEMD_NSS_RESOLVE_VALIDATE=0 requires the changes from
    https://github.com/systemd/systemd/pull/17823 for the dnssec bypass
    logic. Those are rather invasive changes and not suitable for a stable
    backport.

 -- Michael Biebl <biebl@debian.org>  Thu, 11 Mar 2021 18:09:35 +0100

systemd (247.3-2ubuntu1) hirsute; urgency=medium

  * Merge to Ubuntu from Debian unstable
  * Bugfix only upload

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 10 Mar 2021 15:09:55 +0100

systemd (247.3-2) unstable; urgency=medium

  [ Michael Biebl ]
  * Downgrade a couple of warnings to debug.
    If a package still ships only a SysV init script or if a service file or
    tmpfile uses /var/run, downgrade those messages to debug. We can use
    lintian to detect those issues.
    For service files and tmpfiles in /etc, keep the warning, as those files
    are typically added locally and aren't checked by lintian.
    (Closes: #981407)
  * core: fix mtime calculation of dropin files
    (Closes: #975289)
  * analyze: slightly reword PrivateTmp= message
    (Closes: #931753)
  * rules: move ID_SMARTCARD_READER definition to a <70 configuration
    (Closes: #978011)
  * units: turn off DNSSEC validation when timesyncd resolves hostnames
    (Closes: #898530)
  * table: drop trailing white spaces of the last cell in row
    (Closes: #980820)

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 10 Mar 2021 15:01:50 +0100

systemd (247.3-1ubuntu4) hirsute; urgency=medium

  [ Dimitri John Ledkov ]
  * d/p/debian/UBUNTU-resolved-Mitigate-DVE-2018-0001-by-retrying-NXDOMAIN-with.patch:
    Patch updated to reduce log level to debug
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=299002546ec2d62e7f0dd7d614ba958fc9df83c2

  [ Dan Streetman ]
  * d/p/lp1906331-sd-event-ref-event-loop-while-in-sd_event_prepare-ot.patch:
    Take event reference while processing (LP: #1906331)
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=1bc38abcd3b62d317fcb62b72e26d9cb2e35ccf9
  * d/p/lp1917458-udev-rules-add-rule-to-create-dev-ptp_hyperv.patch:
    Create symlink for hyperv-provided ptp device (LP: #1917458)
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=8f1ee790ad66395457ca64cb5f8a01fdd8aabe47

  [ Balint Reczey ]
  * Pick proposed patch for not returning early in udevadm (LP: #1914062)
    File: debian/patches/lp1914062-udevadm-don-t-return-early.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=d8c80751a97b0c6c4df972f6f8325293aa1607c4
  * debian/tests/control: Mark systemd-fsckd flaky again.
    As promised in LP: 1915126, until further investigation.
    File: debian/tests/control
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=68fbaab272af81aab29497f7c6a3e4e6e9aa091b

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 04 Mar 2021 12:19:05 +0100

systemd (247.3-1ubuntu3) hirsute; urgency=medium

  * No-change rebuild to drop the udeb package.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2021 10:36:23 +0100

systemd (247.3-1ubuntu2) hirsute; urgency=medium

  [ Stéphane Graber ]
  * Revert the change to udevd service and sockets. They must start in LXC.
    LXD containers do have proper uevent handling and actively send
    uevents for udevd to handle.

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 11 Feb 2021 18:50:13 +0100

systemd (247.3-1ubuntu1) hirsute; urgency=medium

  [ Dan Streetman ]
  * d/p/lp1907306/0001-sd-dhcp-client-don-t-log-timeouts-if-already-expired.patch,
    d/p/lp1907306/0002-sd-dhcp-client-track-dhcp4-t1-t2-expire-times.patch,
    d/p/lp1907306/0003-sd-dhcp-client-add-RFC2131-retransmission-details.patch,
    d/p/lp1907306/0004-sd-dhcp-client-simplify-dhcp4-t1-t2-parsing.patch,
    d/p/lp1907306/0005-sd-dhcp-client-correct-dhcpv4-renew-rebind-retransmi.patch,
    d/p/lp1907306/0006-sd-dhcp-client-correct-retransmission-timeout-to-mat.patch,
    d/p/lp1907306/0007-test-network-increase-wait_online-timeout-to-handle-.patch,
    d/p/lp1907306/0008-sd-dhcp-client-fix-renew-rebind-timeout-calculation-.patch:
    Send correct number of dhcpv4 renew and rebind requests
    (LP: #1907306)
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=9454c4cb1b85f6f6945a29b6860e0747432318a1
  * d/t/root-unittests:
    Remove any corrupt journal files (LP: #1881947)
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=c4f2a65d53972eec7d4cf46facb9f72e989e3af2

  [ Balint Reczey ]
  * Merge to Ubuntu from Debian unstable
    - Dropped changes:
      * test: use modern qemu numa arguments
  * Switch default hierarchy (back) to hybrid again because snapd is not ready
    yet (LP: 1850667)
    Files:
    - debian/rules
    - debian/systemd.NEWS
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=4976b9474aa3b3b2587bb805472b8c37a4574346
  * Drop reverts that used to keep netplan.io's autopkgtest happy
    Files:
    - debian/patches/Revert-network-fix-assertion-when-link-get-carrier.patch
    - debian/patches/Revert-network-prevent-interfaces-to-be-initialized-multi.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=23340d4608eb9f281ecc47f7356b40f2ac8db540
  * Fall back to device name when net_get_name(device) fails again, dropping
    the patch to skip it
    File: debian/patches/Skip-falling-back-to-device-name-when-net_get_name-device.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=34cfe66296463dcc8ad9ebe07add846dd955fedc
  * Don't start udevd service and sockets in LXC.
    LXC mounts /sys in read-write mode unlike other containers. (LP: #1914062)
    File: debian/patches/debian/UBUNTU-Don-t-start-udevd-service-and-sockets-in-LXC.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=fa63ef6891eff6762509b322429687d4d506bdb2

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 10 Feb 2021 20:21:08 +0100

systemd (247.3-1) unstable; urgency=medium

  [ Michael Biebl ]
  * New upstream version 247.3
  * Rebase patches

  [ Ioanna Alifieraki ]
  * systemctl: return error code when scheduled shutdown fails

 -- Michael Biebl <biebl@debian.org>  Wed, 03 Feb 2021 17:11:39 +0100

systemd (247.2-5) unstable; urgency=medium

  [ Matthias Klumpp ]
  * Configure localed to run locale-gen to generate missing locale.
    This applies an (upstreamed) patch to permit systemd-localed to run
    locale-gen to generate missing locale when requested to switch the
    system locale.
    This makes localectl usable on Debian for changing locale without
    breaking system localization or even prevent certain applications from
    running at all after switching to a non-generated locale.

  [ Michael Biebl ]
  * systemctl: do not shutdown immediately on scheduled shutdown.
    When, for whatever reason, a scheduled shutdown fails to be set, systemd
    will proceed with immediate shutdown without allowing the user to react.
    This is counterintuitive because when a scheduled shutdown is issued,
    it means the user wants to shutdown at a specified time in the future,
    not immediately. (Closes: #931235)
  * test: disable DnsmasqClientTest.test_resolved_etc_hosts in
    networkd-test.py.
    This test appears to be flaky.
    See: #979716
  * Bump Standards-Version to 4.5.1
  * Set upstream metadata fields: Bug-Submit, Bug-Database, Repository,
    Repository-Browse

 -- Michael Biebl <biebl@debian.org>  Mon, 18 Jan 2021 13:45:15 +0100

systemd (247.2-4) unstable; urgency=medium

  * Move libraries and NSS modules from /lib to /usr/lib.
    Keep libpam_systemd.so installed in /lib, as PAM doesn't support
    loading PAM modules from /usr/lib on a split-usr system.

 -- Michael Biebl <biebl@debian.org>  Sat, 02 Jan 2021 17:06:01 +0100

systemd (247.2-3) unstable; urgency=medium

  * test: use modern qemu numa arguments
    This fixes TEST-36-NUMAPOLICY from the upstream autopkgtest when using
    qemu >= 5.2.
  * Increase timeout when running unit tests.
    The default timeout for individual unit tests is 30s. On slower
    architectures and environments like reproducible-builds, this sometimes
    is not enough.
    Instead of fine-tuning the timeout for each individual test, we instead
    increase the timeouts by a factor of 10.
  * init-functions, getty-static.service: Don't hard-code path to systemctl
    binary.
    This should simplify an eventual move of systemctl from /bin to
    /usr/bin.
  * getty-static.service: Skip if dbus-broker is installed.
    Check for the binary in /usr/bin as this makes it easier to move the
    service files from /lib/systemd to /usr/lib/systemd.

 -- Michael Biebl <biebl@debian.org>  Sat, 26 Dec 2020 13:33:41 +0100

systemd (247.2-2) unstable; urgency=medium

  * Switch to "unified" cgroup hierarchy (i.e. cgroupv2) (Closes: #943981)

 -- Michael Biebl <biebl@debian.org>  Mon, 21 Dec 2020 20:06:49 +0100

systemd (247.2-1) unstable; urgency=medium

  [ Balint Reczey ]
  * debian/systemd.NEWS: Mention udev rules changes in 247

  [ Michael Biebl ]
  * New upstream version 247.2
  * Rebase patches
  * test: fix fd_is_mount_point() check

 -- Michael Biebl <biebl@debian.org>  Sun, 20 Dec 2020 20:44:31 +0100

systemd (247.1-4ubuntu1) hirsute; urgency=medium

  [ Dan Streetman ]
  * d/p/lp1905044-test-use-cap_last_cap-for-max-supported-cap-number-n.patch:
    Fix test use of new cap numbers with 5.8 kernel (LP: #1905044)
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=d55c6f8186cb2cb73f61d6ff5b2e0ded82ef265c

  [ Balint Reczey ]
  * Merge to Ubuntu from Debian unstable
  * Refresh patches
    - Dropped changes:
      * debian/patches/dhcp-Allow-setting-request-options-again.patch
        (Upstream code has been changed in a similar way)
      * debian/patches/Revert-network-do-not-drop-foreign-config-if-interface-is.patch
        debian/patches/network-Set-link-state-to-LINK_STATE_PENDING-instead-of-t.patch
        (Revert-network-prevent-interfaces-to-be-initialized-multi.patch is still kept)
      * debian/patches/lp1845909/0002-network-add-link-setting_genmode-flag.patch
      * d/p/lp1905044-test-use-cap_last_cap-for-max-supported-cap-number-n.patch
        (Present in upstream 247.)
  * debian/udev.NEWS: Mention udev rules changes in 247
    File: debian/udev.NEWS
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=9f33f19683c2b864384c2ae59b312b2c844ed633
  * Don't start systemd-udev-trigger.service in containers.
    It fails and is not likely to be useful.
    File: debian/patches/units-Don-t-start-systemd-udev-trigger.service-in-a-conta.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=7b04fe5f98a4d204f73a1ec22884b9b3053a9a82
  * test: use modern qemu numa arguments (LP: #1908259)
    File: debian/patches/test-use-modern-qemu-numa-arguments.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=158106e74d452cf6cd5cd737432cbe6b7d47286c

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 16 Dec 2020 10:27:06 +0100

systemd (247.1-4) unstable; urgency=medium

  [ наб ]
  * debian/extra/kernel-install.d/85-initrd.install: Don't install initrd when
    an explicit path was passed (Closes: #970213)
  * debian/extra/kernel-install.d/85-initrd.install: Match initrd installation
    messages and uninstallation to 90-loaderentry.install

  [ Michael Biebl ]
  * sd-device: keep escaped strings in DEVLINK= property (Closes: #976699)

 -- Michael Biebl <biebl@debian.org>  Fri, 11 Dec 2020 20:25:31 +0100

systemd (247.1-3) unstable; urgency=medium

  * d/t/timedated: Ignore return code of dbus-monitor in wait_mon()
    We are not really interested in the return code and error messages from
    dbus-monitor after killing it, so ignore them to avoid undesired
    autopkgtest failures.

 -- Michael Biebl <biebl@debian.org>  Thu, 03 Dec 2020 23:53:29 +0100

systemd (247.1-2) unstable; urgency=medium

  [ Michael Biebl ]
  * Upload to unstable
  * Revert "d/t/timedated: use /bin/bash to work around job handling issue in
    dash"

  [ Balint Reczey ]
  * debian/tests/timedated: Wait for the killed child only.
    There may be other children of the script due to autopkgtest machinery
    and they exit after the script exited. (LP: #1904406)

 -- Michael Biebl <biebl@debian.org>  Wed, 02 Dec 2020 23:25:32 +0100

systemd (247.1-1) experimental; urgency=medium

  * New upstream version 247.1

 -- Michael Biebl <biebl@debian.org>  Tue, 01 Dec 2020 17:17:28 +0100

systemd (247-1) experimental; urgency=medium

  * New upstream version 247
  * Rebase patches
  * Update symbol versions for the v247 release

 -- Michael Biebl <biebl@debian.org>  Thu, 26 Nov 2020 19:46:41 +0100

systemd (247~rc2-3) experimental; urgency=medium

  * Merge changes from unstable
  * sd-device: make sd_device_has_current_tag() compatible with udev database
    generated by older udevd
    (Closes: #974730)
  * Add Breaks: udev (<< 247~) to systemd.
    This ensures that udev is upgraded alongside systemd and both support
    the new udev tags concept introduced in v247. (Closes: #975554)

 -- Michael Biebl <biebl@debian.org>  Thu, 26 Nov 2020 18:18:53 +0100

systemd (247~rc2-2) experimental; urgency=medium

  * missing: define several syscall numbers for MIPS arch (Closes: #974619)

 -- Michael Biebl <biebl@debian.org>  Fri, 13 Nov 2020 19:22:04 +0100

systemd (247~rc2-1) experimental; urgency=medium

  [ Michael Biebl ]
  * New upstream version 247~rc2
    - tmpfiles: Handle filesystems without ACL support in more cases
      (Closes: #972135)
  * Rebase patches
  * Explicitly disable oomd
  * Use -Dmode=release as we want a release, not developer, build
  * Update symbols file for libudev1 and libsystemd0

  [ Luca Boccassi ]
  * systemd-container: install systemd-dissect binary.
    Required for TEST-50-DISSECT since:
    https://github.com/systemd/systemd/pull/16046
  * d/t/control: install squashfs-tools for upstream test.
    Required by TEST-50-DISSECT since upstream PR:
    https://github.com/systemd/systemd/pull/16046

  [ Dan Streetman ]
  * d/control: update meson minimum version
    https://github.com/systemd/systemd/pull/13842#issuecomment-601105975
  * d/t/upstream: convert 'blacklist' term to 'deny-list'
    Support transition for upstream-ci from
    https://github.com/systemd/systemd/pull/16262

 -- Michael Biebl <biebl@debian.org>  Thu, 12 Nov 2020 21:23:22 +0100

systemd (246.6-5ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable
  * debian/control: Make udev break systemd (<< ${binary:Version})
    This ensures upgrading systemd as well when upgrading udev
    File: debian/control
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=9e52d28054c2c1ba118014ad9442189d7039f871

 -- Balint Reczey <rbalint@ubuntu.com>  Fri, 27 Nov 2020 15:55:01 +0100

systemd (246.6-5) unstable; urgency=medium

  * Drop non-functional DefaultTasksMax patch.
    This patch was supposed to remove the DefaultTasksMax limit, but lost
    its actual logic over 4 years ago, when the patches were rebased for the
    v231 release. Since nobody has complained so far, we can assume it is
    safe to drop this patch. (Closes: #975335)
  * test-seccomp: accept ENOSYS from sysctl(2) too.
    It seems that kernel 5.9 started returning that.
  * test/test-functions: copy /usr/lib/pam.d into $initdir.
    The systemd-user file has been moved from /etc/pam.d into /usr/lib/pam.d,
    so test-functions needs to copy it from /usr/lib/pam.d instead.

 -- Michael Biebl <biebl@debian.org>  Tue, 24 Nov 2020 21:53:25 +0100

systemd (246.6-4) unstable; urgency=medium

  * Revert "Trigger a systemctl daemon-reload when init scripts are installed
    or removed"
    Remove the dpkg file trigger which called systemctl daemon-reload whenever
    a SysV init script was installed. We have proper support in debhelper
    nowadays which makes this superfluous and we want to avoid unnecessary
    systemctl daemon-reload calls.

 -- Michael Biebl <biebl@debian.org>  Thu, 19 Nov 2020 22:35:48 +0100

systemd (246.6-3) unstable; urgency=medium

  * pam: include pam_keyinit session module in systemd-user.
    We want that systemd --user gets its own keyring, not the basic keyring
    set up by systemd --system.
  * pam: move systemd-user PAM config from /etc/pam.d to /usr/lib/pam.d.
    This is supported since PAM 1.2 and we want as little files in /etc as
    possible.
  * init-functions: update LSB hook to not use ignore-dependencies
    job-mode=ignore-dependencies, as currently used in the LSB hook during
    bootup and shutdown, can have undesired side-effects, like changing the
    ordering of services and ultimately causing them to fail, due to unmet
    dependencies.
    So simplify that, and only apply --no-block on reload requests during
    bootup and shutdown. (Closes: #960594)
  * d/t/timedated: use /bin/bash to work around job handling issue in dash.
    See: #975010

 -- Michael Biebl <biebl@debian.org>  Tue, 17 Nov 2020 23:34:07 +0100

systemd (246.6-2ubuntu1) hirsute; urgency=medium

  [ Dan Streetman ]
  * d/t/boot-smoke: update test to avoid false negatives
    File: debian/tests/boot-smoke
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=205c30ca53b0e421db28bb56afaf5f88650ce592
  * d/t/boot-and-services: remove unneeded test lines
    File: debian/tests/boot-and-services
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=71853082af4e668996db574915c5a156f9897fd3
  * d/t/systemd-fsckd: rewrite test to try to fix false negatives (LP: #1892358)
    Files:
    - debian/tests/control
    - debian/tests/systemd-fsckd
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=6ae6be039ec582410769d2d6d131e12bdcd19a68

  [ Balint Reczey ]
  * debian/gbp.conf: Update debian-branch to ubuntu-hirsute
    File: debian/gbp.conf
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=e0b78512dbb5141458468ba5e9c2a4e966ada088
  * Merge from Debian unstable
    - Move sysusers.d/sysctl.d/binfmt.d/modules-load.d back to /usr
    (LP: #1897620)
  * debian/tests/systemd-fsckd: Plymouth-start stays active in 20.10 and later
    (LP: #1892358)
    File: debian/tests/systemd-fsckd
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=c46eda821e97df5595a4cdc5f5c41a9b49a51745

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 29 Oct 2020 18:38:15 +0100

systemd (246.6-2) unstable; urgency=medium

  * XDG autostart improvements
    - Add support for Path= in XDG Desktop File
    - Ignore more common XDG Desktop Entry fields
    - Lower most info messages to debug level (Closes: #968116)
  * Re-enable seccomp support on riscv64.
    This should be safe now, as the code has fallbacks for systems with
    older libseccomp versions.
  * Move sysusers.d/sysctl.d/binfmt.d/modules-load.d back to /usr.
    In Debian, late mounting of /usr is no longer supported, so it is safe
    to install those files in /usr.
    We want those facilities in /usr, not /, as this will make an eventual
    switch to a merged-usr setup easier. (Closes: #971282)
  * units: update serial-getty@.service to support 57600 baud rate
    (Closes: #969144)
  * bootspec: don't fail with EIO if searching for ESP and finding one without
    an enveloping partition table
    (Closes: #970534)

 -- Michael Biebl <biebl@debian.org>  Thu, 15 Oct 2020 23:48:34 +0200

systemd (246.6-1ubuntu1) groovy; urgency=medium

  [ Dan Streetman ]
  * Fix resolved.conf Cache= default to match default (LP: #1895418)
    Files:
    - debian/patches/lp1895418.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=dd4d93d94ebe2cf416f6b5a5eb59a16432cbc47b

  [ Balint Reczey ]
  * Bugfix-only upload
  * Merge from Debian unstable
    - core: propagate unit start limit hit state to triggering path unit (LP: #1891657)
  * Skip test_rsyslog in s390x containers.
    The test is failing almost all the time. (LP: #1895576)
    File: debian/tests/boot-and-services
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=ff8d286de52daa8b0856213ae52e66b81474fb57
  * debian/tests/tests-in-lxd: Don't create the lxd test image twice
    File: debian/tests/tests-in-lxd
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=e858e7c41b84bc4c34e8af79d6e4b6114fe23952

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 24 Sep 2020 21:27:11 +0200

systemd (246.6-1) unstable; urgency=medium

  * New upstream version 246.6
  * Rebase patches

 -- Michael Biebl <biebl@debian.org>  Mon, 21 Sep 2020 20:28:36 +0200

systemd (246.5-1ubuntu1) groovy; urgency=medium

  * Bugfix-only upload
  * Merge from Debian unstable

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 14 Sep 2020 13:01:29 +0200

systemd (246.5-1) unstable; urgency=medium

  [ Michael Biebl ]
  * New upstream version 246.5
    - network: fix NDisc handling for the case when multiple routers exist
      (Closes: #969599)
    - core/socket: we may get ENOTCONN from socket_instantiate_service()
      (Closes: #970156)
  * Rebase patches

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 14 Sep 2020 13:01:26 +0200

systemd (246.4-1ubuntu1) groovy; urgency=medium

  * Bugfix-only upload
  * Merge from Debian unstable
    - Changes dropped from Ubuntu delta:
      * test: accept that char device 0/0 can now be created witout privileges.
      * cherry-pick from stable: network: only process non-error message
      * network: wait for previous address removal before configuring static
        addresses.
      * network: do not fail if UseMTU=yes on DHCP lease lost
      * debian/systemd.postinst: Restart systemd-networkd.socket on incompatible
        change
      * Add riscv64 seccomp support.

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 02 Sep 2020 19:07:27 +0200

systemd (246.4-1) unstable; urgency=medium

  * New upstream version 246.4
  * Rebase patches

 -- Michael Biebl <biebl@debian.org>  Wed, 02 Sep 2020 13:30:52 +0200

systemd (246.3-1) unstable; urgency=medium

  * New upstream version 246.3
  * Rebase patches

 -- Michael Biebl <biebl@debian.org>  Sat, 29 Aug 2020 18:39:32 +0200

systemd (246.2-2) unstable; urgency=medium

  [ Balint Reczey ]
  * debian/systemd.postinst: Restart systemd-networkd.socket on incompatible
    change.
    PassCredentials=yes is replaced with PassPacketInfo=yes and extra padding is
    dropped, too.
    (Closes: #968589, LP: #1891716)

  [ Michael Biebl ]
  * Fix restart of systemd-networkd.socket.
    We can't restart the socket while systemd-networkd.service is still
    active. Instead we stop the socket and ensure, that a try-restart of
    systemd-networkd.service also starts the socket.
  * seccomp: Add support for riscv64 (Closes: #954312)
  * Support missing conditions/asserts everywhere (Closes: #968612)
  * path: Skip directories when finalising $PATH search (Closes: #969006)

 -- Michael Biebl <biebl@debian.org>  Sat, 29 Aug 2020 16:24:49 +0200

systemd (246.2-1ubuntu1) groovy; urgency=medium

  * Merge from Debian unstable
  * Refresh patches
  * test: accept that char device 0/0 can now be created witout privileges.
    This fixes tests with Linux 5.8 and later (LP: #1891527)
    Files:
    - debian/patches/debian/Add-env-variable-for-machine-ID-path.patch
    - debian/patches/test-accept-that-char-device-0-0-can-now-be-created-witou.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=57909a0fa4999ba9ff918cfe6bb3fa53c230dd36
  * debian/tests/systemd-fsckd: Fail plymouth-start with overriding ExecStart=
    The 'process-killer' stopped working with plymouth 0.9.5 (LP: #1886886)
    File: debian/tests/systemd-fsckd
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=efcc25b6011f23b9f90841f4ca0ee29ee674157f
  * cherry-pick from stable: network: only process non-error message
    File: debian/patches/network-only-process-non-error-message.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=dc97e3f5330ae64909ef640ad1ac401374f18c16
  * network: wait for previous address removal before configuring static addresses.
    Fixes systemd-networkd to establish connection after resume from suspend
    Files:
    - debian/patches/network-wait-for-previous-address-removal-before-configur.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=31390403bc000892ada9cb0cbedb198dd83fe7a2
  * network: do not fail if UseMTU=yes on DHCP lease lost
    File: debian/patches/network-do-not-fail-if-UseMTU-yes-on-DHCP-lease-lost.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=21c23966e8dc5fd0858664a5b89d6a9460c41f61
  * debian/systemd.postinst: Restart systemd-networkd.socket on incompatible change
    (Closes: #968589) (LP: #1891716)
    File: debian/systemd.postinst
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=e144a644488c6ff52c2bb7cee71f50aa95c4efd8
  * debian/tests/control: Mark systemd-fsckd test as flaky.
    It is flaky on Ubuntu CI infrastructure (LP: #1892358)
    File: debian/tests/control
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=8c55289624c6f44beb2c5bbae78aabc074d36b1a

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 20 Aug 2020 23:37:48 +0200

systemd (246.2-1) unstable; urgency=medium

  * New upstream version 246.2
  * Remove resolvconf.conf drop-in, resolved integration moved to resolvconf
    package
  * Rebase patches
  * Add versioned Breaks against resolvconf (<< 1.83~) to systemd.
    The PathExists= directive was changed in v246 to match the documented
    behaviour but now causes resolvconf-pull-resolved.service to be
    continuously triggered by resolvconf-pull-resolved.path.
    This requires a fix in the resolvconf package, see #968015.
    (Closes: #967906)
  * Keep journal files compatible with older versions.
    Disable the KEYED-HASH journal feature by default and keep LZ4 (instead
    of ZSTD) as default compression for new journal files. Otherwise journal
    files are incompatible and can't be read by older journalctl
    implementations.
    This patch can be dropped in bullseye+1, as journalctl from bullseye
    will then be able to read journal files with those features.
    (Closes: #968055)

 -- Michael Biebl <biebl@debian.org>  Mon, 17 Aug 2020 22:28:09 +0200

systemd (246.1-1) unstable; urgency=medium

  * New upstream version 246.1
  * Rebase patches

 -- Michael Biebl <biebl@debian.org>  Sun, 16 Aug 2020 13:14:46 +0200

systemd (246-2ubuntu1) groovy; urgency=medium

  [ Balint Reczey ]
  * Merge to Ubuntu from Debian unstable
    - Dropped changes:
      * core: set /run size to 10%, like initramfs-tools does.
        This is now upstream's default, also setting other limits
      * UBUNTU-resolved-disable-global-LLMNR-and-MulticastDNS.patch
      * Lock swap blockdevice while calling mkswap
      * Cherry-pick reversion of detecting WSL by the presence of "microsoft"
        in osrelease
      * journald: stream pid change newline fix
      * network: Change IgnoreCarrierLoss default to value of
        ConfigureWithoutCarrier.
      * network: do not re-attach sd-event object
      * network: attach sd-event in link_load() when creating link dhcp_client
        or ipv4ll
  * debian/rules: Configure LLMNR and MulticastDNS to be disabled by default
    instead of using a carried patch, like before.
    File: debian/rules
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=a186cce127ee1d2b0288e4db1470e45a2b1914d9
  * debian/rules: Configure LLMNR and MulticastDNS to be disabled by default
    instead of using a carried patch, like before.
    File: debian/rules
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=a186cce127ee1d2b0288e4db1470e45a2b1914d9

  [ Dimitri John Ledkov ]
  * dhclient-enter-hooks.d/resolved: drop in favor of exit hooks shipped elsewhere.
    isc-dhcp / ifupdown now ship the hooks themselves to push DNS data to
